searchNodes=[{"ref":"DocuSign.html","title":"DocuSign","module":"DocuSign","type":"module","doc":"Documentation for DocuSign."},{"ref":"DocuSign.APIClient.html","title":"DocuSign.APIClient","module":"DocuSign.APIClient","type":"module","doc":"GenServer to store API client and refresh access token by schedule."},{"ref":"DocuSign.APIClient.html#child_spec/1","title":"DocuSign.APIClient.child_spec/1","module":"DocuSign.APIClient","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"DocuSign.APIClient.html#client/0","title":"DocuSign.APIClient.client/0","module":"DocuSign.APIClient","type":"function","doc":"Get Api Client"},{"ref":"DocuSign.APIClient.html#handle_call/3","title":"DocuSign.APIClient.handle_call/3","module":"DocuSign.APIClient","type":"function","doc":"Sync refreshes a token."},{"ref":"DocuSign.APIClient.html#handle_info/2","title":"DocuSign.APIClient.handle_info/2","module":"DocuSign.APIClient","type":"function","doc":"Async refreshes a token."},{"ref":"DocuSign.APIClient.html#init/1","title":"DocuSign.APIClient.init/1","module":"DocuSign.APIClient","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"DocuSign.APIClient.html#refresh_token/0","title":"DocuSign.APIClient.refresh_token/0","module":"DocuSign.APIClient","type":"function","doc":"Forces an access token refresh."},{"ref":"DocuSign.APIClient.html#start_link/1","title":"DocuSign.APIClient.start_link/1","module":"DocuSign.APIClient","type":"function","doc":""},{"ref":"DocuSign.Api.AccountBrands.html","title":"DocuSign.Api.AccountBrands","module":"DocuSign.Api.AccountBrands","type":"module","doc":"API calls for all endpoints tagged AccountBrands."},{"ref":"DocuSign.Api.AccountBrands.html#brand_delete_brand/4","title":"DocuSign.Api.AccountBrands.brand_delete_brand/4","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Removes a brand. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_export_get_brand_export_file/4","title":"DocuSign.Api.AccountBrands.brand_export_get_brand_export_file/4","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Export a specific brand. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_get_brand/4","title":"DocuSign.Api.AccountBrands.brand_get_brand/4","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Get information for a specific brand. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. opts (KeywordList): [optional] Optional parameters :include_external_references (String.t): :include_logos (String.t): Returns {:ok, %DocuSign.Model.Brand{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_logo_delete_brand_logo/5","title":"DocuSign.Api.AccountBrands.brand_logo_delete_brand_logo/5","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Delete one branding logo. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. logo_type (String.t): One of Primary, Secondary or Email. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_logo_get_brand_logo/5","title":"DocuSign.Api.AccountBrands.brand_logo_get_brand_logo/5","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Obtains the specified image for a brand. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. logo_type (String.t): One of Primary, Secondary or Email. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_logo_put_brand_logo/5","title":"DocuSign.Api.AccountBrands.brand_logo_put_brand_logo/5","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Put one branding logo. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. logo_type (String.t): One of Primary, Secondary or Email. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_put_brand/4","title":"DocuSign.Api.AccountBrands.brand_put_brand/4","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Updates an existing brand. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. opts (KeywordList): [optional] Optional parameters :brand (Brand): Returns {:ok, %DocuSign.Model.Brand{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources/5","title":"DocuSign.Api.AccountBrands.brand_resources_get_brand_resources/5","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Returns the specified branding resource file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. resource_content_type (String.t): opts (KeywordList): [optional] Optional parameters :langcode (String.t): :return_master (String.t): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources_list/4","title":"DocuSign.Api.AccountBrands.brand_resources_get_brand_resources_list/4","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Returns the specified account&#39;s list of branding resources (metadata). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BrandResourcesList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brand_resources_put_brand_resources/5","title":"DocuSign.Api.AccountBrands.brand_resources_put_brand_resources/5","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Uploads a branding resource file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. brand_id (String.t): The unique identifier of a brand. resource_content_type (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BrandResources{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brands_delete_brands/3","title":"DocuSign.Api.AccountBrands.brands_delete_brands/3","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Deletes one or more brand profiles. Deletes one or more brand profiles from an account. The Account Branding feature (accountSettings properties &#x60;canSelfBrandSend&#x60; and &#x60;canSelfBrandSend&#x60;) must be set to true to use this call. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :brands_request (BrandsRequest): Returns {:ok, %DocuSign.Model.AccountBrands{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brands_get_brands/3","title":"DocuSign.Api.AccountBrands.brands_get_brands/3","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Gets a list of brand profiles. Retrieves the list of brand profiles associated with the account and the default brand profiles. The Account Branding feature (accountSettings properties &#x60;canSelfBrandSend&#x60; and &#x60;canSelfBrandSend&#x60;) must be set to true for the account to use this call. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :exclude_distributor_brand (String.t): When set to true, excludes distributor brand information from the response set. :include_logos (String.t): When set to true, returns the logos associated with the brand. Returns {:ok, %DocuSign.Model.AccountBrands{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountBrands.html#brands_post_brands/3","title":"DocuSign.Api.AccountBrands.brands_post_brands/3","module":"DocuSign.Api.AccountBrands","type":"function","doc":"Creates one or more brand profile files for the account. Creates one or more brand profile files for the account. The Account Branding feature (accountSettings properties &#x60;canSelfBrandSend&#x60; and &#x60;canSelfBrandSig&#x60;) must be set to true for the account to use this call. An error is returned if &#x60;brandId&#x60; property for a brand profile is already set for the account. To upload a new version of an existing brand profile, you must delete the profile and then upload the newer version. When brand profile files are being uploaded, they must be combined into one zip file and the &#x60;Content-Type&#x60; must be &#x60;application/zip&#x60;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :brand (Brand): Returns {:ok, %DocuSign.Model.AccountBrands{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountConsumerDisclosures.html","title":"DocuSign.Api.AccountConsumerDisclosures","module":"DocuSign.Api.AccountConsumerDisclosures","type":"module","doc":"API calls for all endpoints tagged AccountConsumerDisclosures."},{"ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure/3","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure/3","module":"DocuSign.Api.AccountConsumerDisclosures","type":"function","doc":"Gets the Electronic Record and Signature Disclosure for the account. Retrieves the Electronic Record and Signature Disclosure, with HTML formatting, associated with the account. You can use an optional query string to set the language for the disclosure. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :lang_code (String.t): Specifies the language used in the response. The supported languages, with the language value shown in parenthesis, are: Arabic (ar), Bulgarian (bg), Czech (cs), Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Croatian (hr), Danish (da), Dutch (nl), English US (en), English UK (en_GB), Estonian (et), Farsi (fa), Finnish (fi), French (fr), French Canada (fr_CA), German (de), Greek (el), Hebrew (he), Hindi (hi), Hungarian (hu), Bahasa Indonesia (id), Italian (it), Japanese (ja), Korean (ko), Latvian (lv), Lithuanian (lt), Bahasa Melayu (ms), Norwegian (no), Polish (pl), Portuguese (pt), Portuguese Brazil (pt_BR), Romanian (ro), Russian (ru), Serbian (sr), Slovak (sk), Slovenian (sl), Spanish (es),Spanish Latin America (es_MX), Swedish (sv), Thai (th), Turkish (tr), Ukrainian (uk), and Vietnamese (vi). Additionally, the value can be set to &#x60;browser&#x60; to automatically detect the browser language being used by the viewer and display the disclosure in that language. Returns {:ok, %DocuSign.Model.AccountConsumerDisclosures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_lang_code/4","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_lang_code/4","module":"DocuSign.Api.AccountConsumerDisclosures","type":"function","doc":"Gets the Electronic Record and Signature Disclosure. Retrieves the Electronic Record and Signature Disclosure, with HTML formatting, for the requested envelope recipient. This might be different than the current account disclosure depending on account settings, such as branding, and when the account disclosure was last updated. An optional query string can be included to return the language for the disclosure. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. lang_code (String.t): The simple type enumeration the language used in the response. The supported languages, with the language value shown in parenthesis, are:Arabic (ar), Bulgarian (bg), Czech (cs), Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Croatian (hr), Danish (da), Dutch (nl), English US (en), English UK (en_GB), Estonian (et), Farsi (fa), Finnish (fi), French (fr), French Canada (fr_CA), German (de), Greek (el), Hebrew (he), Hindi (hi), Hungarian (hu), Bahasa Indonesia (id), Italian (it), Japanese (ja), Korean (ko), Latvian (lv), Lithuanian (lt), Bahasa Melayu (ms), Norwegian (no), Polish (pl), Portuguese (pt), Portuguese Brazil (pt_BR), Romanian (ro), Russian (ru), Serbian (sr), Slovak (sk), Slovenian (sl), Spanish (es),Spanish Latin America (es_MX), Swedish (sv), Thai (th), Turkish (tr), Ukrainian (uk) and Vietnamese (vi). Additionally, the value can be set to &quot;browser&quot; to automatically detect the browser language being used by the viewer and display the disclosure in that language. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountConsumerDisclosures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_put_consumer_disclosure/4","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_put_consumer_disclosure/4","module":"DocuSign.Api.AccountConsumerDisclosures","type":"function","doc":"Update Consumer Disclosure. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. lang_code (String.t): The simple type enumeration the language used in the response. The supported languages, with the language value shown in parenthesis, are:Arabic (ar), Bulgarian (bg), Czech (cs), Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Croatian (hr), Danish (da), Dutch (nl), English US (en), English UK (en_GB), Estonian (et), Farsi (fa), Finnish (fi), French (fr), French Canada (fr_CA), German (de), Greek (el), Hebrew (he), Hindi (hi), Hungarian (hu), Bahasa Indonesia (id), Italian (it), Japanese (ja), Korean (ko), Latvian (lv), Lithuanian (lt), Bahasa Melayu (ms), Norwegian (no), Polish (pl), Portuguese (pt), Portuguese Brazil (pt_BR), Romanian (ro), Russian (ru), Serbian (sr), Slovak (sk), Slovenian (sl), Spanish (es),Spanish Latin America (es_MX), Swedish (sv), Thai (th), Turkish (tr), Ukrainian (uk) and Vietnamese (vi). Additionally, the value can be set to &quot;browser&quot; to automatically detect the browser language being used by the viewer and display the disclosure in that language. opts (KeywordList): [optional] Optional parameters :include_metadata (String.t): Reserved for DocuSign. :envelope_consumer_disclosures (EnvelopeConsumerDisclosures): Returns {:ok, %DocuSign.Model.EnvelopeConsumerDisclosures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountCustomFields.html","title":"DocuSign.Api.AccountCustomFields","module":"DocuSign.Api.AccountCustomFields","type":"module","doc":"API calls for all endpoints tagged AccountCustomFields."},{"ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_delete_account_custom_fields/4","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_delete_account_custom_fields/4","module":"DocuSign.Api.AccountCustomFields","type":"function","doc":"Delete an existing account custom field. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. custom_field_id (String.t): opts (KeywordList): [optional] Optional parameters :apply_to_templates (String.t): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_get_account_custom_fields/3","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_get_account_custom_fields/3","module":"DocuSign.Api.AccountCustomFields","type":"function","doc":"Gets a list of custom fields associated with the account. Retrieves a list of envelope custom fields associated with the account. You can use these fields in the envelopes for your account to record information about the envelope, help search for envelopes and track information. The envelope custom fields are shown in the Envelope Settings section when a user is creating an envelope in the DocuSign member console. The envelope custom fields are not seen by the envelope recipients. There are two types of envelope custom fields, text, and list. A text custom field lets the sender enter the value for the field. The list custom field lets the sender select the value of the field from a list you provide. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_post_account_custom_fields/3","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_post_account_custom_fields/3","module":"DocuSign.Api.AccountCustomFields","type":"function","doc":"Creates an acount custom field. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :apply_to_templates (String.t): :custom_field (CustomField): Returns {:ok, %DocuSign.Model.AccountCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_put_account_custom_fields/4","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_put_account_custom_fields/4","module":"DocuSign.Api.AccountCustomFields","type":"function","doc":"Updates an existing account custom field. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. custom_field_id (String.t): opts (KeywordList): [optional] Optional parameters :apply_to_templates (String.t): :custom_field (CustomField): Returns {:ok, %DocuSign.Model.AccountCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPasswordRules.html","title":"DocuSign.Api.AccountPasswordRules","module":"DocuSign.Api.AccountPasswordRules","type":"module","doc":"API calls for all endpoints tagged AccountPasswordRules."},{"ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_get_account_password_rules/3","title":"DocuSign.Api.AccountPasswordRules.account_password_rules_get_account_password_rules/3","module":"DocuSign.Api.AccountPasswordRules","type":"function","doc":"Get the password rules Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountPasswordRules{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_put_account_password_rules/3","title":"DocuSign.Api.AccountPasswordRules.account_password_rules_put_account_password_rules/3","module":"DocuSign.Api.AccountPasswordRules","type":"function","doc":"Update the password rules Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :account_password_rules (AccountPasswordRules): Returns {:ok, %DocuSign.Model.AccountPasswordRules{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPasswordRules.html#password_rules_get_password_rules/2","title":"DocuSign.Api.AccountPasswordRules.password_rules_get_password_rules/2","module":"DocuSign.Api.AccountPasswordRules","type":"function","doc":"Get membership account password rules Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserPasswordRules{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPermissionProfiles.html","title":"DocuSign.Api.AccountPermissionProfiles","module":"DocuSign.Api.AccountPermissionProfiles","type":"module","doc":"API calls for all endpoints tagged AccountPermissionProfiles."},{"ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_delete_permission_profiles/4","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_delete_permission_profiles/4","module":"DocuSign.Api.AccountPermissionProfiles","type":"function","doc":"Deletes a permissions profile within the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. permission_profile_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profile/4","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profile/4","module":"DocuSign.Api.AccountPermissionProfiles","type":"function","doc":"Returns a permissions profile in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. permission_profile_id (String.t): opts (KeywordList): [optional] Optional parameters :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: recipients, folders, documents, custom_fields, and notifications. Returns {:ok, %DocuSign.Model.AccountPermissionProfiles{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profiles/3","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profiles/3","module":"DocuSign.Api.AccountPermissionProfiles","type":"function","doc":"Gets a list of permission profiles. Retrieves a list of Permission Profiles. Permission Profiles are a standard set of user permissions that you can apply to individual users or users in a Group. This makes it easier to manage user permissions for a large number of users, without having to change permissions on a user-by-user basis. Currently, Permission Profiles can only be created and modified in the DocuSign console. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :include (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.PermissionProfileInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_post_permission_profiles/3","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_post_permission_profiles/3","module":"DocuSign.Api.AccountPermissionProfiles","type":"function","doc":"Creates a new permission profile in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: recipients, folders, documents, custom_fields, and notifications. :account_permission_profiles (AccountPermissionProfiles): Returns {:ok, %DocuSign.Model.AccountPermissionProfiles{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_put_permission_profiles/4","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_put_permission_profiles/4","module":"DocuSign.Api.AccountPermissionProfiles","type":"function","doc":"Updates a permission profile within the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. permission_profile_id (String.t): opts (KeywordList): [optional] Optional parameters :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: recipients, folders, documents, custom_fields, and notifications. :account_permission_profiles (AccountPermissionProfiles): Returns {:ok, %DocuSign.Model.AccountPermissionProfiles{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountSealProviders.html","title":"DocuSign.Api.AccountSealProviders","module":"DocuSign.Api.AccountSealProviders","type":"module","doc":"API calls for all endpoints tagged AccountSealProviders."},{"ref":"DocuSign.Api.AccountSealProviders.html#account_signature_providers_get_seal_providers/3","title":"DocuSign.Api.AccountSealProviders.account_signature_providers_get_seal_providers/3","module":"DocuSign.Api.AccountSealProviders","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountSealProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountSignatureProviders.html","title":"DocuSign.Api.AccountSignatureProviders","module":"DocuSign.Api.AccountSignatureProviders","type":"module","doc":"API calls for all endpoints tagged AccountSignatureProviders."},{"ref":"DocuSign.Api.AccountSignatureProviders.html#account_signature_providers_get_signature_providers/3","title":"DocuSign.Api.AccountSignatureProviders.account_signature_providers_get_signature_providers/3","module":"DocuSign.Api.AccountSignatureProviders","type":"function","doc":"Returns Account available signature providers for specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountSignatureProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountTabSettings.html","title":"DocuSign.Api.AccountTabSettings","module":"DocuSign.Api.AccountTabSettings","type":"module","doc":"API calls for all endpoints tagged AccountTabSettings."},{"ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_get_tab_settings/3","title":"DocuSign.Api.AccountTabSettings.tab_settings_get_tab_settings/3","module":"DocuSign.Api.AccountTabSettings","type":"function","doc":"Returns tab settings list for specified account Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountTabSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_put_settings/3","title":"DocuSign.Api.AccountTabSettings.tab_settings_put_settings/3","module":"DocuSign.Api.AccountTabSettings","type":"function","doc":"Modifies tab settings for specified account Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :account_tab_settings (AccountTabSettings): Returns {:ok, %DocuSign.Model.AccountTabSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountWatermarks.html","title":"DocuSign.Api.AccountWatermarks","module":"DocuSign.Api.AccountWatermarks","type":"module","doc":"API calls for all endpoints tagged AccountWatermarks."},{"ref":"DocuSign.Api.AccountWatermarks.html#watermark_get_watermark/3","title":"DocuSign.Api.AccountWatermarks.watermark_get_watermark/3","module":"DocuSign.Api.AccountWatermarks","type":"function","doc":"Get watermark information. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountWatermarks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountWatermarks.html#watermark_preview_put_watermark_preview/3","title":"DocuSign.Api.AccountWatermarks.watermark_preview_put_watermark_preview/3","module":"DocuSign.Api.AccountWatermarks","type":"function","doc":"Get watermark preview. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :account_watermarks (AccountWatermarks): Returns {:ok, %DocuSign.Model.AccountWatermarks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.AccountWatermarks.html#watermark_put_watermark/3","title":"DocuSign.Api.AccountWatermarks.watermark_put_watermark/3","module":"DocuSign.Api.AccountWatermarks","type":"function","doc":"Update watermark information. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :account_watermarks (AccountWatermarks): Returns {:ok, %DocuSign.Model.AccountWatermarks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html","title":"DocuSign.Api.Accounts","module":"DocuSign.Api.Accounts","type":"module","doc":"API calls for all endpoints tagged Accounts."},{"ref":"DocuSign.Api.Accounts.html#accounts_delete_account/3","title":"DocuSign.Api.Accounts.accounts_delete_account/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Deletes the specified account. This closes the specified account. You must be an account admin to close your account. Once closed, an account must be reopened by DocuSign. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#accounts_get_account/3","title":"DocuSign.Api.Accounts.accounts_get_account/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Retrieves the account information for the specified account. Retrieves the account information for the specified account. Response The &#x60;canUpgrade&#x60; property contains is a Boolean that indicates whether the account can be upgraded through the API. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :include_account_settings (String.t): When set to true, includes the account settings for the account in the response. Returns {:ok, %DocuSign.Model.Accounts{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#accounts_get_provisioning/2","title":"DocuSign.Api.Accounts.accounts_get_provisioning/2","module":"DocuSign.Api.Accounts","type":"function","doc":"Retrieves the account provisioning information for the account. Retrieves the account provisioning information for the account. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ProvisioningInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#accounts_post_accounts/2","title":"DocuSign.Api.Accounts.accounts_post_accounts/2","module":"DocuSign.Api.Accounts","type":"function","doc":"Creates new accounts. Creates new DocuSign accounts. You can use this method to create a single account or up to 100 accounts at a time. When creating a single account, the body of the request is a [&#x60;newAccountDefinition&#x60;][newAccountDefinition] object. If the request succeeds. it returns a 201 (Created) code. The response returns the new account ID, password and the default user information for each newly created account. When creating multiple accounts, the body of the request is a &#x60;newAccountRequests&#x60; object, which contains one or more [&#x60;newAccountDefinition&#x60;][newAccountDefinition] objects. You can create up to 100 new accounts at a time this way. The body for a multi-account creation request looks like this in JSON: &#x60;&#x60;&#x60; { &quot;newAccountRequests&quot;: [ { &quot;accountName&quot;: &quot;accountone&quot;, . . . }, { &quot;accountName&quot;: &quot;accounttwo&quot;, . . . } ] } &#x60;&#x60;&#x60; A multi-account request looks like this in XML: &#x60;&#x60;&#x60; &lt;newAccountsDefinition xmlns:i&#x3D;&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xmlns&#x3D;&quot;http://www.docusign.com/restapi&quot;&gt; &lt;newAccountRequests&gt; &lt;newAccountDefinition&gt; . . . &lt;/newAccountDefinition&gt; &lt;newAccountDefinition&gt; . . . &lt;/newAccountDefinition&gt; &lt;/newAccountRequests&gt; &lt;/newAccountsDefinition&gt; &#x60;&#x60;&#x60; A multi-account creation request may succeed (report a 201 code) even if some accounts could not be created. In this case, the &#x60;errorDetails&#x60; property in the response contains specific information about the failure. ### Account Settings The &#x60;accountSettings&#x60; property is a [name/value][nameValue] list that can contain the following settings: | Name | Type | Authorization Required | Description | | :------------------------------------------------- | :------ | :---------------------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | adoptSigConfig | Boolean | Admin | When true, the Signature Adoption Configuration page is available to account administrators. | | allowAccessCodeFormat | Boolean | Admin | When true, the Access Code Format page is available to account administrators. | | allowAccountManagementGranular | Boolean | Admin | When true, the Delegated Administration functionality is available to account. | | allowBulkSend | Boolean | Admin | When true, the account can set if the bulk send feature can be used. | | allowCDWithdraw | Boolean | Admin | When true, signers can withdraw their consent to use electronic signatures. | | allowConnectSendFinishLater | Boolean | Reserved | Reserved for DocuSign. | | allowDataDownload | Boolean | Admin | When true, the account can download envelope data. | | allowEnvelopeCorrect | Boolean | Admin | When true, the account allows in process envelopes to be corrected. | | allowEnvelopePublishReporting | Boolean | Admin | When true, the account can access the Envelope Publish section in Classic DocuSign Experience Account Administration. | | allowExpressSignerCertificate | Boolean | Admin | When true, senders are allowed to use the DocuSign Express digital signatures. | | allowExternalSignaturePad | Boolean | Admin | When true, an external signature pad can be used for signing. The signature pad type is set by the externalSignaturePadType property. | | allowInPerson | Boolean | SysAdmin | When true, the account allows In Person Signing. | | allowMarkup | Boolean | Admin | When true, the document markup feature is enabled for the account. | | allowMemberTimezone | Boolean | Admin | When true, account users can set their own time zones. | | allowMergeFields | Boolean | Admin | When true, the account can use merge fields in conjunction with DocuSign for Salesforce. | | allowMultipleSignerAttachments | Boolean | Admin | When true, multiple signer attachments are allowed for an envelope. | | allowOfflineSigning | Boolean | Admin | When true, the account can use Offline Signing and envelopes signed using offline signing on mobile devices are synchronized with this account. This option and the inSessionEnabled option must both be enabled (true) for a caller to use offline signing. | | allowOpenTrustSignerCertificate | Boolean | Admin | When true, senders are allowed to use the OpenTrust digital signatures. | | allowPaymentProcessing | Boolean | Admin | When true, the account can access the Payment Processing set up page. | | allowPersonalSignerCertificate | Boolean | Admin | When true, the account can specify that signers must use personal signer certificates during signing. | | allowPrivateSigningGroups | Boolean | SysAdmin Read Only | Reserved for DocuSign. This currently returns false in a response. This setting is only shown in the response when listing account settings. | | allowReminders | Boolean | Admin | When true, the reminder and expiration functionality is available when sending envelops. | | allowSafeBioPharmaSignerCertificate | Boolean | Admin | When true, senders are allowed to use the SAFE BioPharma digital signatures. | | allowSharedTabs | Boolean | Admin | When true, the account allows users to share custom tabs (fields). &lt;br&gt; This setting is only shown when getting account settings. It cannot be modified. | | allowSignDocumentFromHomePage | Boolean | Admin | When true, the Sign a Document Now button is available on the Home tab. | | allowSignatureStamps | Boolean | Reserved | Reserved for DocuSign. | | allowSignerReassign | Boolean | Admin | When true, the account allows signers to reassign an envelope. | | allowSignerReassignOverride | Boolean | Admin | When true, the sender has the option override the default account setting for reassigning recipients. | | allowSigningGroups | Boolean | SysAdmin Read Only | When true, the account can use signing groups. This setting is only shown in the response when listing account settings. | | allowTabOrder | Boolean | Admin | When true, the Tab Order field is available for use when creating tabs. | | allowWorkspaceComments | Boolean | Reserved | Reserved for DocuSign. | | allowWorkspaceCreate | Boolean | Admin | When true, account users can create DocuSign Rooms. | | attachCompletedEnvelope | Boolean | SysAdmin | When true, envelope documents are included as a PDF file attachment for signing completed emails. | | authenticationCheck | String | Admin | Sets when authentication checks are applied for recipient envelope access. This setting only applies to the following ID checks: &lt;ul&gt; &lt;li&gt;Phone Authentication&lt;/li&gt; &lt;li&gt;SMS Authentication&lt;/li&gt; &lt;li&gt;Knowledge-Based ID&lt;/li&gt; &lt;/ul&gt; This setting takes one of the following options: &lt;ul&gt; &lt;li&gt;&lt;p&gt;&lt;code&gt;initial_access&lt;/code&gt;: The authentication check always applies the first time a recipient accesses the documents. Recipients are not asked to authenticate again when they access the documents from the same browser on the same device. If the recipient attempts to access the documents from a different browser or a different device, the recipient must pass authentication again. Once authenticated, that recipient is not challenged again on the new device or browser. The ability for a recipient to skip authentication for documents is limited to documents sent from the same sending account.&lt;/p&gt;&lt;/li&gt; &lt;li&gt;&lt;p&gt;&lt;code&gt;each_access&lt;/code&gt;: Authentication checks apply every time a recipient attempts to access the envelope. However, you can configure the Authentication Expiration setting to allow recipients to skip authentication when they have recently passed authentication by setting a variable timeframe.&lt;/p&gt;&lt;/li&gt; &lt;/ul&gt; | | autoNavRule | String | Admin | The auto-navigation rule for the account. Enumeration values are: &lt;ul&gt; &lt;li&gt;&lt;code&gt;off&lt;/li&gt;&lt;/code&gt; &lt;li&gt;&lt;code&gt;required_fields&lt;/li&gt;&lt;/code&gt; &lt;li&gt;&lt;code&gt;required_and_blank_fields&lt;/li&gt;&lt;/code&gt; &lt;li&gt;&lt;code&gt;all_fields&lt;/li&gt;&lt;/code&gt; &lt;li&gt;&lt;code&gt;page_then_required_fields&lt;/li&gt;&lt;/code&gt; &lt;li&gt;&lt;code&gt;page_then_required_and_blank_fields&lt;/li&gt;&lt;/code&gt; &lt;li&gt;&lt;code&gt;page_then_all_fields&lt;/li&gt;&lt;/code&gt; &lt;/ul&gt; | | bulkSend | Boolean | Admin | When true, the account allows bulk sending of envelopes. | | canSelfBrandSend | Boolean | SysAdmin | When true, account administrators can self-brand their sending console through the DocuSign Console. | | canSelfBrandSign | Boolean | SysAdmin | When true, account administrators can self-brand their signing console through the DocuSign Console. | | conditionalFieldsEnabled | Boolean | Admin | When true, conditional fields can be used by the account. | | consumerDisclosureFrequency | enum | Admin | Possible values are: &lt;ul&gt; &lt;li&gt; &lt;code&gt;once&lt;/code&gt;: Per account, the supplemental document is displayed once only per userId. &lt;/li&gt; &lt;li&gt; &lt;code&gt;always&lt;/code&gt;: Per envelope, the supplemental document is displayed once only per userId. &lt;/li&gt; &lt;li&gt; &lt;code&gt;each_access&lt;/code&gt;: - Per envelope, the supplemental document is displayed once only per recipientId. &lt;/li&gt; &lt;/ul&gt; | | dataFieldRegexEnabled | Boolean | Admin | When true, the Regex field is available for tabs with that property. | | dataFieldSizeEnabled | Boolean | Admin | When true, the maximum number of characters field is available for tabs with that property. | | dataPopulationScope | String | Admin | Specifies how data is shared for tabs with the same tabLabel. There are two possible values: &lt;ul&gt; &lt;li&gt; &lt;code&gt;document&lt;/code&gt;: Tabs in a document with the same label populate with the same data. &lt;/li&gt; &lt;li&gt; &lt;code&gt;envelope&lt;/code&gt;: Tabs in all documents in the envelope with the same label populate with the same data. &lt;/li&gt; &lt;/ul&gt; This setting applies to the following tab types: &lt;ul&gt; &lt;li&gt; Check box &lt;/li&gt; &lt;li&gt; Company &lt;/li&gt; &lt;li&gt; Data Field &lt;/li&gt; &lt;li&gt; Dropdown List &lt;/li&gt; &lt;li&gt; Full Name &lt;/li&gt; &lt;li&gt; Formula &lt;/li&gt; &lt;li&gt; Note &lt;/li&gt; &lt;li&gt; Title &lt;/li&gt; &lt;/ul&gt; Changing this setting affects envelopes that have been sent but not completed. | | disableMobilePushNotifications | Boolean | Admin | When true, mobile push notifications are disabled on the account. | | disableMobileSending | Boolean | Admin | When true, sending from mobile applications is disabled. | | disableMultipleSessions | Boolean | Admin | When true, account users cannot be logged into multiple sessions at once. | | disableUploadSignature | Boolean | Admin | When true, signers cannot use the upload signature/initials image option when signing a document. | | documentConversionRestrictions | String | Admin | Sets the account document upload restriction for non-account administrators. There are three possible values: &lt;ul&gt; &lt;li&gt; &lt;code&gt;no_restrictions&lt;/code&gt; : there are no restrictions on the type of documents that can be uploaded. &lt;/li&gt; &lt;li&gt; &lt;code&gt;allow_pdf_only&lt;/code&gt; : only: non-administrators can only upload PDF files. &lt;/li&gt; &lt;li&gt; &lt;code&gt;no_upload&lt;/code&gt; : Non-administrators cannot upload files. &lt;/li&gt; &lt;/ul&gt; | | enableAutoNav | Boolean | SysAdmin or EnableAutoNavByDSAdmin is set | When true, the auto-navigation is enabled for the account. | | enableCalculatedFields | Boolean | Admin &amp; AllowExpression is set | When true, this account can use the Calculated Fields feature. | | enableDSPro | Boolean | SysAdmin | When true, this account can send and manage envelopes from the DocuSign Desktop Client. | | enableEnvelopeStampingByAccountAdmin | Boolean | SysAdmin or account has EnableEnvelopeStampingByDSAdmin set | When true, senders for this account can choose to have the envelope ID stamped in the document margins. | | enablePaymentProcessing | Boolean | Admin &amp; AllowPaymentProcessing is set. | When true, Payment Processing is enabled for the account. | | enablePowerForm | Boolean | SysAdmin | When true, PowerForm access is enabled for the account. | | enablePowerFormDirect | Boolean | Admin | When true, direct PowerForms are enabled for the account. | | enableRecipientDomainValidation | Boolean | Admin | When true, validation on recipient email domains for DocuSign Access feature is enabled. | | enableRequireSignOnPaper | Boolean | Admin | When true, the account can use the requireSignOnPaper option. | | enableReservedDomain | Boolean | SysAdmin | When true, an account administrator can reserve web domain and users. | | enableSMSAuthentication | Boolean | Admin | When true, the account can use SMS authentication. | | enableSendToAgent | Boolean | SysAdmin | When true, this account can use the Agent Recipient Type. | | enableSendToIntermediary | Boolean | Admin &amp; AllowSendToIntermediary is set | When true, this account can use the Intermediary Recipient Type. | | enableSendToManage | Boolean | Admin | When true, this account can use the Editor Recipient Type. | | enableSequentialSigningAPI | Boolean | SysAdmin | When true, the account can define the routing order of recipients for envelopes sent using the DocuSign API. | | enableSequentialSigningUI | Boolean | SysAdmin | When true, the account can define the routing order of recipients for envelopes sent using the DocuSign console. | | enableSignOnPaper | Boolean | Admin | When true, a user can allow signers to use the sign on paper option. | | enableSignOnPaperOverride | Boolean | Admin | When true, a user can override the default account setting for the sign on paper option. | | enableSignerAttachments | Boolean | Admin | When true, a user can request attachments from a signer. | | enableTransactionPoint | Boolean | SysAdmin | When true, Transaction Point is enabled for this account. | | enableVaulting | Boolean | SysAdmin | When true, this account can use electronic vaulting for documents. | | enableWorkspaces | Boolean | Admin | When true, DocuSign Rooms is enabled for the account. | | envelopeIntegrationAllowed | String | SysAdmin | Shows the envelope integration rule for the account. &lt;br&gt; Enumeration values are: NotAllowed, Full, IntegrationSendOnly. | | envelopeIntegrationEnabled | Boolean | Admin &amp; EnvelopeIntegrationAllowed is set | When true, envelope integration is enabled for the account. | | envelopeStamplingDefaultValue | Boolean | (GET only) | When true, envelopes sent by this account automatically have the envelope ID stamped in the margins, unless the sender selects not to have them stamped. | | externalSignaturePadType | String | Admin | Sets the type of signature pad that can be used. Possible values are: &lt;ul&gt; &lt;li&gt; &lt;code&gt;none&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;topaz&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;e_padv9&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;e_pad_integrisign&lt;/code&gt; &lt;/li&gt; &lt;/ul&gt; | | faxOutEnabled | Boolean | Admin | When true, the account can use the fax out feature. | | idCheckExpire | String | Admin | Indicates when a user&#39;s authentication expires. Possible values are: &lt;ul&gt; &lt;li&gt; &lt;code&gt;always&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;never&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;variable&lt;/code&gt;: Use the value in &lt;code&gt;idCheckExpireDays&lt;/code&gt; &lt;/li&gt; &lt;/ul&gt; | | idCheckExpireDays | Integer | Admin | The number of days before a user&#39;s authentication expires. Valid only if the &#x60;IDCheckExpire&#x60; value is Variable. | | idCheckRequired | String | Admin | Indicates if authentication is required by envelope signers. Possible values are: &lt;ul&gt; &lt;li&gt; &lt;code&gt;always&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;never&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;optional&lt;/code&gt;: Authentication is determined by the sender. &lt;/li&gt; &lt;/ul&gt; | | inPersonIDCheckQuestion | String | Admin | The default question used by the In Person signing host for an In Person signing session. | | inSessionEnabled | Boolean | Admin | When true, the account can use In Session (embedded) and offline signing. This option and the allowOfflineSigning option must both be enabled (true) for a caller to use offline signing. | | inSessionSuppressEmails | Boolean | Admin | When true, emails are not sent to the embedded recipients on an envelope for the account. | | maximumSigningGroups | String | SysAdmin Read Only | The maximum number of signing groups an account can have. The default value for this is 50. This setting is only shown in the response when listing account settings. | | maximumUsersPerSigningGroup | String | SysAdmin Read Only | The maximum number of members in a signing group. The default value for this is 50. This setting is only shown in the response when listing account settings. | | mobileSessionTimeout | String | Admin | Sets the amount of idle activity time, in minutes, before a mobile user is automatically logged off of the system. If the setting is 0, then DocuSign mobile application users are never automatically logged off the system. The minimum setting is 1 minute and the maximum setting is 120 minutes. &lt;br&gt; This setting only applies to the DocuSign for iOS v2.8.2 or later mobile app. | | phoneAuthRecipientMayProvidePhoneNumber | Boolean | Admin | When true, senders can select to allow the recipient to provide a phone number for the Phone Authentication process. | | pkiSignDownloadedPDFDocs | String | Admin | The policy for adding a digital certificate to downloaded, printed and emailed documents. Possible values are: &lt;ul&gt; &lt;li&gt; &lt;code&gt;no_sign&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;no_sign_allow_user_override&lt;/code&gt; &lt;/li&gt; &lt;li&gt; &lt;code&gt;yes_sign&lt;/code&gt; &lt;/li&gt; &lt;/ul&gt; | | recipientsCanSignOffline | Boolean | Admin | When true, envelopes signed using offline signing on mobile devices are synchronized with this account. | | requireDeclineReason | Boolean | Admin | When true, recipients that decline to sign an envelope must provide a reason. | | requireSignerCertificateType | String | Admin | Sets which Digital Signature certificate is required when sending envelopes. There are three possible values: &lt;ul&gt; &lt;li&gt; &lt;code&gt;none&lt;/code&gt;: a Digital Signature certificate is not required. &lt;/li&gt; &lt;li&gt; &lt;code&gt;docusign_express&lt;/code&gt;: signers must use a DocuSign Express certificate. &lt;/li&gt; &lt;li&gt; &lt;code&gt;docusign_personal&lt;/code&gt;: signers must use a DocuSign personal certificate. &lt;/li&gt; &lt;li&gt; &lt;code&gt;open_trust&lt;/code&gt;: signers must use an OpenTrust certificate. &lt;/li&gt; &lt;/ul&gt; | | rsaVeridAccountName | String | Admin | The RSA account name.&lt;br&gt; Modifying this value might inadvertently disrupt your ID Check capability. Ensure you have the correct value before changing this. | | rsaVeridPassword | String | Admin | The password used with the RSA account.&lt;br&gt;Modifying this value might inadvertently disrupt your ID Check capability. Ensure you have the correct value before changing this. | | rsaVeridRuleset | String | Admin | The RSA rule set used with the account. &lt;br&gt;Modifying this value might inadvertently disrupt your ID Check capability. Ensure you have the correct value before changing this. | | rsaVeridUserId | String | Admin | The user ID for the RSA account. &lt;br&gt;Modifying this value might inadvertently disrupt your ID Check capability. Ensure you have the correct value before changing this. | | savingCustomTabsEnabled | Boolean | Admin | When true, account users can save custom tabs. | | selfSignedRecipientEmailDocument | String | Admin | Sets how self-signed documents are presented to the email recipients. Possible values are: &lt;ul&gt; &lt;li&gt;&lt;code&gt;include_pdf&lt;/code&gt;: A PDF of the completed document is attached to the email&lt;/li&gt; &lt;li&gt;&lt;code&gt;include_link&lt;/code&gt;: A secure link to the self-signed documents is included in the email.&lt;/li&gt; &lt;/ul&gt; | | selfSignedRecipientEmailDocumentRights | Boolean | Admin | When true, account administrators can set the selfSignedRecipientEmailDocument option. | | selfSignedRecipientEmailDocumentUserOverride | Boolean | Admin | When true the selfSignedRecipientEmailDocument userSetting can be set for an individual user. The userSetting will override the account setting. | | selfSignedRecipientEmailDocumentUserOverrideRights | Boolean | Admin | When true, account administrators can set the selfSignedRecipientEmailDocumentOverride option. | | sendToCertifiedDeliveryEnabled | Boolean | Admin | When true, the Certified Deliveries Recipient type can be used by the account. | | senderMustAuthenticateSigning | Boolean | Admin | When true, a sender that is also a recipient of an envelope must follow the authentication requirements for the envelope. | | sessionTimeout | Integer | Admin | The amount of idle activity time, in minutes, before a user is automatically logged out of the system. The minimum setting is 20 minutes and the maximum setting is 120 minutes. | | setRecipEmailLang | Boolean | Admin | When true, senders can set the email languages for each recipient. | | setRecipSignLang | Boolean | Admin | When true, senders can set the signing language used for each recipient. | | sharedCustomTabsEnabled | Boolean | Admin | When true, saved custom tabs can be shared with account users. | | signDateFormat | String | Admin | The date/time format applied to Date Signed fields for the account. | | signTimeShowAmPm | Boolean | Admin | When true, AM or PM is shown as part of the time for signDateFormat. | | signerAttachCertificateToEnvelopePDF | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, the Certificate of Completion is included in the envelope documents PDF when it is downloaded. | | signerAttachConcat | Boolean | Admin | When true, signer attachments are added to the parent document that the attachment tab is located on, instead of the default behavior that creates a new document in the envelope for every signer attachment. | | signerCanCreateAccount | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, the signer without a DocuSign account can create a DocuSign account after signing. | | signerCanSignOnMobile | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, signers can use the DocuSign mobile signing user interface. | | signerInSessionUseEnvelopeCompleteEmail | Boolean | Admin | When true, an envelope complete email is sent to an In Session (embedded) or offline signer after DocuSign processes the envelope. | | signerLoginRequirements | String | Admin | Sets the Login requirements for the signer. There are four options: &lt;ul&gt; &lt;li&gt; &lt;code&gt;login_not_required&lt;/code&gt;: The signer is not required to log on to the system. &lt;/li&gt; &lt;li&gt; &lt;code&gt;login_required_if_account_holder&lt;/code&gt;: If the signer has a DocuSign account, they must log on to sign the document. &lt;/li&gt; &lt;li&gt; &lt;code&gt;login_required_per_session&lt;/code&gt;: The sender cannot send an envelope to anyone who does not have a DocuSign account. &lt;/li&gt; &lt;li&gt; &lt;code&gt;login_required_per_envelope&lt;/code&gt;: The sender cannot send an envelope to anyone who does not have a DocuSign account and the signer must log on the system for each envelope they will sign. &lt;/li&gt; &lt;/ul&gt; If you use Direct PowerForms or captive/embedded signers, the &quot;Account required&quot; settings are bypassed for those signers. If your workflow requires that the signer have an account, you should not use those methods. | | signerMustHaveAccount | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, senders can only send an envelope to a recipient that has a DocuSign account. | | signerMustLoginToSign | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, an envelope signer must log in to the DocuSign console to sign an envelope. | | signerShowSecureFieldInitialValues | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, the initial value of all SecureFields is written to the document when sent. | | tabDataLabelEnabled | Boolean | Admin | When true, senders can change the default tabLabel for tabs. | | tabLockingEnabled | Boolean | Admin | When true, the locked option is available for tabs with that property. | | tabTextFormattingEnabled | Boolean | Admin | When true, the formatting options (font type, font size, font color, bold, italic, and underline) are available for tabs with those properties. | | universalSignatureOptIn | Boolean | Reserved | Reserved for DocuSign. | | universalSignatureOptOut | Boolean | Reserved | Reserved for DocuSign. | | useAccountLevelEmail | Boolean | AccountAdmin &amp; account is selected in AccountSigningSettings| When true, the content of notification emails is determined at the account level. | | useConsumerDisclosure | Boolean | Admin | When true, the account can use supplemental documents. | | usesAPI | Boolean | SysAdmin | When true, the account can use the DocuSign API. | [newAccountDefinition]: #/definitions/newAccountDefinition [nameValue]: #/definitions/nameValue Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters :preview_billing_plan (String.t): When set to true, creates the account using a preview billing plan. :new_account_definition (NewAccountDefinition): Returns {:ok, %DocuSign.Model.NewAccountSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#billing_charges_get_account_billing_charges/3","title":"DocuSign.Api.Accounts.billing_charges_get_account_billing_charges/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Gets list of recurring and usage charges for the account. Retrieves the list of recurring and usage charges for the account. This can be used to determine the charge structure and usage of charge plan items. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :include_charges (String.t): Specifies which billing charges to return. Valid values are: envelopes seats Returns {:ok, %DocuSign.Model.BillingChargeResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#captive_recipients_delete_captive_recipients_part/4","title":"DocuSign.Api.Accounts.captive_recipients_delete_captive_recipients_part/4","module":"DocuSign.Api.Accounts","type":"function","doc":"Deletes the signature for one or more captive recipient records. Deletes the signature for one or more captive recipient records; it is primarily used for testing. This provides a way to reset the signature associated with a client user ID so that a new signature can be created the next time the client user ID is used. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_part (String.t): opts (KeywordList): [optional] Optional parameters :captive_recipient_information (CaptiveRecipientInformation): Returns {:ok, %DocuSign.Model.CaptiveRecipientInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#recipient_names_get_recipient_names/3","title":"DocuSign.Api.Accounts.recipient_names_get_recipient_names/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Gets recipient names associated with an email address. Retrieves a list of recipients in the specified account that are associated with a email address supplied in the query string. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :email (String.t): The email address for the user Returns {:ok, %DocuSign.Model.RecipientNamesResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#settings_get_settings/3","title":"DocuSign.Api.Accounts.settings_get_settings/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Gets account settings information. Retrieves the account settings information for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.AccountSettingsInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#settings_put_settings/3","title":"DocuSign.Api.Accounts.settings_put_settings/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Updates the account settings for an account. Updates the account settings for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :account_settings_information (AccountSettingsInformation): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#shared_access_get_shared_access/3","title":"DocuSign.Api.Accounts.shared_access_get_shared_access/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Reserved: Gets the shared item status for one or more users. Reserved: Retrieves shared item status for one or more users and types of items. Users with account administration privileges can retrieve shared access information for all account users. Users without account administrator privileges can only retrieve shared access information for themselves and the returned information is limited to the retrieving the status of all members of the account that are sharing their folders to the user. This is equivalent to setting the shared&#x3D;shared_from. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :count (String.t): Specifies maximum number of results included in the response. If no value is specified, this defaults to 1000. :envelopes_not_shared_user_status (String.t): :folder_ids (String.t): A comma separated list of folder ID GUIDs. :item_type (String.t): Reserved: :search_text (String.t): This can be used to filter user names in the response. The wild-card &#39;*&#39; (asterisk) can be used around the string. :shared (String.t): Reserved: :start_position (String.t): Reserved: :user_ids (String.t): Reserved: Returns {:ok, %DocuSign.Model.AccountSharedAccess{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#shared_access_put_shared_access/3","title":"DocuSign.Api.Accounts.shared_access_put_shared_access/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Reserved: Sets the shared access information for users. Reserved: Sets the shared access information for one or more users. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :item_type (String.t): :user_ids (String.t): :account_shared_access (AccountSharedAccess): Returns {:ok, %DocuSign.Model.AccountSharedAccess{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#supported_languages_get_supported_languages/3","title":"DocuSign.Api.Accounts.supported_languages_get_supported_languages/3","module":"DocuSign.Api.Accounts","type":"function","doc":"List supported languages for the recipient language setting List supported languages for the recipient language setting Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.SupportedLanguages{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Accounts.html#unsupported_file_types_get_unsupported_file_types/3","title":"DocuSign.Api.Accounts.unsupported_file_types_get_unsupported_file_types/3","module":"DocuSign.Api.Accounts","type":"function","doc":"Gets a list of unsupported file types. Retrieves a list of file types (mime-types and file-extensions) that are not supported for upload through the DocuSign system. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.FileTypeList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Authentication.html","title":"DocuSign.Api.Authentication","module":"DocuSign.Api.Authentication","type":"module","doc":"API calls for all endpoints tagged Authentication."},{"ref":"DocuSign.Api.Authentication.html#login_information_get_login_information/2","title":"DocuSign.Api.Authentication.login_information_get_login_information/2","module":"DocuSign.Api.Authentication","type":"function","doc":"Gets login information for a specified user. Retrieves account information for the authenticated user. Since the API is sessionless, this method does not actually log you in. Instead, the method returns information about the account or accounts that the authenticated user has access to. ###### Important: This method must only be used for the [Legacy Header Authentication][legacyheader] flow. Use the &#x60;AccountServer: userInfo&#x60; method for the OAuth2 Authentiction Code and Implicit Grant flows. Each account has a &#x60;baseUrl&#x60; property, returned in the response. Use this &#x60;baseUrl&#x60; in all future API calls as the base of the request URL. For each account, the &#x60;baseUrl&#x60; property includes the DocuSign server, the API version, and the &#x60;accountId&#x60; property. It is not uncommon for an authenticated user to have access to more than one account (and more than one &#x60;baseUrl&#x60;). Depending on your integration&#39;s use case, your integration may choose to: Use the account whose &#x60;isDefault&#x60; field is &#x60;true&#x60;. List the available accounts and ask the user to choose one. * Enable the system administrator to set the account that should be used by your integration. If this method returns successfully, then you also know that the user has successfully authenticated with the DocuSign Signature platform. [legacyheader]: ../../../../guides/authentication/legacy [userinfo]: ../../../../guides/authentication/user-info-endpoints [authcode]: ../../../../guides/authentication/oauth2-code-grant [implicit]: ../../../../guides/authentication/oauth2-implicit Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters :api_password (String.t): Reserved for DocuSign. :embed_account_id_guid (String.t): :include_account_id_guid (String.t): When set to true, shows the account ID GUID in the response. :login_settings (String.t): Determines whether login settings are returned in the response. Valid Values: all - All the login settings are returned. none - no login settings are returned. Returns {:ok, %DocuSign.Model.Authentication{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Authentication.html#login_information_put_login_information/3","title":"DocuSign.Api.Authentication.login_information_put_login_information/3","module":"DocuSign.Api.Authentication","type":"function","doc":"Updates the password for a specified user. Updates the password for a specified user. Parameters connection (DocuSign.Connection): Connection to server login_part (String.t): Currently, only the value password is supported. opts (KeywordList): [optional] Optional parameters :user_password_information (UserPasswordInformation): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Authentication.html#o_auth2_post_revoke/2","title":"DocuSign.Api.Authentication.o_auth2_post_revoke/2","module":"DocuSign.Api.Authentication","type":"function","doc":"Deprecated Revokes an authorization token. Deprecated Revokes an OAuth2 authorization server token. After the revocation is complete, a caller must re-authenticate to restore access. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Authentication.html#o_auth2_post_token/2","title":"DocuSign.Api.Authentication.o_auth2_post_token/2","module":"DocuSign.Api.Authentication","type":"function","doc":"Deprecated Creates an authorization token. Deprecated Creates an OAuth2 authorization server token endpoint. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.OauthAccess{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BillingPlans.html","title":"DocuSign.Api.BillingPlans","module":"DocuSign.Api.BillingPlans","type":"module","doc":"API calls for all endpoints tagged BillingPlans."},{"ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plan_get_billing_plan/3","module":"DocuSign.Api.BillingPlans","type":"function","doc":"Get Account Billing Plan Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card. By default the successor plan and credit card information is included in the response. This information can be excluded from the response by adding the appropriate optional query string with the &#x60;setting&#x60; set to false. Response The response returns the billing plan information, including the currency code, for the plan. The &#x60;billingPlan&#x60; and &#x60;succesorPlans&#x60; property values are the same as those shown in the [ML:Get Billing Plan Details] reference. the &#x60;billingAddress&#x60; and &#x60;creditCardInformation&#x60; property values are the same as those shown in the [ML:Update Billing Plan] reference. ###### Note: When credit card number information is shown, a mask is applied to the response so that only the last 4 digits of the card number are visible. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :include_credit_card_information (String.t): When set to true, payment information including credit card information will show in the return. :include_metadata (String.t): When set to true, the &#x60;canUpgrade&#x60; and &#x60;renewalStatus&#x60; properities are included the response and an array of &#x60;supportedCountries&#x60; property is added to the &#x60;billingAddress&#x60; information. :include_successor_plans (String.t): When set to true, excludes successor information from the response. Returns {:ok, %DocuSign.Model.BillingPlans{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_credit_card_info/3","title":"DocuSign.Api.BillingPlans.billing_plan_get_credit_card_info/3","module":"DocuSign.Api.BillingPlans","type":"function","doc":"Get metadata for a given credit card. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.CreditCardInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plan_put_billing_plan/3","module":"DocuSign.Api.BillingPlans","type":"function","doc":"Updates the account billing plan. Updates the billing plan information, billing address, and credit card information for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :preview_billing_plan (String.t): When set to true, updates the account using a preview billing plan. :billing_plan_information (BillingPlanInformation): Returns {:ok, %DocuSign.Model.BillingPlanUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plans_get_billing_plan/3","module":"DocuSign.Api.BillingPlans","type":"function","doc":"Get the billing plan details. Retrieves the billing plan details for the specified billing plan ID. Parameters connection (DocuSign.Connection): Connection to server billing_plan_id (String.t): The ID of the billing plan being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BillingPlanResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plans/2","title":"DocuSign.Api.BillingPlans.billing_plans_get_billing_plans/2","module":"DocuSign.Api.BillingPlans","type":"function","doc":"Gets the list of available billing plans. Retrieves a list of the billing plans associated with a distributor. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BillingPlansResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BillingPlans.html#purchased_envelopes_put_purchased_envelopes/3","title":"DocuSign.Api.BillingPlans.purchased_envelopes_put_purchased_envelopes/3","module":"DocuSign.Api.BillingPlans","type":"function","doc":"Reserverd: Purchase additional envelopes. Reserved: At this time, this endpoint is limited to DocuSign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :purchased_envelopes_information (PurchasedEnvelopesInformation): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BulkEnvelopes.html","title":"DocuSign.Api.BulkEnvelopes","module":"DocuSign.Api.BulkEnvelopes","type":"module","doc":"API calls for all endpoints tagged BulkEnvelopes."},{"ref":"DocuSign.Api.BulkEnvelopes.html#bulk_envelopes_get_bulk_envelopes_batch_id/4","title":"DocuSign.Api.BulkEnvelopes.bulk_envelopes_get_bulk_envelopes_batch_id/4","module":"DocuSign.Api.BulkEnvelopes","type":"function","doc":"Gets the status of a specified bulk send operation. Retrieves the status information of a single bulk recipient batch. A bulk recipient batch is the set of envelopes sent from a single bulk recipient file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. batch_id (String.t): opts (KeywordList): [optional] Optional parameters :count (String.t): Specifies the number of entries to return. :include (String.t): Specifies which entries are included in the response. Multiple entries can be included by using commas in the query string (example: ?include&#x3D;&quot;failed,queued&quot;) Valid values: all - Returns all entries. If present, overrides all other query settings. This is the default if no query string is provided. failed - Entries with a failed status. processing - Entries with a processing status. queued - Entries with a queued status. * sent - Entries with a sent status. :start_position (String.t): Specifies the location in the list of envelopes from which to start. Returns {:ok, %DocuSign.Model.BulkEnvelopeStatus{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.BulkEnvelopes.html#bulk_envelopes_get_envelopes_bulk/3","title":"DocuSign.Api.BulkEnvelopes.bulk_envelopes_get_envelopes_bulk/3","module":"DocuSign.Api.BulkEnvelopes","type":"function","doc":"Gets status information about bulk recipient batches. Retrieves status information about all the bulk recipient batches. A bulk recipient batch is the set of envelopes sent from a single bulk recipient file. The response includes general information about each bulk recipient batch. The response returns information about the envelopes sent with bulk recipient batches, including the &#x60;batchId&#x60; property, which can be used to retrieve a more detailed status of individual bulk recipient batches. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :count (String.t): The number of results to return. This can be 1 to 20. :include (String.t): Specifies which entries are included in the response. Multiple entries can be included by using commas in the query string (example: ?include&#x3D;&quot;failed,queued&quot;) Valid values: all - Returns all entries. If present, overrides all other query settings. This is the default if no query string is provided. failed - Entries with a failed status. processing - Entries with a processing status. queued - Entries with a queued status. * sent - Entries with a sent status. :start_position (String.t): The position of the bulk envelope items in the response. This is used for repeated calls, when the number of bulk envelopes returned is too large for one return. The default value is 0. Returns {:ok, %DocuSign.Model.BulkEnvelopes{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ChunkedUploads.html","title":"DocuSign.Api.ChunkedUploads","module":"DocuSign.Api.ChunkedUploads","type":"module","doc":"API calls for all endpoints tagged ChunkedUploads."},{"ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_delete_chunked_upload/4","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_delete_chunked_upload/4","module":"DocuSign.Api.ChunkedUploads","type":"function","doc":"Delete an existing ChunkedUpload. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. chunked_upload_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ChunkedUploads{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_get_chunked_upload/4","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_get_chunked_upload/4","module":"DocuSign.Api.ChunkedUploads","type":"function","doc":"Retrieves the current metadata of a ChunkedUpload. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. chunked_upload_id (String.t): opts (KeywordList): [optional] Optional parameters :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: recipients, folders, documents, custom_fields, and notifications. Returns {:ok, %DocuSign.Model.ChunkedUploads{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_post_chunked_uploads/3","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_post_chunked_uploads/3","module":"DocuSign.Api.ChunkedUploads","type":"function","doc":"Initiate a new ChunkedUpload. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :chunked_upload_request (ChunkedUploadRequest): Returns {:ok, %DocuSign.Model.ChunkedUploads{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_upload_part/5","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_upload_part/5","module":"DocuSign.Api.ChunkedUploads","type":"function","doc":"Add a chunk, a chunk &#39;part&#39;, to an existing ChunkedUpload. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. chunked_upload_id (String.t): chunked_upload_part_seq (String.t): opts (KeywordList): [optional] Optional parameters :chunked_upload_request (ChunkedUploadRequest): Returns {:ok, %DocuSign.Model.ChunkedUploads{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_uploads/4","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_uploads/4","module":"DocuSign.Api.ChunkedUploads","type":"function","doc":"Integrity-Check and Commit a ChunkedUpload, readying it for use elsewhere. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. chunked_upload_id (String.t): opts (KeywordList): [optional] Optional parameters :action (String.t): Returns {:ok, %DocuSign.Model.ChunkedUploads{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorage.html","title":"DocuSign.Api.CloudStorage","module":"DocuSign.Api.CloudStorage","type":"module","doc":"API calls for all endpoints tagged CloudStorage."},{"ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder/6","title":"DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder/6","module":"DocuSign.Api.CloudStorage","type":"function","doc":"Gets a list of all the items from the specified cloud storage provider. Retrieves a list of all the items in all the folders associated with the user from the specified cloud storage provider. You can limit the scope of the returned items by providing a comma separated list of folder IDs in the request. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. folder_id (String.t): The ID of the folder being accessed. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :cloud_storage_folder_path (String.t): :count (String.t): An optional value that sets how many items are included in the response. The default setting for this is 25. :order (String.t): An optional value that sets the direction order used to sort the item list. Valid values are: asc &#x3D; ascending sort order desc &#x3D; descending sort order :order_by (String.t): An optional value that sets the file attribute used to sort the item list. Valid values are: modified name :search_text (String.t): :start_position (String.t): Indicates the starting point of the first item included in the response set. It uses a 0-based index. The default setting for this is 0. Returns {:ok, %DocuSign.Model.CloudStorage{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder_all/5","title":"DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder_all/5","module":"DocuSign.Api.CloudStorage","type":"function","doc":"Retrieves a list of all the items in a specified folder from the specified cloud storage provider. Retrieves a list of all the items in a specified folder from the specified cloud storage provider. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :cloud_storage_folder_path (String.t): A comma separated list of folder IDs included in the request. :count (String.t): An optional value that sets how many items are included in the response. The default setting for this is 25. :order (String.t): An optional value that sets the direction order used to sort the item list. Valid values are: asc &#x3D; ascending sort order desc &#x3D; descending sort order :order_by (String.t): An optional value that sets the file attribute used to sort the item list. Valid values are: modified name :search_text (String.t): :start_position (String.t): Indicates the starting point of the first item included in the response set. It uses a 0-based index. The default setting for this is 0. Returns {:ok, %DocuSign.Model.CloudStorage{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorageProviders.html","title":"DocuSign.Api.CloudStorageProviders","module":"DocuSign.Api.CloudStorageProviders","type":"module","doc":"API calls for all endpoints tagged CloudStorageProviders."},{"ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage/5","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage/5","module":"DocuSign.Api.CloudStorageProviders","type":"function","doc":"Deletes the user authentication information for the specified cloud storage provider. Deletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.CloudStorageProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage_providers/4","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage_providers/4","module":"DocuSign.Api.CloudStorageProviders","type":"function","doc":"Deletes the user authentication information for one or more cloud storage providers. Deletes the user authentication information for one or more cloud storage providers. The next time the user tries to access the cloud storage provider, they must pass normal authentication. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :cloud_storage_providers (CloudStorageProviders): Returns {:ok, %DocuSign.Model.CloudStorageProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage/5","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage/5","module":"DocuSign.Api.CloudStorageProviders","type":"function","doc":"Gets the specified Cloud Storage Provider configuration for the User. Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :redirect_url (String.t): The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl. The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains. Returns {:ok, %DocuSign.Model.CloudStorageProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage_providers/4","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage_providers/4","module":"DocuSign.Api.CloudStorageProviders","type":"function","doc":"Get the Cloud Storage Provider configuration for the specified user. Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :redirect_url (String.t): The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl. The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains. Returns {:ok, %DocuSign.Model.CloudStorageProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_post_cloud_storage/4","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_post_cloud_storage/4","module":"DocuSign.Api.CloudStorageProviders","type":"function","doc":"Configures the redirect URL information for one or more cloud storage providers for the specified user. Configures the redirect URL information for one or more cloud storage providers for the specified user. The redirect URL is added to the authentication URL to complete the return route. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :cloud_storage_providers (CloudStorageProviders): Returns {:ok, %DocuSign.Model.CloudStorageProviders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectConfigurations.html","title":"DocuSign.Api.ConnectConfigurations","module":"DocuSign.Api.ConnectConfigurations","type":"module","doc":"API calls for all endpoints tagged ConnectConfigurations."},{"ref":"DocuSign.Api.ConnectConfigurations.html#connect_delete_connect_config/4","title":"DocuSign.Api.ConnectConfigurations.connect_delete_connect_config/4","module":"DocuSign.Api.ConnectConfigurations","type":"function","doc":"Deletes the specified connect configuration. Deletes the specified DocuSign Connect configuration. ###### Note: Connect must be enabled for your account to use this function. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_config/4","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_config/4","module":"DocuSign.Api.ConnectConfigurations","type":"function","doc":"Get information on a Connect Configuration Retrieves the information for the specified DocuSign Connect configuration. ###### Note: Connect must be enabled for your account to use this function. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ConnectConfigResults{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_configs/3","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_configs/3","module":"DocuSign.Api.ConnectConfigurations","type":"function","doc":"Get Connect Configuration Information Retrieves all the DocuSign Custom Connect definitions for the specified account. ###### Note: Connect must be enabled for your account to use this function. This does not retrieve information for Connect configurations for Box, eOriginal, or Salesforce. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ConnectConfigResults{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_users/4","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_users/4","module":"DocuSign.Api.ConnectConfigurations","type":"function","doc":"Returns users from the configured Connect service. Returns users from the configured Connect service. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (KeywordList): [optional] Optional parameters :count (String.t): Optional. Number of items to return. :email_substring (String.t): Filters the returned user records by the email address or a sub-string of email address. :list_included_users (String.t): :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. :status (String.t): Filters the results by user status. You can specify a comma-separated list of the following statuses: ActivationRequired ActivationSent Active Closed * Disabled :user_name_substring (String.t): Filters the user records returned by the user name or a sub-string of user name. Returns {:ok, %DocuSign.Model.IntegratedUserInfoList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectConfigurations.html#connect_post_connect_configuration/3","title":"DocuSign.Api.ConnectConfigurations.connect_post_connect_configuration/3","module":"DocuSign.Api.ConnectConfigurations","type":"function","doc":"Creates a connect configuration for the specified account. Creates a DocuSign Custom Connect definition for your account. DocuSign Connect enables the sending of real-time data updates to external applications. These updates are generated by user transactions as the envelope progresses through actions to completion. The Connect Service provides updated information about the status of these transactions and returns updates that include the actual content of document form fields. Be aware that, these updates might or might not include the document itself. For more information about Connect, see the [ML:DocuSign Connect Service Guide]. ###### Note: Connect must be enabled for your account to use this function. This cannot be used to set up Connect configurations for Salesforce or eOriginal. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :connect_configurations (ConnectConfigurations): Returns {:ok, %DocuSign.Model.ConnectConfigurations{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectConfigurations.html#connect_put_connect_configuration/3","title":"DocuSign.Api.ConnectConfigurations.connect_put_connect_configuration/3","module":"DocuSign.Api.ConnectConfigurations","type":"function","doc":"Updates a specified Connect configuration. Updates the specified DocuSign Connect configuration in your account. ###### Note: Connect must be enabled for your account to use this function. This cannot be used to update Connect configurations for Box, eOriginal, or Salesforce. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :connect_configurations (ConnectConfigurations): Returns {:ok, %DocuSign.Model.ConnectConfigurations{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html","title":"DocuSign.Api.ConnectEvents","module":"DocuSign.Api.ConnectEvents","type":"module","doc":"API calls for all endpoints tagged ConnectEvents."},{"ref":"DocuSign.Api.ConnectEvents.html#connect_failures_delete_connect_failure_log/4","title":"DocuSign.Api.ConnectEvents.connect_failures_delete_connect_failure_log/4","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Deletes a Connect failure log entry. Deletes the Connect failure log information for the specified entry. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. failure_id (String.t): The ID of the failed connect log entry. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_failures_get_connect_logs/3","title":"DocuSign.Api.ConnectEvents.connect_failures_get_connect_logs/3","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Gets the Connect failure log information. Retrieves the Connect Failure Log information. It can be used to determine which envelopes failed to post, so a republish request can be created. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :from_date (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created. :to_date (String.t): End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date. Returns {:ok, %DocuSign.Model.ConnectEvents{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_log/4","title":"DocuSign.Api.ConnectEvents.connect_log_delete_connect_log/4","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Deletes a specified Connect log entry. Deletes a specified entry from the Connect Log. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. log_id (String.t): The ID of the connect log entry opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_logs/3","title":"DocuSign.Api.ConnectEvents.connect_log_delete_connect_logs/3","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Gets a list of Connect log entries. Retrieves a list of connect log entries for your account. ###### Note: The &#x60;enableLog&#x60; property in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_log/4","title":"DocuSign.Api.ConnectEvents.connect_log_get_connect_log/4","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Get the specified Connect log entry. Retrieves the specified Connect log entry for your account. ###### Note: The &#x60;enableLog&#x60; setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. log_id (String.t): The ID of the connect log entry opts (KeywordList): [optional] Optional parameters :additional_info (String.t): When true, the connectDebugLog information is included in the response. Returns {:ok, %DocuSign.Model.ConnectLog{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_logs/3","title":"DocuSign.Api.ConnectEvents.connect_log_get_connect_logs/3","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Gets the Connect log. Retrieves a list of connect log entries for your account. ###### Note: The &#x60;enableLog&#x60; setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :from_date (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created. :to_date (String.t): End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date. Returns {:ok, %DocuSign.Model.ConnectEvents{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry/3","title":"DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry/3","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Republishes Connect information for multiple envelopes. Republishes Connect information for the specified set of envelopes. The primary use is to republish Connect post failures by including envelope IDs for the envelopes that failed to post in the request. The list of envelope IDs that failed to post correctly can be retrieved by calling to [ML:GetConnectLog] retrieve the failure log. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :connect_failure_filter (ConnectFailureFilter): Returns {:ok, %DocuSign.Model.ConnectFailureResults{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry_by_envelope/4","title":"DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry_by_envelope/4","module":"DocuSign.Api.ConnectEvents","type":"function","doc":"Republishes Connect information for the specified envelope. Republishes Connect information for the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ConnectFailureResults{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Contacts.html","title":"DocuSign.Api.Contacts","module":"DocuSign.Api.Contacts","type":"module","doc":"API calls for all endpoints tagged Contacts."},{"ref":"DocuSign.Api.Contacts.html#contacts_delete_contact_with_id/4","title":"DocuSign.Api.Contacts.contacts_delete_contact_with_id/4","module":"DocuSign.Api.Contacts","type":"function","doc":"Replaces a particular contact associated with an account for the DocuSign service. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. contact_id (String.t): The unique identifier of a person in the contacts address book. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ContactUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Contacts.html#contacts_delete_contacts/3","title":"DocuSign.Api.Contacts.contacts_delete_contacts/3","module":"DocuSign.Api.Contacts","type":"function","doc":"Delete contacts associated with an account for the DocuSign service. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :contact_mod_request (ContactModRequest): Returns {:ok, %DocuSign.Model.ContactUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Contacts.html#contacts_get_contact_by_id/4","title":"DocuSign.Api.Contacts.contacts_get_contact_by_id/4","module":"DocuSign.Api.Contacts","type":"function","doc":"Gets a particular contact associated with the user&#39;s account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. contact_id (String.t): The unique identifier of a person in the contacts address book. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ContactGetResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Contacts.html#contacts_post_contacts/3","title":"DocuSign.Api.Contacts.contacts_post_contacts/3","module":"DocuSign.Api.Contacts","type":"function","doc":"Imports multiple new contacts into the contacts collection from CSV, JSON, or XML (based on content type). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :contact_mod_request (ContactModRequest): Returns {:ok, %DocuSign.Model.ContactUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Contacts.html#contacts_put_contacts/3","title":"DocuSign.Api.Contacts.contacts_put_contacts/3","module":"DocuSign.Api.Contacts","type":"function","doc":"Replaces contacts associated with an account for the DocuSign service. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :contact_mod_request (ContactModRequest): Returns {:ok, %DocuSign.Model.ContactUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CustomTabs.html","title":"DocuSign.Api.CustomTabs","module":"DocuSign.Api.CustomTabs","type":"module","doc":"API calls for all endpoints tagged CustomTabs."},{"ref":"DocuSign.Api.CustomTabs.html#tab_delete_custom_tab/4","title":"DocuSign.Api.CustomTabs.tab_delete_custom_tab/4","module":"DocuSign.Api.CustomTabs","type":"function","doc":"Deletes custom tab information. Deletes the custom from the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. custom_tab_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CustomTabs.html#tab_get_custom_tab/4","title":"DocuSign.Api.CustomTabs.tab_get_custom_tab/4","module":"DocuSign.Api.CustomTabs","type":"function","doc":"Gets custom tab information. Retrieves information about the requested custom tab on the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. custom_tab_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.CustomTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CustomTabs.html#tab_put_custom_tab/4","title":"DocuSign.Api.CustomTabs.tab_put_custom_tab/4","module":"DocuSign.Api.CustomTabs","type":"function","doc":"Updates custom tab information.Updates the information in a custom tab for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. custom_tab_id (String.t): opts (KeywordList): [optional] Optional parameters :custom_tabs (CustomTabs): Returns {:ok, %DocuSign.Model.CustomTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CustomTabs.html#tabs_get_tab_definitions/3","title":"DocuSign.Api.CustomTabs.tabs_get_tab_definitions/3","module":"DocuSign.Api.CustomTabs","type":"function","doc":"Gets a list of all account tabs. Retrieves a list of all tabs associated with the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :custom_tab_only (String.t): When set to true, only custom tabs are returned in the response. Returns {:ok, %DocuSign.Model.TabMetadataList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.CustomTabs.html#tabs_post_tab_definitions/3","title":"DocuSign.Api.CustomTabs.tabs_post_tab_definitions/3","module":"DocuSign.Api.CustomTabs","type":"function","doc":"Creates a custom tab. Creates a tab with pre-defined properties, such as a text tab with a certain font type and validation pattern. Users can access the custom tabs when sending documents through the DocuSign web application. Custom tabs can be created for approve, checkbox, company, date, date signed, decline, email, email address, envelope ID, first name, formula, full name, initial here, last name, list, note, number, radio, sign here, signer attachment, SSN, text, title, and zip tabs. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :custom_tabs (CustomTabs): Returns {:ok, %DocuSign.Model.CustomTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ENoteConfigurations.html","title":"DocuSign.Api.ENoteConfigurations","module":"DocuSign.Api.ENoteConfigurations","type":"module","doc":"API calls for all endpoints tagged ENoteConfigurations."},{"ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_delete_e_note_configuration/3","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_delete_e_note_configuration/3","module":"DocuSign.Api.ENoteConfigurations","type":"function","doc":"Deletes configuration information for the eNote eOriginal integration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_get_e_note_configuration/3","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_get_e_note_configuration/3","module":"DocuSign.Api.ENoteConfigurations","type":"function","doc":"Returns the configuration information for the eNote eOriginal integration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.ENoteConfigurations{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_put_e_note_configuration/3","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_put_e_note_configuration/3","module":"DocuSign.Api.ENoteConfigurations","type":"function","doc":"Updates configuration information for the eNote eOriginal integration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :e_note_configurations (ENoteConfigurations): Returns {:ok, %DocuSign.Model.ENoteConfigurations{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeAttachments.html","title":"DocuSign.Api.EnvelopeAttachments","module":"DocuSign.Api.EnvelopeAttachments","type":"module","doc":"API calls for all endpoints tagged EnvelopeAttachments."},{"ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_delete_attachments/4","title":"DocuSign.Api.EnvelopeAttachments.attachments_delete_attachments/4","module":"DocuSign.Api.EnvelopeAttachments","type":"function","doc":"Delete one or more attachments from a DRAFT envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_attachments_request (EnvelopeAttachmentsRequest): Returns {:ok, %DocuSign.Model.EnvelopeAttachmentsResult{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachment/5","title":"DocuSign.Api.EnvelopeAttachments.attachments_get_attachment/5","module":"DocuSign.Api.EnvelopeAttachments","type":"function","doc":"Retrieves an attachment from the envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. attachment_id (String.t): envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachments/4","title":"DocuSign.Api.EnvelopeAttachments.attachments_get_attachments/4","module":"DocuSign.Api.EnvelopeAttachments","type":"function","doc":"Returns a list of attachments associated with the specified envelope Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeAttachmentsResult{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachment/5","title":"DocuSign.Api.EnvelopeAttachments.attachments_put_attachment/5","module":"DocuSign.Api.EnvelopeAttachments","type":"function","doc":"Add an attachment to a DRAFT or IN-PROCESS envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. attachment_id (String.t): envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :attachment (Attachment): Returns {:ok, %DocuSign.Model.EnvelopeAttachmentsResult{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachments/4","title":"DocuSign.Api.EnvelopeAttachments.attachments_put_attachments/4","module":"DocuSign.Api.EnvelopeAttachments","type":"function","doc":"Add one or more attachments to a DRAFT or IN-PROCESS envelope. Supported attachment formats include: .asp, .bmp, .csv, .doc, .docm, .docx, .dot, .dotm, .dotx, .gif, .htm, .html, .jpeg, .jpg, .msg, .pdf, .png, .pot, .potx, .pps, .ppt, .pptm, .pptx, .ps, .rtf, .tif, .tiff, .txt, .wpd, .xls, .xlsm, .xlsx, .xml, and .xps. For more information on supported file formats please see Supported File Formats. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_attachments_request (EnvelopeAttachmentsRequest): Returns {:ok, %DocuSign.Model.EnvelopeAttachmentsResult{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeBulkRecipients.html","title":"DocuSign.Api.EnvelopeBulkRecipients","module":"DocuSign.Api.EnvelopeBulkRecipients","type":"module","doc":"API calls for all endpoints tagged EnvelopeBulkRecipients."},{"ref":"DocuSign.Api.EnvelopeBulkRecipients.html#recipients_delete_bulk_recipients_file/5","title":"DocuSign.Api.EnvelopeBulkRecipients.recipients_delete_bulk_recipients_file/5","module":"DocuSign.Api.EnvelopeBulkRecipients","type":"function","doc":"Deletes the bulk recipient file from an envelope. Deletes the bulk recipient file from an envelope. This cannot be used if the envelope has been sent. After using this, the &#x60;bulkRecipientsUri&#x60; property is not returned in subsequent GET calls for the envelope, but the recipient will remain as a bulk recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BulkRecipientsUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeBulkRecipients.html#recipients_get_bulk_recipients/5","title":"DocuSign.Api.EnvelopeBulkRecipients.recipients_get_bulk_recipients/5","module":"DocuSign.Api.EnvelopeBulkRecipients","type":"function","doc":"Gets the bulk recipient file from an envelope. Retrieves the bulk recipient file information from an envelope that has a bulk recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :include_tabs (String.t): If true include the tabs in the the result. :start_position (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.EnvelopeBulkRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeBulkRecipients.html#recipients_put_bulk_recipients/5","title":"DocuSign.Api.EnvelopeBulkRecipients.recipients_put_bulk_recipients/5","module":"DocuSign.Api.EnvelopeBulkRecipients","type":"function","doc":"Adds or replaces envelope bulk recipients. Updates the bulk recipients in a draft envelope using a file upload. The Content-Type supported for uploading a bulk recipient file is CSV (text/csv). The REST API does not support modifying individual rows or values in the bulk recipients file. It only allows the entire file to be added or replaced with a new file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :bulk_recipients_request (BulkRecipientsRequest): Returns {:ok, %DocuSign.Model.BulkRecipientsSummaryResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html","title":"DocuSign.Api.EnvelopeConsumerDisclosures","module":"DocuSign.Api.EnvelopeConsumerDisclosures","type":"module","doc":"API calls for all endpoints tagged EnvelopeConsumerDisclosures."},{"ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","title":"DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","module":"DocuSign.Api.EnvelopeConsumerDisclosures","type":"function","doc":"Gets the Electronic Record and Signature Disclosure associated with the account. Retrieves the Electronic Record and Signature Disclosure, with html formatting, associated with the account. You can use an optional query string to set the language for the disclosure. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :lang_code (String.t): Returns {:ok, %DocuSign.Model.EnvelopeConsumerDisclosures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","title":"DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","module":"DocuSign.Api.EnvelopeConsumerDisclosures","type":"function","doc":"Reserved: Gets the Electronic Record and Signature Disclosure associated with the account. Reserved: Retrieves the Electronic Record and Signature Disclosure, with HTML formatting, associated with the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec lang_code (String.t): The simple type enumeration the language used in the response. The supported languages, with the language value shown in parenthesis, are:Arabic (ar), Bulgarian (bg), Czech (cs), Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Croatian (hr), Danish (da), Dutch (nl), English US (en), English UK (en_GB), Estonian (et), Farsi (fa), Finnish (fi), French (fr), French Canada (fr_CA), German (de), Greek (el), Hebrew (he), Hindi (hi), Hungarian (hu), Bahasa Indonesia (id), Italian (it), Japanese (ja), Korean (ko), Latvian (lv), Lithuanian (lt), Bahasa Melayu (ms), Norwegian (no), Polish (pl), Portuguese (pt), Portuguese Brazil (pt_BR), Romanian (ro), Russian (ru), Serbian (sr), Slovak (sk), Slovenian (sl), Spanish (es),Spanish Latin America (es_MX), Swedish (sv), Thai (th), Turkish (tr), Ukrainian (uk) and Vietnamese (vi). Additionally, the value can be set to &quot;browser&quot; to automatically detect the browser language being used by the viewer and display the disclosure in that language. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :lang_code2 (String.t): Returns {:ok, %DocuSign.Model.EnvelopeConsumerDisclosures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeCustomFields.html","title":"DocuSign.Api.EnvelopeCustomFields","module":"DocuSign.Api.EnvelopeCustomFields","type":"module","doc":"API calls for all endpoints tagged EnvelopeCustomFields."},{"ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_delete_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_delete_custom_fields/4","module":"DocuSign.Api.EnvelopeCustomFields","type":"function","doc":"Deletes envelope custom fields for draft and in-process envelopes. Deletes envelope custom fields for draft and in-process envelopes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_custom_fields (EnvelopeCustomFields): Returns {:ok, %DocuSign.Model.EnvelopeCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_get_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_get_custom_fields/4","module":"DocuSign.Api.EnvelopeCustomFields","type":"function","doc":"Gets the custom field information for the specified envelope. Retrieves the custom field information for the specified envelope. You can use these fields in the envelopes for your account to record information about the envelope, help search for envelopes, and track information. The envelope custom fields are shown in the Envelope Settings section when a user is creating an envelope in the DocuSign member console. The envelope custom fields are not seen by the envelope recipients. There are two types of envelope custom fields, text, and list. A text custom field lets the sender enter the value for the field. With a list custom field, the sender selects the value of the field from a pre-made list. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.CustomFieldsEnvelope{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_post_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_post_custom_fields/4","module":"DocuSign.Api.EnvelopeCustomFields","type":"function","doc":"Updates envelope custom fields for an envelope. Updates the envelope custom fields for draft and in-process envelopes. Each custom field used in an envelope must have a unique name. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_custom_fields (EnvelopeCustomFields): Returns {:ok, %DocuSign.Model.EnvelopeCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_put_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_put_custom_fields/4","module":"DocuSign.Api.EnvelopeCustomFields","type":"function","doc":"Updates envelope custom fields in an envelope. Updates the envelope custom fields in draft and in-process envelopes. Each custom field used in an envelope must have a unique name. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_custom_fields (EnvelopeCustomFields): Returns {:ok, %DocuSign.Model.EnvelopeCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentFields.html","title":"DocuSign.Api.EnvelopeDocumentFields","module":"DocuSign.Api.EnvelopeDocumentFields","type":"module","doc":"API calls for all endpoints tagged EnvelopeDocumentFields."},{"ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_delete_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_delete_document_fields/5","module":"DocuSign.Api.EnvelopeDocumentFields","type":"function","doc":"Deletes custom document fields from an existing envelope document. Deletes custom document fields from an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_document_fields (EnvelopeDocumentFields): Returns {:ok, %DocuSign.Model.EnvelopeDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_get_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_get_document_fields/5","module":"DocuSign.Api.EnvelopeDocumentFields","type":"function","doc":"Gets the custom document fields from an existing envelope document. Retrieves the custom document field information from an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_post_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_post_document_fields/5","module":"DocuSign.Api.EnvelopeDocumentFields","type":"function","doc":"Creates custom document fields in an existing envelope document. Creates custom document fields in an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_document_fields (EnvelopeDocumentFields): Returns {:ok, %DocuSign.Model.EnvelopeDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_put_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_put_document_fields/5","module":"DocuSign.Api.EnvelopeDocumentFields","type":"function","doc":"Updates existing custom document fields in an existing envelope document. Updates existing custom document fields in an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_document_fields (EnvelopeDocumentFields): Returns {:ok, %DocuSign.Model.EnvelopeDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentTabs.html","title":"DocuSign.Api.EnvelopeDocumentTabs","module":"DocuSign.Api.EnvelopeDocumentTabs","type":"module","doc":"API calls for all endpoints tagged EnvelopeDocumentTabs."},{"ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_document_tabs/5","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_get_document_tabs/5","module":"DocuSign.Api.EnvelopeDocumentTabs","type":"function","doc":"Returns tabs on the document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :page_numbers (String.t): Returns {:ok, %DocuSign.Model.EnvelopeDocumentTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_page_tabs/6","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_get_page_tabs/6","module":"DocuSign.Api.EnvelopeDocumentTabs","type":"function","doc":"Returns tabs on the specified page. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec page_number (String.t): The page number being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeDocumentTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentVisibility.html","title":"DocuSign.Api.EnvelopeDocumentVisibility","module":"DocuSign.Api.EnvelopeDocumentVisibility","type":"module","doc":"API calls for all endpoints tagged EnvelopeDocumentVisibility."},{"ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_get_recipient_document_visibility/5","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_get_recipient_document_visibility/5","module":"DocuSign.Api.EnvelopeDocumentVisibility","type":"function","doc":"Returns document visibility for the recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeDocumentVisibility{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipient_document_visibility/5","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipient_document_visibility/5","module":"DocuSign.Api.EnvelopeDocumentVisibility","type":"function","doc":"Updates document visibility for the recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :envelope_document_visibility (EnvelopeDocumentVisibility): Returns {:ok, %DocuSign.Model.EnvelopeDocumentVisibility{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipients_document_visibility/4","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipients_document_visibility/4","module":"DocuSign.Api.EnvelopeDocumentVisibility","type":"function","doc":"Updates document visibility for the recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_document_visibility (EnvelopeDocumentVisibility): Returns {:ok, %DocuSign.Model.EnvelopeDocumentVisibility{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocuments.html","title":"DocuSign.Api.EnvelopeDocuments","module":"DocuSign.Api.EnvelopeDocuments","type":"module","doc":"API calls for all endpoints tagged EnvelopeDocuments."},{"ref":"DocuSign.Api.EnvelopeDocuments.html#documents_delete_documents/4","title":"DocuSign.Api.EnvelopeDocuments.documents_delete_documents/4","module":"DocuSign.Api.EnvelopeDocuments","type":"function","doc":"Deletes documents from a draft envelope. Deletes one or more documents from an existing draft envelope. &lt;p&gt;Note: Only relevant parts of an object are needed to delete a document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_definition (EnvelopeDefinition): Returns {:ok, %DocuSign.Model.EnvelopeDocuments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_document/5","title":"DocuSign.Api.EnvelopeDocuments.documents_get_document/5","module":"DocuSign.Api.EnvelopeDocuments","type":"function","doc":"Gets a document from an envelope. Retrieves the specified document from the envelope. If the account has the Highlight Data Changes feature enabled, there is an option to request that any changes in the envelope be highlighted. The &#x60;{documentID}&#x60; parameter takes two special values: | Value | Description | | :--- | :--- | | &#x60;combined&#x60; | Retrieve a PDF that contains the combined content of all documents and the certificate. | | &#x60;archive&#x60; | Retrieve a ZIP archive that contains all of the PDF documents, the certificate, and any .WAV files used for voice authentication. | Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :certificate (String.t): When set to false, the envelope signing certificate is removed from the download. :encoding (String.t): :encrypt (String.t): When set to true, the PDF bytes returned in the response are encrypted for all the key managers configured on your DocuSign account. The documents can be decrypted with the KeyManager Decrypt Document API. :language (String.t): Specifies the language for the Certificate of Completion in the response. The supported languages, with the language value shown in parenthesis, are: Chinese Simplified (zh_CN), , Chinese Traditional (zh_TW), Dutch (nl), English US (en), French (fr), German (de), Italian (it), Japanese (ja), Korean (ko), Portuguese (pt), Portuguese (Brazil) (pt_BR), Russian (ru), Spanish (es). :recipient_id (String.t): :show_changes (String.t): When set to true, any changed fields for the returned PDF are highlighted in yellow and optional signatures or initials outlined in red. :watermark (String.t): When set to true, the account has the watermark feature enabled, and the envelope is not complete, the watermark for the account is added to the PDF documents. This option can remove the watermark. Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_documents/4","title":"DocuSign.Api.EnvelopeDocuments.documents_get_documents/4","module":"DocuSign.Api.EnvelopeDocuments","type":"function","doc":"Gets a list of envelope documents. Retrieves a list of documents associated with the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeDocuments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_document/5","title":"DocuSign.Api.EnvelopeDocuments.documents_put_document/5","module":"DocuSign.Api.EnvelopeDocuments","type":"function","doc":"Adds a document to an existing draft envelope. Adds a document to an existing draft envelope. &lt;p&gt;Note: When adding or modifying documents for an in-process envelope, DocuSign recommends locking the envelope prior to making any changes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :apply_document_fields (String.t): When true, document fields can be added or modified while adding or modifying envelope documents. Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_documents/4","title":"DocuSign.Api.EnvelopeDocuments.documents_put_documents/4","module":"DocuSign.Api.EnvelopeDocuments","type":"function","doc":"Adds one or more documents to an existing envelope document. Adds one or more documents to an existing envelope document. &lt;p&gt;Note: When adding or modifying documents for an in-process envelope, DocuSign recommends locking the envelope prior to making any changes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :apply_document_fields (String.t): When true, document fields can be added or modified while adding or modifying envelope documents. :persist_tabs (String.t): :envelope_definition (EnvelopeDefinition): Returns {:ok, %DocuSign.Model.EnvelopeDocuments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeEmailSettings.html","title":"DocuSign.Api.EnvelopeEmailSettings","module":"DocuSign.Api.EnvelopeEmailSettings","type":"module","doc":"API calls for all endpoints tagged EnvelopeEmailSettings."},{"ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_delete_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_delete_email_settings/4","module":"DocuSign.Api.EnvelopeEmailSettings","type":"function","doc":"Deletes the email setting overrides for an envelope. Deletes all existing email override settings for the envelope. If you want to delete an individual email override setting, use the PUT and set the value to an empty string. Note that deleting email settings will only affect email communications that occur after the deletion and the normal account email settings are used for future email communications. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeEmailSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_get_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_get_email_settings/4","module":"DocuSign.Api.EnvelopeEmailSettings","type":"function","doc":"Gets the email setting overrides for an envelope. Retrieves the email override settings for the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeEmailSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_post_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_post_email_settings/4","module":"DocuSign.Api.EnvelopeEmailSettings","type":"function","doc":"Adds email setting overrides to an envelope. Adds email override settings, changing the email address to reply to an email address, name, or the BCC for email archive information, for the envelope. Note that adding email settings will only affect email communications that occur after the addition was made. ### Important: The BCC Email address feature is designed to provide a copy of all email communications for external archiving purposes. DocuSign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options. To send a copy of the envelope to a recipient who does not need to sign, use a Carbon Copies or Certified Deliveries Recipient Type. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_email_settings (EnvelopeEmailSettings): Returns {:ok, %DocuSign.Model.EnvelopeEmailSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_put_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_put_email_settings/4","module":"DocuSign.Api.EnvelopeEmailSettings","type":"function","doc":"Updates the email setting overrides for an envelope. Updates the existing email override settings for the specified envelope. Note that modifying email settings will only affect email communications that occur after the modification was made. This can also be used to delete an individual email override setting by using an empty string for the value to be deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_email_settings (EnvelopeEmailSettings): Returns {:ok, %DocuSign.Model.EnvelopeEmailSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeFormData.html","title":"DocuSign.Api.EnvelopeFormData","module":"DocuSign.Api.EnvelopeFormData","type":"module","doc":"API calls for all endpoints tagged EnvelopeFormData."},{"ref":"DocuSign.Api.EnvelopeFormData.html#form_data_get_form_data/4","title":"DocuSign.Api.EnvelopeFormData.form_data_get_form_data/4","module":"DocuSign.Api.EnvelopeFormData","type":"function","doc":"Returns envelope form data for an existing envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeFormData{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeLocks.html","title":"DocuSign.Api.EnvelopeLocks","module":"DocuSign.Api.EnvelopeLocks","type":"module","doc":"API calls for all endpoints tagged EnvelopeLocks."},{"ref":"DocuSign.Api.EnvelopeLocks.html#lock_delete_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_delete_envelope_lock/4","module":"DocuSign.Api.EnvelopeLocks","type":"function","doc":"Deletes an envelope lock. Deletes the lock from the specified envelope. The &#x60;X-DocuSign-Edit&#x60; header must be included in the request. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeLocks.html#lock_get_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_get_envelope_lock/4","module":"DocuSign.Api.EnvelopeLocks","type":"function","doc":"Gets envelope lock information. Retrieves general information about the envelope lock. If the call is made by the locked by user and the request has the same integrator key as original, then the &#x60;X-DocuSign-Edit&#x60; header and additional lock information is included in the response. This allows users to recover a lost editing session token and the &#x60;X-DocuSign-Edit&#x60; header. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeLocks.html#lock_post_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_post_envelope_lock/4","module":"DocuSign.Api.EnvelopeLocks","type":"function","doc":"Lock an envelope. Locks the specified envelope, and sets the time until the lock expires, to prevent other users or recipients from accessing and changing the envelope. ###### Note: Users must have envelope locking capability enabled to use this function (userSetting &#x60;canLockEnvelopes&#x60; must be set to true for the user). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :lock_request (LockRequest): Returns {:ok, %DocuSign.Model.EnvelopeLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeLocks.html#lock_put_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_put_envelope_lock/4","module":"DocuSign.Api.EnvelopeLocks","type":"function","doc":"Updates an envelope lock. Updates the lock duration time or update the &#x60;lockedByApp&#x60; property information for the specified envelope. The user and integrator key must match the user specified by the &#x60;lockByUser&#x60; property and integrator key information and the &#x60;X-DocuSign-Edit&#x60; header must be included or an error will be generated. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :lock_request (LockRequest): Returns {:ok, %DocuSign.Model.EnvelopeLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipientTabs.html","title":"DocuSign.Api.EnvelopeRecipientTabs","module":"DocuSign.Api.EnvelopeRecipientTabs","type":"module","doc":"API calls for all endpoints tagged EnvelopeRecipientTabs."},{"ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_delete_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_delete_recipient_tabs/5","module":"DocuSign.Api.EnvelopeRecipientTabs","type":"function","doc":"Deletes the tabs associated with a recipient. Deletes one or more tabs associated with a recipient in a draft envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :envelope_recipient_tabs (EnvelopeRecipientTabs): Returns {:ok, %DocuSign.Model.EnvelopeRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_get_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_get_recipient_tabs/5","module":"DocuSign.Api.EnvelopeRecipientTabs","type":"function","doc":"Gets the tabs information for a signer or sign-in-person recipient in an envelope. Retrieves information about the tabs associated with a recipient in a draft envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :include_anchor_tab_locations (String.t): When set to true, all tabs with anchor tab properties are included in the response. :include_metadata (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.EnvelopeRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_post_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_post_recipient_tabs/5","module":"DocuSign.Api.EnvelopeRecipientTabs","type":"function","doc":"Adds tabs for a recipient. Adds one or more tabs for a recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :envelope_recipient_tabs (EnvelopeRecipientTabs): Returns {:ok, %DocuSign.Model.EnvelopeRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_put_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_put_recipient_tabs/5","module":"DocuSign.Api.EnvelopeRecipientTabs","type":"function","doc":"Updates the tabs for a recipient.Updates one or more tabs for a recipient in a draft envelope. Note: The Update method can be used if the envelope is not yet complete. To update an existing tab, the request body must include the &#x60;tabId&#x60;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :envelope_recipient_tabs (EnvelopeRecipientTabs): Returns {:ok, %DocuSign.Model.EnvelopeRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipients.html","title":"DocuSign.Api.EnvelopeRecipients","module":"DocuSign.Api.EnvelopeRecipients","type":"module","doc":"API calls for all endpoints tagged EnvelopeRecipients."},{"ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipient/5","title":"DocuSign.Api.EnvelopeRecipients.recipients_delete_recipient/5","module":"DocuSign.Api.EnvelopeRecipients","type":"function","doc":"Deletes a recipient from an envelope. Deletes a recipient from a &#x60;draft&#x60; or &#x60;sent&#x60; envelope. If the envelope is &quot;In Process&quot; (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_delete_recipients/4","module":"DocuSign.Api.EnvelopeRecipients","type":"function","doc":"Deletes recipients from an envelope. Deletes one or more recipients from a draft or sent envelope. Recipients to be deleted are listed in the request, with the &#x60;recipientId&#x60; being used as the key for deleting recipients. If the envelope is &#x60;In Process&#x60;, meaning that it has been sent and has not been completed or voided, recipients that have completed their actions cannot be deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_recipients (EnvelopeRecipients): Returns {:ok, %DocuSign.Model.EnvelopeRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_get_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_get_recipients/4","module":"DocuSign.Api.EnvelopeRecipients","type":"function","doc":"Gets the status of recipients for an envelope. Retrieves the status of all recipients in a single envelope and identifies the current recipient in the routing list. The &#x60;currentRoutingOrder&#x60; property of the response contains the &#x60;routingOrder&#x60; value of the current recipient indicating that the envelope has been sent to the recipient, but the recipient has not completed their actions. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :include_anchor_tab_locations (String.t): When set to true and &#x60;include_tabs&#x60; is set to true, all tabs with anchor tab properties are included in the response. :include_extended (String.t): When set to true, the extended properties are included in the response. :include_tabs (String.t): When set to true, the tab information associated with the recipient is included in the response. Returns {:ok, %DocuSign.Model.EnvelopeRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_post_recipients/4","module":"DocuSign.Api.EnvelopeRecipients","type":"function","doc":"Adds one or more recipients to an envelope. Adds one or more recipients to an envelope. For an in process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient&#39;s routing order is before or the same as the envelope&#39;s next recipient, an email is only sent if the optional &#x60;resend_envelope&#x60; query string is set to true. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :resend_envelope (String.t): When set to true, resends the envelope if the new recipient&#39;s routing order is before or the same as the envelope&#39;s next recipient. :envelope_recipients (EnvelopeRecipients): Returns {:ok, %DocuSign.Model.EnvelopeRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_put_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_put_recipients/4","module":"DocuSign.Api.EnvelopeRecipients","type":"function","doc":"Updates recipients in a draft envelope or corrects recipient information for an in process envelope. Updates recipients in a draft envelope or corrects recipient information for an in process envelope. For draft envelopes, you can edit the following properties: &#x60;email&#x60;, &#x60;userName&#x60;, &#x60;routingOrder&#x60;, &#x60;faxNumber&#x60;, &#x60;deliveryMethod&#x60;, &#x60;accessCode&#x60;, and &#x60;requireIdLookup&#x60;. Once an envelope has been sent, you can only edit: &#x60;email&#x60;, &#x60;userName&#x60;, &#x60;signerName&#x60;, &#x60;routingOrder&#x60;, &#x60;faxNumber&#x60;, and &#x60;deliveryMethod&#x60;. You can also select to resend an envelope by using the &#x60;resend_envelope&#x60; option. If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the POST). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :offline_signing (String.t): :resend_envelope (String.t): When set to true, resends the envelope if the new recipient&#39;s routing order is before or the same as the envelope&#39;s next recipient. :envelope_recipients (EnvelopeRecipients): Returns {:ok, %DocuSign.Model.RecipientsUpdateSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeTemplates.html","title":"DocuSign.Api.EnvelopeTemplates","module":"DocuSign.Api.EnvelopeTemplates","type":"module","doc":"API calls for all endpoints tagged EnvelopeTemplates."},{"ref":"DocuSign.Api.EnvelopeTemplates.html#templates_delete_document_templates/6","title":"DocuSign.Api.EnvelopeTemplates.templates_delete_document_templates/6","module":"DocuSign.Api.EnvelopeTemplates","type":"function","doc":"Deletes a template from a document in an existing envelope. Deletes the specified template from a document in an existing envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_document_templates/5","title":"DocuSign.Api.EnvelopeTemplates.templates_get_document_templates/5","module":"DocuSign.Api.EnvelopeTemplates","type":"function","doc":"Gets the templates associated with a document in an existing envelope. Retrieves the templates associated with a document in the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :include (String.t): A comma-separated list that limits the results. Valid values: applied matched Returns {:ok, %DocuSign.Model.EnvelopeTemplates{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_envelope_templates/4","title":"DocuSign.Api.EnvelopeTemplates.templates_get_envelope_templates/4","module":"DocuSign.Api.EnvelopeTemplates","type":"function","doc":"Get List of Templates used in an Envelope This returns a list of the server-side templates, their name and ID, used in an envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :include (String.t): The possible values are: matching_applied - This returns template matching information for the template. Returns {:ok, %DocuSign.Model.EnvelopeTemplates{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_document_templates/5","title":"DocuSign.Api.EnvelopeTemplates.templates_post_document_templates/5","module":"DocuSign.Api.EnvelopeTemplates","type":"function","doc":"Adds templates to a document in an envelope. Adds templates to a document in the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :document_template_list (DocumentTemplateList): Returns {:ok, %DocuSign.Model.DocumentTemplateList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_envelope_templates/4","title":"DocuSign.Api.EnvelopeTemplates.templates_post_envelope_templates/4","module":"DocuSign.Api.EnvelopeTemplates","type":"function","doc":"Adds templates to an envelope. Adds templates to the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :document_template_list (DocumentTemplateList): Returns {:ok, %DocuSign.Model.DocumentTemplateList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeViews.html","title":"DocuSign.Api.EnvelopeViews","module":"DocuSign.Api.EnvelopeViews","type":"module","doc":"API calls for all endpoints tagged EnvelopeViews."},{"ref":"DocuSign.Api.EnvelopeViews.html#views_post_account_console_view/3","title":"DocuSign.Api.EnvelopeViews.views_post_account_console_view/3","module":"DocuSign.Api.EnvelopeViews","type":"function","doc":"Returns a URL to the authentication view UI. Returns a URL that allows you to embed the authentication view of the DocuSign UI in your applications. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :console_view_request (ConsoleViewRequest): Returns {:ok, %DocuSign.Model.EnvelopeViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_correct_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_correct_view/4","module":"DocuSign.Api.EnvelopeViews","type":"function","doc":"Returns a URL to the envelope correction UI. Returns a URL that allows you to embed the envelope correction view of the DocuSign UI in your applications. Important: iFrames should not be used for embedded operations on mobile devices due to screen space issues. For iOS devices DocuSign recommends using a WebView. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :correct_view_request (CorrectViewRequest): Returns {:ok, %DocuSign.Model.EnvelopeViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_edit_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_edit_view/4","module":"DocuSign.Api.EnvelopeViews","type":"function","doc":"Returns a URL to the edit view UI. Returns a URL that allows you to embed the edit view of the DocuSign UI in your applications. This is a one-time use login token that allows the user to be placed into the DocuSign editing view. Upon sending completion, the user is returned to the return URL provided by the API application. Important: iFrames should not be used for embedded operations on mobile devices due to screen space issues. For iOS devices DocuSign recommends using a WebView. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :return_url_request (ReturnUrlRequest): Returns {:ok, %DocuSign.Model.EnvelopeViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_shared_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_shared_view/4","module":"DocuSign.Api.EnvelopeViews","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :recipient_view_request (RecipientViewRequest): Returns {:ok, %DocuSign.Model.TemplateViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view/4","module":"DocuSign.Api.EnvelopeViews","type":"function","doc":"Returns a URL to the recipient view UI. Returns a URL that enables you to embed the recipient view of the DocuSign UI in your applications. If the recipient is a signer, then the view will provide the signing ceremony. ###### Note: Please redirect the client to the URL. iFrames should not be used, especially if the recipient may be using a mobile or tablet. This method is only used with envelopes in the &#x60;sent&#x60; status. Your application is responsible for authenticating the identity of the recipient or signer when you use this method. Use the parameters &#x60;assertionId&#x60;, &#x60;authenticationInstant&#x60;, &#x60;authenticationMethod&#x60;, &#x60;clientUserId&#x60;, and &#x60;securityDomain&#x60; to record information on how the recipient was authenticated. At a minimum, &#x60;authenticationMethod&#x60; and &#x60;clientUserId&#x60; are required. The information that you provide is included in the envelope&#39;s certificate of completion. ## The event status parameter After the signer completes or ends the signing ceremony, DocuSign will redirect the user&#39;s browser back to your app via the &#x60;returnUrl&#x60; that you supply. DocuSIgn appends an &#x60;event&#x60; query parameter to the URL with the outcome of the signing ceremony. Your app should use the event parameter to determine the next step for the envelope. Don&#39;t fetch the envelope&#39;s status via Envelopes: get or a similar method; that could break the DocuSign rule against polling. ## The URL is time-limited The URL returned by this method is valid for one use. It must be used/displayed within a couple of minutes after being generated. Once the recipient is redirected to the recipient view, they must interact with the DocuSign system periodically or their session will time out. Because the URL is time-limited, it should not be stored or sent via email. Immediately redirect the user&#39;s browser to the URL after you receive it. If you want to invite someone to an embedded signing session via email, the email invitation&#39;s URL must be to your application. When invoked, your app should request a recipientView URL from DocuSign and then redirect the signer to that URL. ## Maintaining State After the recipient completes the recipient view (or signing ceremony), they are redirected to your application. Your application can recover state information about the transaction by storing information in a cookie, or by including query parameters in the &#x60;returnUrl&#x60; field. Eg, &#x60;https://myapp.eg.com/docusign_return?myState&#x3D;12345&#x60; When the user is redirected to your app, the &#x60;event&#x60; query parameter will be appended. In this example, prevent spoofing by not using a guessable value as the state value. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :recipient_view_request (RecipientViewRequest): Returns {:ok, %DocuSign.Model.EnvelopeViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_sender_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_sender_view/4","module":"DocuSign.Api.EnvelopeViews","type":"function","doc":"Returns a URL to the sender view UI. Returns a URL that enables you to embed the sender view of the DocuSign UI in your applications. The returned URL can only be redirected to immediately after it is generated. It can only be used once. Therefore, request the URL immediately before you redirect your user to it. For the best user experience, don&#39;t use an iFrame. For iOS devices DocuSign recommends using a WebView. Multiple solutions are available for maintaining your client state. See the &quot;Maintaining State&quot; section of the Embedded Signing introduction. After the user has completed the sending view, their browser is redirected to the &#x60;returnUrl&#x60; you supplied. By default, if the envelope already contains one or more documents, DocuSign will initially show the document tagging view when you redirect to the URL. To start with the envelope&#39;s recipients and documents view instead, examine the URL in the method&#39;s response. Then change the query parameter from &#x60;send&#x3D;1&#x60; to &#x60;send&#x3D;0&#x60; to start with the recipients/documents view. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :return_url_request (ReturnUrlRequest): Returns {:ok, %DocuSign.Model.EnvelopeViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html","title":"DocuSign.Api.Envelopes","module":"DocuSign.Api.Envelopes","type":"module","doc":"API calls for all endpoints tagged Envelopes."},{"ref":"DocuSign.Api.Envelopes.html#audit_events_get_audit_events/4","title":"DocuSign.Api.Envelopes.audit_events_get_audit_events/4","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets the envelope audit events for an envelope. Gets the envelope audit events for the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeAuditEventResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelope/4","title":"DocuSign.Api.Envelopes.envelopes_get_envelope/4","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets the status of a single envelope. Retrieves the overall status for the specified envelope. To get the status of a list of envelopes, use Envelope: listStatusChanges Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :advanced_update (String.t): When true, envelope information can be added or modified. :include (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.Envelopes{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelopes/3","title":"DocuSign.Api.Envelopes.envelopes_get_envelopes/3","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets status changes for one or more envelopes. Retrieves a list of envelopes that match your request. A large set of optional filters let you filter by date, by envelope ID, or by status codes. Your request must include one or more of the following parameters: &#x60;from_date&#x60; &#x60;envelope_ids&#x60; * &#x60;transaction_ids&#x60; Getting envelope status using &#x60;transaction_ids&#x60; is useful for offline signing situations where it can be used determine if an envelope was created or not. It can be used for the cases where a network connection was lost, before the envelope status could be returned. To avoid unnecessary database queries, the DocuSign signature platform first checks requests to ensure that the filter set supplied does not result in a zero-size response before querying the database. For example, for a request with a &#x60;from_to_status&#x60; of &#x60;delivered&#x60; and a current &#x60;status&#x60; of &#x60;created,sent&#x60;, DocuSign will always return an empty list. This is because the request translates to: find the envelopes that were delivered between the &#x60;from_date&#x60; and &#x60;to_date&#x60; dates that have a current status of &#x60;created&#x60; or &#x60;sent&#x60;. Since an envelope that has been delivered can never have a status of &#x60;created&#x60; or &#x60;sent&#x60;, a zero-size response would be generated. In this case, DocuSign does not query the database and returns an empty list immediately. The following table shows the valid current envelope statuses (&#x60;status&#x60; parameter) for the different status qualifiers (&#x60;from_to_status&#x60; parameter) in the request. If the status and status qualifiers in the API request do not contain any of the values shown in the Valid Current Statuses column, then an empty list is returned. Client applications should check that the statuses (&#x60;status&#x60; parameter) they are requesting make sense for a given &#x60;from_to_status&#x60; parameter value. | Status Qualifier&lt;br&gt;(&#x60;from_to_status&#x60;) | Effective Status Qualifier | Valid Current Statuses | | :------------------------------------- | :------------------------- | :-------------------------------------------------------------------------- | | any (changed) | StatusChanged | any, created, sent, delivered, signed, completed, declined, voided, deleted | | created | Created | any, created, sent, delivered, signed, completed, declined, voided, deleted | | sent | Sent | any, sent, delivered, signed, completed, declined, voided, deleted | | delivered | StatusChanged | any, delivered, signed, completed, declined, voided, deleted | | signed | StatusChanged | any, signed, completed, declined, voided, deleted | | completed | Completed | any, completed, declined, voided, deleted | | declined | StatusChanged | any, declined, voided, deleted | | timedout&lt;br&gt;always return zero results | StatusChanged | any, voided, deleted | | voided | Voided | any, voided, deleted | | deleted | StatusChanged | any, deleted | ## Extraneous results In some cases, a request for a specific envelope status will include envelopes with additional statuses. For example, in a request with a &#x60;from_date&#x60; of 2017-01-01, a &#x60;to_date&#x60; of 2017-01-07 and the status qualifier (&#x60;from_to_status&#x60;) set to &#x60;delivered&#x60;, the response set might contain envelopes that were created during that time period, but not delivered during the time period. As a workaround, check the envelope status values in the result set as needed. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :ac_status (String.t): Specifies the Authoritative Copy Status for the envelopes. The possible values are: Unknown, Original, Transferred, AuthoritativeCopy, AuthoritativeCopyExportPending, AuthoritativeCopyExported, DepositPending, Deposited, DepositedEO, or DepositFailed. :block (String.t): Reserved for DocuSign. :count (String.t): Optional. Number of items to return. :custom_field (String.t): Optional. Specifies a envelope custom field name and value searched for in the envelopes. Format: &#x60;custom_envelope_field_name&#x3D;desired_value&#x60; The value portion of the query can use partial strings by adding &#39;%&#39; (percent sign) around the custom field query value. Example 1: If you have an envelope custom field named &quot;Region&quot; and you want to search for all envelopes where the value is &quot;West&quot; you would use set this parameter to &#x60;Region&#x3D;West&#x60;. Example 2: To search for envelopes where the &#x60;ApplicationID&#x60; custom field has the value or partial value of &quot;DocuSign&quot; in the field, set this parameter to &#x60;ApplicationId&#x3D;%DocuSign%&#x60; This would match envelopes where the custom field&#39;s value is &quot;DocuSign for Salesforce&quot; or &quot;DocuSign envelope&quot;. :email (String.t): Limit results to envelopes sent by the account user with this email address. &#x60;user_name&#x60; must be given as well, and both &#x60;email&#x60; and &#x60;user_name&#x60; must refer to an existing account user. :envelope_ids (String.t): Comma separated list of &#x60;envelopeId&#x60; values. :from_date (String.t): Specifies the date and time to start looking for status changes. This parameter is required unless &#x60;envelopeIds&#x60; or &#x60;transactionIds&#x60; are set. Although you can use any date format supported by the .NET system library&#39;s [&#x60;DateTime.Parse()&#x60;][msoft] function, DocuSign recommends using [ISO 8601][] format dates with an explicit time zone offset If you do not provide a time zone offset, the method uses the server&#39;s time zone. For example, the following dates and times refer to the same instant: &#x60;2017-05-02T01:44Z&#x60; &#x60;2017-05-01T21:44-04:00&#x60; * &#x60;2017-05-01T18:44-07:00&#x60; [msoft]: https://msdn.microsoft.com/en-us/library/system.datetime.parse(v&#x3D;vs.110).aspx#StringToParse [ISO 8601]: https://en.wikipedia.org/wiki/ISO_8601 :from_to_status (String.t): The status value checked for in the &#x60;from_date&#x60; to &#x60;to_date&#x60; time period. Possible values are: Voided, Changed, Created, Deleted, Sent, Delivered, Signed, Completed, Declined, TimedOut and Processing. If &#x60;Changed&#x60; is specified, then envelopes that changed status during the period will be returned. For example, if &#x60;Created&#x60; is specified, then envelopes created during the period are found. The default is &#x60;Changed&#x60;. :start_position (String.t): Reserved for DocuSign. :status (String.t): A comma-separated list of current envelope statuses to included in the response. Possible values are: completed created declined deleted delivered processing sent signed timedout voided The &#x60;any&#x60; value is equivalent to any status. :to_date (String.t): Specifies the date and time to stop looking for status changes. The default is the current date and time. Although you can use any date format supported by the .NET system library&#39;s [&#x60;DateTime.Parse()&#x60;][msoft] function, DocuSign recommends using [ISO 8601][] format dates with an explicit time zone offset If you do not provide a time zone offset, the method uses the server&#39;s time zone. For example, the following dates and times refer to the same instant: &#x60;2017-05-02T01:44Z&#x60; &#x60;2017-05-01T21:44-04:00&#x60; * &#x60;2017-05-01T18:44-07:00&#x60; [msoft]: https://msdn.microsoft.com/en-us/library/system.datetime.parse(v&#x3D;vs.110).aspx#StringToParse [ISO 8601]: https://en.wikipedia.org/wiki/ISO_8601 :transaction_ids (String.t): A comma-separated list of envelope transaction IDs. Transaction IDs are only valid for seven days. :user_name (String.t): Limit results to envelopes sent by the account user with this user name. &#x60;email&#x60; must be given as well, and both &#x60;email&#x60; and &#x60;user_name&#x60; must refer to an existing account user. Returns {:ok, %DocuSign.Model.EnvelopesInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#envelopes_post_envelopes/3","title":"DocuSign.Api.Envelopes.envelopes_post_envelopes/3","module":"DocuSign.Api.Envelopes","type":"function","doc":"Creates an envelope. Creates and sends an envelope or creates a draft envelope. Envelopes are fundamental resources in the DocuSign platform and are used in a variety of ways. With this method you can: Create and send an envelope with documents, recipients, and tabs. Create and send an envelope from a template. Create and send an envelope from a combination of documents and templates. Create a draft envelope. There are many ways to use envelopes. You can create and send an envelope with a single API request, or you can use several API requests to create, populate, and send envelopes. When you use this method to create and send an envelope in a single request, the following parameters are required: | Parameter | Description | | :-------- | :---------- | | &#x60;status&#x60; | Set to &#x60;sent&#x60; to send the envelope to recipients.&lt;br&gt;Set to &#x60;created&#x60; (or don&#39;t set at all) to save the envelope as a draft. | | &#x60;emailSubject&#x60; | The subject of the email used to send the envelope. | | &#x60;documents&#x60; | The documents to be signed. | | &#x60;recipients&#x60; | The email addresses of the envelope recipients. | If you are creating an envelope to be sent later, save it as a draft by either setting &#x60;status&#x60; to &#x60;created&#x60; or leaving it unset. For instance, you can create a draft envelope with documents only. Using additional API requests, you can add the recipients and send the envelope in subsequent API requests. ## Feature Availability Not all DocuSign features are available to all accounts. Use DocuSign Admin to check and enable feature availability. You can also check feature availability via the web application. For example, if the web application allows you to send an envelope with SMS authentication, then you can use the same feature through the API. ## Sending Envelopes Documents can be included with the Envelopes:create method, or a template can include documents. Documents can be added by using a multipart/form request or by using the &#x60;documentBase64&#x60; property of the [&#x60;document&#x60; object][documentDef]. ### Adding Documents to Requests There are two ways to add documents to your envelopes: 1. Use the &#x60;documents&#x60; property of the envelope definition. 2. Send this request as a multipart/form &#x60;POST&#x60; with documents added through additional request parts. Using the &#x60;documents&#x60; property is the simpler option, but the request may be quite large due to the base64 encoding. This example shows how to add a document using this method. &#x60;&#x60;&#x60;json { &quot;status&quot;: &quot;sent&quot;, &quot;emailSubject&quot;: &quot;Example of one recipient, type signer&quot;, &quot;documents&quot;: [{ &quot;documentId&quot;: &quot;1&quot;, &quot;name&quot;: &quot;contract.pdf&quot;, &quot;documentBase64&quot;: &quot;base64 document bytes...&quot;, }], &quot;recipients&quot;: { &quot;signers&quot;: [{ &quot;name&quot;: &quot;Lisa Simpson&quot;, &quot;email&quot;: &quot;lisa@email.com&quot;, &quot;recipientId&quot;: &quot;1&quot;, &quot;routingOrder&quot;: &quot;1&quot;, &quot;tabs&quot;: { &quot;signHereTabs&quot;: [{ &quot;xPosition&quot;: &quot;150&quot;, &quot;yPosition&quot;: &quot;200&quot;, &quot;documentId&quot;: &quot;1&quot;, &quot;pageNumber&quot;: &quot;1&quot; }], } }] } } &#x60;&#x60;&#x60; If you are using a multipart/form &#x60;POST&#x60; request, you do not have to base64 encode your documents. You place the envelope definition in one part and the document bytes in another: &#x60;&#x60;&#x60; --AAA Content-Type: application/json Content-Disposition: form-data &lt;ENVELOPE DEFINITION GOES HERE&gt; --AAA Content-Type:application/pdf Content-Disposition: file; filename&#x3D;&quot;contract.pdf&quot;; documentid&#x3D;1 &lt;DOCUMENT BYTES GO HERE&gt; --AAA-- &#x60;&#x60;&#x60; ### Using Supplemental Documents Supplemental documents are supporting materials such as disclosures and other informational documents that need to accompany a document sent for signature. These supplemental documents are available to the signer to view and acknowledge, without making the envelope too large or confusing for signers. Supplemental documents use the following properties in the [&#x60;document&#x60; object][documentDef]. | Name | Type | Description | | :-------------------- | :------ | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | includeInDownload | Boolean | When set to true, the document is included in the combined document download. The default value is true. | | display | String | This string sets the display and behavior properties of the document during signing. The possible values are:&lt;br&gt;&#x60;&lt;ul&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;modal&lt;/code&gt;&lt;br&gt;The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a modal window. This is the recommended value for supplemental documents.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;download&lt;/code&gt;&lt;br&gt;The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a new browser window.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;inline&lt;/code&gt;&lt;br&gt;This value is not used with supplemental documents, but is the default value for all other documents. The document is shown in the normal signing window.&lt;/li&gt;&lt;/ul&gt; | | signerMustAcknowledge | String | Sets how the signer interacts with the supplemental document. The possible values are:&lt;br&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;no_interaction&lt;/code&gt;&lt;br&gt;No recipient action is required.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;view&lt;/code&gt;&lt;br&gt;The recipient is required to view the document.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;accept&lt;/code&gt;&lt;br&gt;The recipient is required to accept the document by selecting accept during signing, but is not required to view the document.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;&lt;code&gt;view_accept&lt;/code&gt;&lt;br&gt;The recipient is required to view and accept the document.&lt;/p&gt;&lt;/li&gt;&lt;/ul&gt; | [viewtab]: /esign/restapi/Envelopes/EnvelopeRecipientTabs/#view-tab The [View][viewtab] and Approve tabs are used to set the interactions for individual recipients. The View tab includes a &#x60;required&#x60; property that requires the recipient to view the supplemental document. If the View tab &#x60;required&#x60; property is not set, the recipient can, but is not required to, view the supplemental document. To use the View and Approve tabs for supplemental documents, the document &#x60;display&#x60; property must be set to &#x60;modal&#x60; or &#x60;download&#x60;. The actions that the recipient must take depend on the value of the &#x60;signerMustAcknowledge&#x60; document property and whether the signer is assigned View or Approve tabs on the document. To set the interactions for individual recipients, set the &#x60;signerMustAcknowledge&#x60; property to &#x60;no_interaction&#x60;, then add View and Approve tabs on the appropriate document for the recipient. The action that a signer must take depends on the value of the &#x60;signerMustAcknowledge&#x60; document property, whether the signer has an Approve tab, and the value of the &#x60;required&#x60; property of the View tab. The following table shows the actions a recipient must take for different combinations of these tabs and properties. | Document &#x60;signerMustAcknowledge&#x60;property | Approve Tab | View Tab &#x60;required&#x60; property | Recipient is required to ... | | :---- | :---- | :---- | :---- | | no_interaction | No | -- | Take no action | | no_interaction | No | false | Take no action | | no_interaction | No | true | View | | no_interaction | Yes | false | Accept | | no_interaction | Yes | true | View and Accept | | view | No | -- | View | | view | Yes | -- | View and Accept | | accept | -- | false | Accept | | accept | -- | true | View and Accept | | view_accept | -- | -- | View and Accept | ### Recipient Types An [&#x60;envelopeDefinition&#x60; object][envelopeDef] is used as the method&#39;s body. Envelope recipients can be defined in the envelope or in templates. The &#x60;envelopeDefinition&#x60; object&#39;s &#x60;recipients&#x60; property is an [&#x60;EnvelopeRecipients&#x60; resource object][envelopeRecipientsDef]. It includes arrays of the seven types of recipients defined by DocuSign: | Recipient type | Description | | :---------------------------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | [Agents][agentDef] | An agent recipient can add name and email information for recipients that appear after the agent in routing order. | | [Carbon Copies][ccDef] | Carbon copy recipients get a copy of the envelope but don&#39;t need to sign, initial, date or add information to any of the documents. This type of recipient can be used in any routing order. Carbon copy recipients receive their copy of the envelope when the envelope reaches the recipient&#39;s order in the process flow and when the envelope is completed. | | [Certified Deliveries][certfiedDef] | Certified delivery recipients must receive the completed documents for the envelope to be completed. However, they don&#39;t need to sign, initial, date or add information to any of the documents. | | [Editors][editorDef] | Editors have the same management and access rights for the envelope as the sender. They can make changes to the envelope as if they were using the Advanced Correct feature. This recipient can add name and email information, add or change the routing order and set authentication options for the remaining recipients. Additionally, this recipient can edit signature/initial tabs and data fields for the remaining recipients. The recipient must have a DocuSign account to be an editor. | | [In-Person Signers][inPersonDef] | An in-person recipient is a DocuSign user, acting as a Signing Host, who is in the same physical location as the signer. | | [Intermediaries][intermediaryDef] | An intermediary is a recipient who can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order, unless subsequent agents, editors or intermediaries are added. | | [Signers][signerDef] | A signer is a recipient who must sign, initial, date, or add data to form fields on the documents in the envelope. | Additional information about the different types of recipients is available from the [&#x60;EnvelopeRecipients&#x60; resource page][envelopeRecipientsRes] and from the Developer Center [Recipients][devecenterrecipients] topic. ### Tabs Tabs (also referred to as tags and fields in the web application), can be defined in the &#x60;envelopeDefinition&#x60;, in templates, by transforming PDF Form Fields, or by using Composite Templates (see below). The &#x60;inPersonSigner&#x60;, and &#x60;signer&#x60; recipient objects include a &#x60;tabs&#x60; property. It is an [&#x60;EnvelopeRecipientTabs&#x60; resource object][envRecipientTabsDef] that includes arrays of the different tab types available. See the [&#x60;EnvelopeRecipientTabs&#x60; resource][envRecipientTabsRes] for more information. ## Using Templates Envelopes use specific people or groups as recipients. Templates can specify a role, eg &#x60;account_manager.&#x60; When a template is used in an envelope, the roles must be replaced with specific people or groups. When you create an envelope using a &#x60;templateId&#x60;, the different recipient type objects within the [&#x60;EnvelopeRecipients&#x60; property][envelopeRecipientsDef] are used to assign recipients to the template&#39;s roles via the &#x60;roleName&#x60; property. The recipient objects can also override settings that were specified in the template, and set values for tab fields that were defined in the template. ### Message Lock When a template is added or applied to an envelope, and the template has a locked email subject and message, that subject and message are used for the envelope and cannot be changed even if another locked template is subsequently added or applied to the envelope. The &#x60;messageLock&#x60; property is used to lock the email subject and message. If an email subject or message is entered before adding or applying a template with &#x60;messageLock&#x60; set to true, the email subject and message is overwritten with the locked email subject and message from the template. ## Envelope Status The status of sent envelopes can be determined through the DocuSign webhook system or by polling. Webhooks are highly recommended: they provide your application with the quickest updates when an envelope&#39;s status changes. DocuSign limits polling to once every 15 minutes or less frequently. See [API Rules and Limits][apirules] for more information and examples. When a webhook is used, DocuSign calls your application via the URL you provide, with a notification XML message. See the Webhook recipe for examples and live demos of using webhooks. ## Webhook Options The two webhook options, &#x60;eventNotification&#x60; and Connect, use the same notification mechanism and message formats. Use &#x60;eventNotification&#x60; to create a webhook for a specific envelope sent via the API. Connect webhooks can be used for any envelope sent from an account, from any user, from any client. The [Connect guide][connectGuide] discusses the webhook notification message format. ### eventNotification Webhooks The Envelopes:create method includes an optional [&#x60;eventNotification&#x60; object][eventNotificationDef] property that adds a webhook to the envelope. &#x60;eventNotification&#x60; webhooks are available for all DocuSign accounts with API access. ### Connect Webhooks Connect can be used to create a webhook for all envelopes sent by all users in an account, either through the API or through other DocuSign clients (web, mobile, etc). Connect configurations are independent of specific envelopes. A Connect configuration includes a filter that may be used to limit the webhook to specific users, envelope statuses, etc. You can create and manage Connect configurations with the [ConnectConfigurations resource][connectConfigurationsRes]. Configurations can also be created and managed from DocuSign Admin accessed by selecting Go to Admin from the menu next to your picture on the DocuSign web app. See the Connect topic in the Integrations section of DocuSign Admin. For repeatability, and to minimize support questions, creating Connect configurations via the API is recommended, especially for ISVs. Connect is available for some DocuSign account types. Please contact DocuSign Sales for more information. ## Composite Templates The Composite Templates feature, like compositing in film production, enables you to overlay document, recipient, and tab definitions from multiple sources, including PDF Form Field definitions, templates defined on the server, and more. Each Composite Template consists of optional elements: server templates, inline templates, PDF Metadata templates, and documents. The Composite Template ID is an optional element used to identify the composite template. It is used as a reference when adding document object information via a multipart HTTP message. If used, the document content-disposition must include the &#x60;compositeTemplateId&#x60; to which the document should be added. If &#x60;compositeTemplateId&#x60; is not specified in the content-disposition, the document is applied based on the &#x60;documentId&#x60; only. If no document object is specified, the composite template inherits the first document. Server Templates are server-side templates stored on the DocuSign platform. If supplied, they are overlaid into the envelope in the order of their Sequence value. Inline Templates provide a container to add documents, recipients, tabs, and custom fields. If inline templates are supplied, they are overlaid into the envelope in the order of their Sequence value. Document objects are optional structures that provide a container to pass in a document or form. If this object is not included, the composite template inherits the first document it finds from a server template or inline template, starting with the lowest sequence value. PDF Form objects are only transformed from the document object. DocuSign does not derive PDF form properties from server templates or inline templates. To instruct DocuSign to transform fields from the PDF form, set &#x60;transformPdfFields&#x60; to true for the document. See PDF Form Field Transformation for more information about process. PDF Metadata Templates provide a container to embed design-time template information into a PDF document. DocuSign uses this information when processing the Envelope. This convention allows the document to carry the signing instructions with it, so that less information needs to be provided at run-time through an inline template or synchronized with an external structure like a server template. PDF Metadata templates are stored in the Metadata layer of a PDF in accordance with Acrobat&#39;s XMP specification. DocuSign will only find PDF Metadata templates inside documents passed in the Document object (see below). If supplied, the PDF metadata template will be overlaid into the envelope in the order of its Sequence value. ### Compositing the Definitions Each Composite Template adds a new document and templates overlay into the envelope. For each Composite Template these rules are applied: Templates are overlaid in the order of their Sequence value. If Document is not passed into the Composite Template&#39;s &#x60;document&#x60; field, the first template&#39;s document (based on the template&#39;s Sequence value) is used. Last in wins in all cases except for the document (i.e. envelope information, recipient information, secure field information). There is no special casing. For example, if you want higher security on a tab, then that needs to be specified in a later template (by sequence number) than where the tab is included. If you want higher security on a role recipient, then it needs to be in a later template than where that role recipient is specified. Recipient matching is based on Recipient Role and Routing Order. If there are matches, the recipient information is merged together. A final pass is done on all Composite Templates, after all template overlays have been applied, to collapse recipients with the same email, username and routing order. This prevents having the same recipients at the same routing order. If you specify in a template that a recipient is locked, once that recipient is overlaid the recipient attributes can no longer be changed. The only items that can be changed for the recipient in this case are the email, username, access code and IDCheckInformationInput. Tab matching is based on Tab Labels, Tab Types and Documents. If a Tab Label matches but the Document is not supplied, the Tab is overlaid for all the Documents. For example, if you have a simple inline template with only one tab in it with a label and a value, the Signature, Initial, Company, Envelope ID, User Name tabs will only be matched and collapsed if they fall in the exact same X and Y locations. &#x60;roleName&#x60; and &#x60;tabLabel&#x60; matching is case sensitive. The &#x60;defaultRecipient&#x60; property enables you to specify which recipient the tabs generated from a PDF form are mapped to. You can also set PDF form generated tabs to a recipient other than the default recipient by specifying the mapping of the tab label that is created to one of the template recipients. You can use &#x60;tabLabel&#x60; wild carding to map a series of tabs from the PDF form. To use this you must end a tab label with &quot;*&quot; and then the system matches tabs that start with the label. If no &#x60;defaultRecipient&#x60; is specified, tabs must be explicitly mapped to recipients in order to be generated from the form. Unmapped form objects will not be generated into their DocuSign equivalents. (In the case of Signature/Initials, the tabs will be disregarded entirely; in the case of pdf text fields, the field data will be flattened on the Envelope document, but there will not be a corresponding DocuSign data tab.) ### Including the Document Content for Composite Templates Document content can be supplied inline, using the &#x60;documentBase64&#x60; or can be included in a multipart HTTP message. If a multipart message is used and there are multiple Composite Templates, the document content-disposition can include the &#x60;compositeTemplateId&#x60; to which the document should be added. Using the &#x60;compositeTemplateId&#x60; sets which documents are associated with particular composite templates. An example of this usage is: &#x60;&#x60;&#x60; --5cd3320a-5aac-4453-b3a4-cbb52a4cba5d Content-Type: application/pdf Content-Disposition: file; filename&#x3D;&quot;eula.pdf&quot;; documentId&#x3D;1; compositeTemplateId&#x3D;&quot;1&quot; Content-Transfer-Encoding: base64 &#x60;&#x60;&#x60; ### PDF Form Field Transformation Only the following PDF Form FieldTypes are transformed to DocuSign tabs: CheckBox DateTime ListBox Numeric Password Radio Signature, Text Field Properties that are transformed: Read Only Required Max Length Positions Initial Data When transforming a PDF Form Digital Signature Field, the following rules apply. Any other PDF Form Digital Signature Field will be transformed to a DocuSign Signature tab | If the PDF Field Name contains | Then the DocuSign tab will be | | :---------------------------------------------------------- | :---------------------------- | | DocuSignSignHere or&lt;br&gt; eSignSignHere | Signature | | DocuSignSignHereOptional or&lt;br&gt; eSignSignHereOptional | Optional Signature | | DocuSignInitialHere or&lt;br&gt; eSignInitialHere | Initials | | DocuSignInitialHereOptional or&lt;br&gt; eSignInitialHereOptional | Optional Initials | When transforming PDF Form Text Fields, the following rules apply. Any other PDF Form Text Field will be transformed to a DocuSign data (text) tab. | If the PDF Field Name contains | Then the DocuSign tab will be | | :-------------------------------------------------------------------- | :---------------------------- | | DocuSignSignHere or&lt;br&gt; eSignSignHere | Signature | | DocuSignSignHereOptional or&lt;br&gt; eSignSignHereOptional | Optional Signature | | DocuSignInitialHere or&lt;br&gt; eSignInitialHere | Initials | | DocuSignInitialHereOptional or&lt;br&gt; eSignInitialHereOptional | Optional Initials | | DocuSignEnvelopeID or&lt;br&gt; eSignEnvelopeID | EnvelopeID | | DocuSignCompany or&lt;br&gt; eSignCompany | Company | | DocuSignDateSigned or&lt;br&gt; eSignDateSigned | Date Signed | | DocuSignTitle or&lt;br&gt; eSignTitle | Title | | DocuSignFullName or&lt;br&gt; eSignFullName | Full Name | | DocuSignSignerAttachmentOptional or&lt;br&gt; eSignSignerAttachmentOptional | Optional Signer Attachment | PDF Form Field Names that include &#x60;DocuSignIgnoreTransform&#x60; or &#x60;eSignIgnoreTransform&#x60; will not be transformed. PDF Form Date fields that include &#x60;DocuSignDateSigned&#x60; or &#x60;eSignDateSigned&#x60; will be transformed to Date Signed fields. ## Template Email Subject Merge Fields This feature enables you to insert recipient name and email address merge fields into the email subject line when creating or sending from a template. The merge fields, based on the recipient&#39;s &#x60;roleName&#x60;, are added to the &#x60;emailSubject&#x60; when the template is created or when the template is used to create an envelope. After a template sender adds the name and email information for the recipient and sends the envelope, the recipient information is automatically merged into the appropriate fields in the email subject line. Both the sender and the recipients will see the information in the email subject line for any emails associated with the template. This provides an easy way for senders to organize their envelope emails without having to open an envelope to check the recipient. If merging the recipient information into the subject line causes the subject line to exceed 100 characters, then any characters over the 100 character limit are not included in the subject line. For cases where the recipient name or email is expected to be long, you should consider placing the merge field at the start of the email subject. To add a recipient&#39;s name in the subject line add the following text in the &#x60;emailSubject&#x60; when creating the template or when sending an envelope from a template: &#x60;[[&lt;roleName&gt;_UserName]]&#x60; Example: &#x60;&quot;emailSubject&quot;:&quot;[[Signer 1_UserName]], Please sign this NDA&quot;&#x60; To add a recipient&#39;s email address in the subject line add the following text in the emailSubject when creating the template or when sending an envelope from a template: &#x60;[[&lt;roleName&gt;_Email]]&#x60; Example: &#x60;&quot;emailSubject&quot;:&quot;[[Signer 1_Email]], Please sign this NDA&quot;&#x60; In both cases &#x60;&lt;roleName&gt;&#x60; is the recipient&#39;s &#x60;roleName&#x60; in the template. For cases where another recipient (such as an Agent, Editor, or Intermediary recipient) is entering the name and email information for the recipient included in the email subject, then &#x60;[[&lt;roleName&gt;_UserName]]&#x60; or &#x60;[[&lt;roleName&gt;_Email]]&#x60; is shown in the email subject. ## Branding an Envelope The following rules are used to determine the &#x60;brandId&#x60; used in an envelope: If a &#x60;brandId&#x60; is specified in the envelope or template and that &#x60;brandId&#x60; is available to the account, that brand is used in the envelope. If more than one template is used in an envelope, and more than one &#x60;brandId&#x60; is specified, the first &#x60;brandId&#x60; specified is used throughout the envelope. In cases where no brand is specified, and the sender belongs to a group: - If there is only one brand associated with the group, then that brand is used in the envelope. - Otherwise, the account&#39;s default signing brand is used. For envelopes that do not meet any of the previous criteria, the account&#39;s default signing brand is used for the envelope. ## BCC Email Address Feature The BCC Email address feature is designed to provide a copy of all email communications for external archiving purposes. DocuSign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options. Do not use this feature to send a copy of the envelope to a recipient who does not need to sign. Use a Carbon Copy or Certified Delivery Recipient type instead. ## Merge Recipient Roles for Draft Envelopes When an envelope with multiple templates is sent, the recipients from the templates are merged according to the template roles, and empty recipients are removed. When creating an envelope with multiple templates, but not sending it (keeping it in a created state), duplicate recipients are not merged, which could leave duplicate recipients in the envelope. To prevent this, the query parameter &#x60;merge_roles_on_draft&#x60; should be added when posting a draft envelope (&#x60;status&#x60; is &#x60;created&#x60;) with multiple templates. Doing this will merge template roles and remove empty recipients. DocuSign recommends that the &#x60;merge_roles_on_draft&#x60; query parameter be used any time you are creating an envelope with multiple templates and keeping it in draft (&#x60;status&#x60; is &#x60;created&#x60;) status. [agentDef]: #/definitions/agent [apirules]: /esign/guide/appendix/resource_limits.html#api-rules-and-limits [ccDef]: #/definitions/carbonCopy [certfiedDef]: #/definitions/certifiedDelivery [connectConfigurationsRes]: /esign/restapi/Connect/ConnectConfigurations/ [connectGuide]: https://www.docusign.com/supportdocs/pdf/connect-guide.pdf [devecenterrecipients]: https://www.docusign.com/developer-center/explore/features/recipients [documentDef]: #/definitions/document [editorDef]: #/definitions/editor [envelopeDef]: #/definitions/envelopeDefinition [envelopeRecipientsDef]: #/definitions/EnvelopeRecipients [envelopeRecipientsRes]: /esign/restapi/Envelopes/EnvelopeRecipients/ [envRecipientTabsDef]: #/definitions/EnvelopeRecipientTabs [envRecipientTabsRes]: /esign/restapi/Envelopes/EnvelopeRecipientTabs/ [eventNotificationDef]: #/definitions/eventNotification [inPersonDef]: #/definitions/inPersonSigner [intermediaryDef]: #/definitions/intermediary [signerDef]: #/definitions/signer Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :cdse_mode (String.t): Reserved for DocuSign. :change_routing_order (String.t): :completed_documents_only (String.t): Reserved for DocuSign. :merge_roles_on_draft (String.t): When set to true, template roles will be merged, and empty recipients will be removed. This parameter applies when you create a draft envelope with multiple templates. (To create a draft envelope, the &#x60;status&#x60; field is set to &#x60;created&#x60;.) ###### Note: DocuSign recommends that this parameter should be set to true whenever you create a draft envelope with multiple templates. :preserve_template_recipientids (String.t): :envelope_definition (EnvelopeDefinition): Returns {:ok, %DocuSign.Model.EnvelopeSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#envelopes_put_envelope/4","title":"DocuSign.Api.Envelopes.envelopes_put_envelope/4","module":"DocuSign.Api.Envelopes","type":"function","doc":"Send, void, or modify a draft envelope. Purge documents from a completed envelope. This method lets you make changes to an envelope. You can use it to: Send a draft envelope Void an in-process envelope Modify a draft envelope Purge documents and envelope metadata from the DocuSign platform &lt;div class&#x3D;&quot;highlight highlight-info&quot;&gt; &lt;p markdown&#x3D;&quot;1&quot;&gt; Although the request body for this method is a complete envelope definition, you only need to provide properties that you&#39;re updating. &lt;/p&gt; &lt;/div&gt; ## Sending a Draft Envelope To send a draft envelope, include this in the request body: &#x60;&#x60;&#x60;json { &quot;status&quot;: &quot;sent&quot; } &#x60;&#x60;&#x60; ## Voiding an In-Process Envelope To void an in-process envelope, include this in the request body: &#x60;&#x60;&#x60;json { &quot;status&quot;: &quot;voided&quot;, &quot;voidedReason&quot;: &quot;The reason for voiding the envelope&quot; } &#x60;&#x60;&#x60; ## Modifying Envelope Email Information To change the email subject and message of a draft envelope, include this in the request body: &#x60;&#x60;&#x60;json { &quot;emailSubject&quot;: &quot;new email subject&quot;, &quot;emailBlurb&quot;: &quot;new email message&quot; } &#x60;&#x60;&#x60; ## Purging Documents from DocuSign To place only the documents in the purge queue, leaving any corresponding attachments and tabs in the DocuSign platform, set the &#x60;purgeState&#x60; property to &#x60;documents_queued&#x60;. &#x60;&#x60;&#x60;json { &quot;purgeState&quot;: &quot;documents_queued&quot; } &#x60;&#x60;&#x60; To place documents, attachments, and tabs in the purge queue, set the &#x60;purgeState&#x60; property to &#x60;documents_and_metadata_queued&#x60;. &#x60;&#x60;&#x60;json { &quot;purgeState&quot;: &quot;documents_and_metadata_queued&quot; } &#x60;&#x60;&#x60; You can purge documents only from completed envelopes that are not marked as the authoritative copy. The user requesting the purge must have permission to purge documents and must be the sender or be acting on behalf of the sender. When the purge request is initiated the items to be purged are placed in the purge queue for deletion in 14 days. The sender and all recipients with DocuSign accounts associated with the envelope get an email notification the the documents will be deleted in 14 days. The notification contains a link to the documents. A second email notification is sent 7 days later. At the end of the 14-day period the documents are deleted from the system. Recipients without DocuSign accounts do not receive email notifications. If your account has a Document Retention policy, envelope documents are automatically placed in the purge queue, and notification emails are sent at the end of the retention period. Setting a Document Retention policy is the same as setting a schedule for purging documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :advanced_update (String.t): When set to true, allows the caller to update recipients, tabs, custom fields, notification, email settings and other envelope attributes. :resend_envelope (String.t): When set to true, sends the specified envelope again. :envelopes (Envelopes): Returns {:ok, %DocuSign.Model.EnvelopeUpdateSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#envelopes_put_status/3","title":"DocuSign.Api.Envelopes.envelopes_put_status/3","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets the envelope status for the specified envelopes. Retrieves the envelope status for the specified envelopes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :email (String.t): Reserved for DocuSign. :from_date (String.t): The date/time setting that specifies when the request begins checking for status changes for envelopes in the account. This is required unless parameters &#x60;envelopeIds&#x60; and/or &#x60;transactionIds&#x60; are set. :start_position (String.t): Reserved for DocuSign. :to_date (String.t): Optional date/time setting that specifies the last date/time or envelope status changes in the result set. Default: &quot;now&quot;, the time that you call the method. :envelope_ids_request (EnvelopeIdsRequest): Returns {:ok, %DocuSign.Model.EnvelopesInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#notification_get_envelopes_envelope_id_notification/4","title":"DocuSign.Api.Envelopes.notification_get_envelopes_envelope_id_notification/4","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets envelope notification information. Retrieves the envelope notification, reminders and expirations, information for an existing envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Notification{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#notification_put_envelopes_envelope_id_notification/4","title":"DocuSign.Api.Envelopes.notification_put_envelopes_envelope_id_notification/4","module":"DocuSign.Api.Envelopes","type":"function","doc":"Sets envelope notification (Reminders/Expirations) structure for an existing envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :envelope_notification_request (EnvelopeNotificationRequest): Returns {:ok, %DocuSign.Model.Notification{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#pages_delete_page/6","title":"DocuSign.Api.Envelopes.pages_delete_page/6","module":"DocuSign.Api.Envelopes","type":"function","doc":"Deletes a page from a document in an envelope. Deletes a page from a document in an envelope based on the page number. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec page_number (String.t): The page number being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#pages_get_page_image/6","title":"DocuSign.Api.Envelopes.pages_get_page_image/6","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets a page image from an envelope for display. Retrieves a page image for display from the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec page_number (String.t): The page number being accessed. opts (KeywordList): [optional] Optional parameters :dpi (String.t): Sets the dpi for the image. :max_height (String.t): Sets the maximum height for the page image in pixels. The dpi is recalculated based on this setting. :max_width (String.t): Sets the maximum width for the page image in pixels. The dpi is recalculated based on this setting. :show_changes (String.t): Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#pages_get_page_images/5","title":"DocuSign.Api.Envelopes.pages_get_page_images/5","module":"DocuSign.Api.Envelopes","type":"function","doc":"Returns document page image(s) based on input. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :count (String.t): The maximum number of results to be returned by this request. :dpi (String.t): Number of dots per inch for the resulting image. The default if not used is 94. The range is 1-310. :max_height (String.t): Sets the maximum height (in pixels) of the returned image. :max_width (String.t): Sets the maximum width (in pixels) of the returned image. :nocache (String.t): :show_changes (String.t): :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, %DocuSign.Model.PageImages{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#pages_put_page_image/6","title":"DocuSign.Api.Envelopes.pages_put_page_image/6","module":"DocuSign.Api.Envelopes","type":"function","doc":"Rotates page image from an envelope for display. Rotates page image from an envelope for display. The page image can be rotated to the left or right. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec page_number (String.t): The page number being accessed. opts (KeywordList): [optional] Optional parameters :page_request (PageRequest): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_initials_image/5","title":"DocuSign.Api.Envelopes.recipients_get_recipient_initials_image/5","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets the initials image for a user. Retrieves the initials image for the specified user. The image is returned in the same format as it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId specified in the endpoint must match the authenticated user&#39;s user id and the user must be a member of the account. The &#x60;signatureIdOrName&#x60; paramter accepts signature ID or signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly URL encode. If you use the user name, it is likely that the name includes spaces and you might need to URL encode the name before using it in the endpoint. For example: &quot;Bob Smith&quot; to &quot;Bob%20Smith&quot; Older envelopes might only contain chromed images. If getting the non-chromed image fails, try getting the chromed image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :include_chrome (String.t): The added line and identifier around the initial image. Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image. Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature/5","title":"DocuSign.Api.Envelopes.recipients_get_recipient_signature/5","module":"DocuSign.Api.Envelopes","type":"function","doc":"Gets signature information for a signer or sign-in-person recipient. Retrieves signature information for a signer or sign-in-person recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserSignatures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature_image/5","title":"DocuSign.Api.Envelopes.recipients_get_recipient_signature_image/5","module":"DocuSign.Api.Envelopes","type":"function","doc":"Retrieve signature image information for a signer/sign-in-person recipient. Retrieves the specified user signature image. The image is returned in the same format as uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureIdOrName&#x60; parameter accepts signature ID or signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that don&#39;t properly URL encode. If you use the user name, it is likely that the name includes spaces and you might need to URL encode the name before using it in the endpoint. For example: &quot;Bob Smith&quot; to &quot;Bob%20Smith&quot; Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters :include_chrome (String.t): When set to true, indicates the chromed version of the signature image should be retrieved. Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_initials_image/5","title":"DocuSign.Api.Envelopes.recipients_put_recipient_initials_image/5","module":"DocuSign.Api.Envelopes","type":"function","doc":"Sets the initials image for an accountless signer. Updates the initials image for a signer that does not have a DocuSign account. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K. For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the &#x60;CanSendEnvelope&#x60; property set to true and the &#x60;ExpressSendOnly&#x60; property in &#x60;SendingUser&#x60; structure must be set to false. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_signature_image/5","title":"DocuSign.Api.Envelopes.recipients_put_recipient_signature_image/5","module":"DocuSign.Api.Envelopes","type":"function","doc":"Sets the signature image for an accountless signer. Updates the signature image for an accountless signer. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K. For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the &#x60;CanSendEnvelope&#x60; property set to true and the &#x60;ExpressSendOnly&#x60; property in &#x60;SendingUser&#x60; structure must be set to false. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Folders.html","title":"DocuSign.Api.Folders","module":"DocuSign.Api.Folders","type":"module","doc":"API calls for all endpoints tagged Folders."},{"ref":"DocuSign.Api.Folders.html#folders_get_folder_items/4","title":"DocuSign.Api.Folders.folders_get_folder_items/4","module":"DocuSign.Api.Folders","type":"function","doc":"Gets a list of the envelopes in the specified folder. Retrieves a list of the envelopes in the specified folder. You can narrow the query by specifying search criteria in the query string parameters. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. folder_id (String.t): The ID of the folder being accessed. opts (KeywordList): [optional] Optional parameters :from_date (String.t): Only return items on or after this date. If no value is provided, the default search is the previous 30 days. :owner_email (String.t): The email of the folder owner. :owner_name (String.t): The name of the folder owner. :search_text (String.t): The search text used to search the items of the envelope. The search looks at recipient names and emails, envelope custom fields, sender name, and subject. :start_position (String.t): The position of the folder items to return. This is used for repeated calls, when the number of envelopes returned is too much for one return (calls return 100 envelopes at a time). The default value is 0. :status (String.t): A comma-separated list of current envelope statuses to included in the response. Possible values are: completed created declined deleted delivered processing sent signed timedout voided The &#x60;any&#x60; value is equivalent to any status. :to_date (String.t): Only return items up to this date. If no value is provided, the default search is to the current date. Returns {:ok, %DocuSign.Model.FolderItemsResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Folders.html#folders_get_folders/3","title":"DocuSign.Api.Folders.folders_get_folders/3","module":"DocuSign.Api.Folders","type":"function","doc":"Gets a list of the folders for the account. Retrieves a list of the folders for the account, including the folder hierarchy. You can specify whether to return just the template folder or template folder and normal folders by setting the &#x60;template&#x60; query string parameter. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :include (String.t): Reserved for DocuSign. :start_position (String.t): Reserved for DocuSign. :template (String.t): Specifies the items that are returned. Valid values are: include - The folder list will return normal folders plus template folders. only - Only the list of template folders are returned. :user_filter (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.Folders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Folders.html#folders_put_folder_by_id/4","title":"DocuSign.Api.Folders.folders_put_folder_by_id/4","module":"DocuSign.Api.Folders","type":"function","doc":"Moves an envelope from its current folder to the specified folder. Moves an envelope from its current folder to the specified folder. ###### Note: You can use this endpoint to delete envelopes by specifying &#x60;recyclebin&#x60; in the &#x60;folderId&#x60; parameter of the endpoint. Placing an in process envelope (envelope status of &#x60;sent&#x60; or &#x60;delivered&#x60;) in the recycle bin voids the envelope. You can also use this endpoint to delete templates by specifying a template ID instead of an envelope ID in the &#39;envelopeIds&#39; property and specifying &#x60;recyclebin&#x60; in the &#x60;folderId&#x60; parameter. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. folder_id (String.t): The ID of the folder being accessed. opts (KeywordList): [optional] Optional parameters :folders_request (FoldersRequest): Returns {:ok, %DocuSign.Model.Folders{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Folders.html#search_folders_get_search_folder_contents/4","title":"DocuSign.Api.Folders.search_folders_get_search_folder_contents/4","module":"DocuSign.Api.Folders","type":"function","doc":"Gets a list of envelopes in folders matching the specified criteria. Retrieves a list of envelopes that match the criteria specified in the query. If the user ID of the user making the call is the same as the user ID for any returned recipient, then the userId property is added to the returned information for those recipients. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. search_folder_id (String.t): Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature. opts (KeywordList): [optional] Optional parameters :all (String.t): Specifies that all envelopes that match the criteria are returned. :count (String.t): Specifies the number of records returned in the cache. The number must be greater than 0 and less than or equal to 100. :from_date (String.t): Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days. :include_recipients (String.t): When set to true, the recipient information is returned in the response. :order (String.t): Specifies the order in which the list is returned. Valid values are: &#x60;asc&#x60; for ascending order, and &#x60;desc&#x60; for descending order. :order_by (String.t): Specifies the property used to sort the list. Valid values are: &#x60;action_required&#x60;, &#x60;created&#x60;, &#x60;completed&#x60;, &#x60;sent&#x60;, &#x60;signer_list&#x60;, &#x60;status&#x60;, or &#x60;subject&#x60;. :start_position (String.t): Specifies the the starting location in the result set of the items that are returned. :to_date (String.t): Specifies the end of the date range to return. Returns {:ok, %DocuSign.Model.FolderItemResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.GroupBrands.html","title":"DocuSign.Api.GroupBrands","module":"DocuSign.Api.GroupBrands","type":"module","doc":"API calls for all endpoints tagged GroupBrands."},{"ref":"DocuSign.Api.GroupBrands.html#brands_delete_group_brands/4","title":"DocuSign.Api.GroupBrands.brands_delete_group_brands/4","module":"DocuSign.Api.GroupBrands","type":"function","doc":"Deletes brand information from the requested group. Deletes brand information from the requested group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. group_id (String.t): The ID of the group being accessed. opts (KeywordList): [optional] Optional parameters :brands_request (BrandsRequest): Returns {:ok, %DocuSign.Model.GroupBrands{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.GroupBrands.html#brands_get_group_brands/4","title":"DocuSign.Api.GroupBrands.brands_get_group_brands/4","module":"DocuSign.Api.GroupBrands","type":"function","doc":"Gets group brand ID Information. Retrieves information about the brands associated with the requested group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. group_id (String.t): The ID of the group being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.GroupBrands{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.GroupBrands.html#brands_put_group_brands/4","title":"DocuSign.Api.GroupBrands.brands_put_group_brands/4","module":"DocuSign.Api.GroupBrands","type":"function","doc":"Adds group brand ID information to a group. Adds group brand ID information to a group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. group_id (String.t): The ID of the group being accessed. opts (KeywordList): [optional] Optional parameters :brands_request (BrandsRequest): Returns {:ok, %DocuSign.Model.GroupBrands{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.GroupUsers.html","title":"DocuSign.Api.GroupUsers","module":"DocuSign.Api.GroupUsers","type":"module","doc":"API calls for all endpoints tagged GroupUsers."},{"ref":"DocuSign.Api.GroupUsers.html#groups_delete_group_users/4","title":"DocuSign.Api.GroupUsers.groups_delete_group_users/4","module":"DocuSign.Api.GroupUsers","type":"function","doc":"Deletes one or more users from a gro Deletes one or more users from a group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. group_id (String.t): The ID of the group being accessed. opts (KeywordList): [optional] Optional parameters :user_info_list (UserInfoList): Returns {:ok, %DocuSign.Model.GroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.GroupUsers.html#groups_get_group_users/4","title":"DocuSign.Api.GroupUsers.groups_get_group_users/4","module":"DocuSign.Api.GroupUsers","type":"function","doc":"Gets a list of users in a group. Retrieves a list of users in a group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. group_id (String.t): The ID of the group being accessed. opts (KeywordList): [optional] Optional parameters :count (String.t): Number of records to return. The number must be greater than 1 and less than or equal to 100. :start_position (String.t): Starting value for the list. Returns {:ok, %DocuSign.Model.GroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.GroupUsers.html#groups_put_group_users/4","title":"DocuSign.Api.GroupUsers.groups_put_group_users/4","module":"DocuSign.Api.GroupUsers","type":"function","doc":"Adds one or more users to an existing group. Adds one or more users to an existing group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. group_id (String.t): The ID of the group being accessed. opts (KeywordList): [optional] Optional parameters :user_info_list (UserInfoList): Returns {:ok, %DocuSign.Model.GroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Groups.html","title":"DocuSign.Api.Groups","module":"DocuSign.Api.Groups","type":"module","doc":"API calls for all endpoints tagged Groups."},{"ref":"DocuSign.Api.Groups.html#groups_delete_groups/3","title":"DocuSign.Api.Groups.groups_delete_groups/3","module":"DocuSign.Api.Groups","type":"function","doc":"Deletes an existing user group. Deletes an existing user group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :groups (Groups): Returns {:ok, %DocuSign.Model.Groups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Groups.html#groups_get_groups/3","title":"DocuSign.Api.Groups.groups_get_groups/3","module":"DocuSign.Api.Groups","type":"function","doc":"Gets information about groups associated with the account. Retrieves information about groups associated with the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :count (String.t): Number of records to return. The number must be greater than 1 and less than or equal to 100. :group_type (String.t): :search_text (String.t): :start_position (String.t): Starting value for the list. Returns {:ok, %DocuSign.Model.Groups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Groups.html#groups_post_groups/3","title":"DocuSign.Api.Groups.groups_post_groups/3","module":"DocuSign.Api.Groups","type":"function","doc":"Creates one or more groups for the account. Creates one or more groups for the account. Groups can be used to help manage users by associating users with a group. You can associate a group with a Permission Profile, which sets the user permissions for users in that group without having to set the &#x60;userSettings&#x60; property for each user. You are not required to set Permission Profiles for a group, but it makes it easier to manage user permissions for a large number of users. You can also use groups with template sharing to limit user access to templates. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :groups (Groups): Returns {:ok, %DocuSign.Model.Groups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Groups.html#groups_put_groups/3","title":"DocuSign.Api.Groups.groups_put_groups/3","module":"DocuSign.Api.Groups","type":"function","doc":"Updates the group information for a group. Updates the group name and modifies, or sets, the permission profile for the group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :groups (Groups): Returns {:ok, %DocuSign.Model.Groups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.IdentityVerifications.html","title":"DocuSign.Api.IdentityVerifications","module":"DocuSign.Api.IdentityVerifications","type":"module","doc":"API calls for all endpoints tagged IdentityVerifications."},{"ref":"DocuSign.Api.IdentityVerifications.html#account_identity_verification_get_account_identity_verification/3","title":"DocuSign.Api.IdentityVerifications.account_identity_verification_get_account_identity_verification/3","module":"DocuSign.Api.IdentityVerifications","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.IdentityVerifications{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Invoices.html","title":"DocuSign.Api.Invoices","module":"DocuSign.Api.Invoices","type":"module","doc":"API calls for all endpoints tagged Invoices."},{"ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoice/4","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoice/4","module":"DocuSign.Api.Invoices","type":"function","doc":"Retrieves a billing invoice. Retrieves the specified invoice. ###### Note: If the &#x60;pdfAvailable&#x60; property in the response is set to true, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the &#x60;Accept&#x60; property in the header to &#x60;Accept: application/pdf&#x60;. Privileges required: account administrator The response returns a list of charges and information about the charges. Quantities are usually shown as &#39;unlimited&#39; or an integer. Amounts are shown in the currency set for the account. Response The following table provides a description of the different &#x60;chargeName&#x60; property values. The information will grow as more chargeable items are added to the system. | chargeName | Description | | --- | --- | | id_check | ID Check Charge | | in_person_signing | In Person Signing charge | | envelopes Included | Sent Envelopes for the account | | age_verify | Age verification check | | ofac | OFAC Check | | id_confirm | ID confirmation check | | student_authentication | STAN PIN authentication check | | wet_sign_fax | Pages for returning signed documents by fax | | attachment_fax | Pages for returning attachments by fax | | phone_authentication | Phone authentication charge | | powerforms | PowerForm envelopes sent | | signer_payments | Payment processing charge | | outbound_fax | Send by fax charge | | bulk_recipient_envelopes | Bulk Recipient Envelopes sent | | sms_authentications | SMS authentication charge | | saml_authentications | SAML authentication charge | | express_signer_certificate | DocuSign Express Certificate charge | | personal_signer_certificate | Personal Signer Certificate charge | | safe_certificate | SAFE BioPharma Signer Certificate charge | | seats | Included active seats charge | | open_trust_certificate | OpenTrust Signer Certificate charge | Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. invoice_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Invoices{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices/3","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoices/3","module":"DocuSign.Api.Invoices","type":"function","doc":"Get a List of Billing Invoices Retrieves a list of invoices for the account. If the from date or to date queries are not specified, the response returns invoices for the last 365 days. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :from_date (String.t): Specifies the date/time of the earliest invoice in the account to retrieve. :to_date (String.t): Specifies the date/time of the latest invoice in the account to retrieve. Returns {:ok, %DocuSign.Model.BillingInvoicesResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices_past_due/3","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoices_past_due/3","module":"DocuSign.Api.Invoices","type":"function","doc":"Get a list of past due invoices. Returns a list past due invoices for the account and notes if payment can be made through the REST API. Privileges Required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BillingInvoicesSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.NotaryJournals.html","title":"DocuSign.Api.NotaryJournals","module":"DocuSign.Api.NotaryJournals","type":"module","doc":"API calls for all endpoints tagged NotaryJournals."},{"ref":"DocuSign.Api.NotaryJournals.html#notary_journals_get_notary_journals/2","title":"DocuSign.Api.NotaryJournals.notary_journals_get_notary_journals/2","module":"DocuSign.Api.NotaryJournals","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters :count (String.t): The maximum number of results to be returned by this request. :search_text (String.t): :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, %DocuSign.Model.NotaryJournalList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PaymentGatewayAccounts.html","title":"DocuSign.Api.PaymentGatewayAccounts","module":"DocuSign.Api.PaymentGatewayAccounts","type":"module","doc":"API calls for all endpoints tagged PaymentGatewayAccounts."},{"ref":"DocuSign.Api.PaymentGatewayAccounts.html#payment_gateway_accounts_get_all_payment_gateway_accounts/3","title":"DocuSign.Api.PaymentGatewayAccounts.payment_gateway_accounts_get_all_payment_gateway_accounts/3","module":"DocuSign.Api.PaymentGatewayAccounts","type":"function","doc":"List payment gateway account information List payment gateway account information Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.PaymentGatewayAccountsInfo{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Payments.html","title":"DocuSign.Api.Payments","module":"DocuSign.Api.Payments","type":"module","doc":"API calls for all endpoints tagged Payments."},{"ref":"DocuSign.Api.Payments.html#billing_payments_get_payment/4","title":"DocuSign.Api.Payments.billing_payments_get_payment/4","module":"DocuSign.Api.Payments","type":"function","doc":"Gets billing payment information for a specific payment. Retrieves the information for a specified payment. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. payment_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Payments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Payments.html#billing_payments_get_payment_list/3","title":"DocuSign.Api.Payments.billing_payments_get_payment_list/3","module":"DocuSign.Api.Payments","type":"function","doc":"Gets payment information for one or more payments. Retrieves a list containing information about one or more payments. If the from date or to date queries are not used, the response returns payment information for the last 365 days. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :from_date (String.t): Specifies the date/time of the earliest payment in the account to retrieve. :to_date (String.t): Specifies the date/time of the latest payment in the account to retrieve. Returns {:ok, %DocuSign.Model.BillingPaymentsResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Payments.html#billing_payments_post_payment/3","title":"DocuSign.Api.Payments.billing_payments_post_payment/3","module":"DocuSign.Api.Payments","type":"function","doc":"Posts a payment to a past due invoice. Posts a payment to a past due invoice. ###### Note: This can only be used if the &#x60;paymentAllowed&#x60; value for a past due invoice is true. This can be determined calling [ML:GetBillingInvoicesPastDue]. The response returns information for a single payment, if a payment ID was used in the endpoint, or a list of payments. If the from date or to date queries or payment ID are not used, the response returns payment information for the last 365 days. If the request was for a single payment ID, the &#x60;nextUri&#x60; and &#x60;previousUri&#x60; properties are not returned. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :billing_payment_request (BillingPaymentRequest): Returns {:ok, %DocuSign.Model.BillingPaymentResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerFormData.html","title":"DocuSign.Api.PowerFormData","module":"DocuSign.Api.PowerFormData","type":"module","doc":"API calls for all endpoints tagged PowerFormData."},{"ref":"DocuSign.Api.PowerFormData.html#power_forms_get_power_form_form_data/4","title":"DocuSign.Api.PowerFormData.power_forms_get_power_form_form_data/4","module":"DocuSign.Api.PowerFormData","type":"function","doc":"Returns the form data associated with the usage of a PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. power_form_id (String.t): opts (KeywordList): [optional] Optional parameters :data_layout (String.t): :from_date (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created. :to_date (String.t): End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date. Returns {:ok, %DocuSign.Model.PowerFormsFormDataResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html","title":"DocuSign.Api.PowerForms","module":"DocuSign.Api.PowerForms","type":"module","doc":"API calls for all endpoints tagged PowerForms."},{"ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_form/4","title":"DocuSign.Api.PowerForms.power_forms_delete_power_form/4","module":"DocuSign.Api.PowerForms","type":"function","doc":"Delete a PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. power_form_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_forms_list/3","title":"DocuSign.Api.PowerForms.power_forms_delete_power_forms_list/3","module":"DocuSign.Api.PowerForms","type":"function","doc":"Deletes one or more PowerForms Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :power_forms_request (PowerFormsRequest): Returns {:ok, %DocuSign.Model.PowerFormsResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_form/4","title":"DocuSign.Api.PowerForms.power_forms_get_power_form/4","module":"DocuSign.Api.PowerForms","type":"function","doc":"Returns a single PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. power_form_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.PowerForms{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_list/3","title":"DocuSign.Api.PowerForms.power_forms_get_power_forms_list/3","module":"DocuSign.Api.PowerForms","type":"function","doc":"Returns the list of PowerForms available to the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :from_date (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created. :order (String.t): An optional value that sets the direction order used to sort the item list. Valid values are: asc &#x3D; ascending sort order desc &#x3D; descending sort order :order_by (String.t): An optional value that sets the file attribute used to sort the item list. Valid values are: modified name :to_date (String.t): End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date. Returns {:ok, %DocuSign.Model.PowerFormsResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_senders/3","title":"DocuSign.Api.PowerForms.power_forms_get_power_forms_senders/3","module":"DocuSign.Api.PowerForms","type":"function","doc":"Returns the list of PowerForms available to the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, %DocuSign.Model.PowerFormSendersResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html#power_forms_post_power_form/3","title":"DocuSign.Api.PowerForms.power_forms_post_power_form/3","module":"DocuSign.Api.PowerForms","type":"function","doc":"Creates a new PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :power_forms (PowerForms): Returns {:ok, %DocuSign.Model.PowerForms{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.PowerForms.html#power_forms_put_power_form/4","title":"DocuSign.Api.PowerForms.power_forms_put_power_form/4","module":"DocuSign.Api.PowerForms","type":"function","doc":"Creates a new PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. power_form_id (String.t): opts (KeywordList): [optional] Optional parameters :power_forms (PowerForms): Returns {:ok, %DocuSign.Model.PowerForms{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.RequestLogs.html","title":"DocuSign.Api.RequestLogs","module":"DocuSign.Api.RequestLogs","type":"module","doc":"API calls for all endpoints tagged RequestLogs."},{"ref":"DocuSign.Api.RequestLogs.html#api_request_log_delete_request_logs/2","title":"DocuSign.Api.RequestLogs.api_request_log_delete_request_logs/2","module":"DocuSign.Api.RequestLogs","type":"function","doc":"Deletes the request log files. Deletes the request log files. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.RequestLogs.html#api_request_log_get_request_log/3","title":"DocuSign.Api.RequestLogs.api_request_log_get_request_log/3","module":"DocuSign.Api.RequestLogs","type":"function","doc":"Gets a request logging log file. Retrieves information for a single log entry. Request The &#x60;requestLogfId&#x60; property can be retrieved by getting the list of log entries. The Content-Transfer-Encoding header can be set to base64 to retrieve the API request/response as base 64 string. Otherwise the bytes of the request/response are returned. Response If the Content-Transfer-Encoding header was set to base64, the log is returned as a base64 string. Parameters connection (DocuSign.Connection): Connection to server request_log_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.RequestLogs.html#api_request_log_get_request_log_settings/2","title":"DocuSign.Api.RequestLogs.api_request_log_get_request_log_settings/2","module":"DocuSign.Api.RequestLogs","type":"function","doc":"Gets the API request logging settings. Retrieves the current API request logging setting for the user and remaining log entries. Response The response includes the current API request logging setting for the user, along with the maximum log entries and remaining log entries. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.RequestLogs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.RequestLogs.html#api_request_log_get_request_logs/2","title":"DocuSign.Api.RequestLogs.api_request_log_get_request_logs/2","module":"DocuSign.Api.RequestLogs","type":"function","doc":"Gets the API request logging log files. Retrieves a list of log entries as a JSON or xml object or as a zip file containing the entries. If the Accept header is set to application/zip, the response is a zip file containing individual text files, each representing an API request. If the Accept header is set to &#x60;application/json&#x60; or &#x60;application/xml&#x60;, the response returns list of log entries in either JSON or XML. An example JSON response body is shown below. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters :encoding (String.t): Returns {:ok, %DocuSign.Model.ApiRequestLogsResult{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.RequestLogs.html#api_request_log_put_request_log_settings/2","title":"DocuSign.Api.RequestLogs.api_request_log_put_request_log_settings/2","module":"DocuSign.Api.RequestLogs","type":"function","doc":"Enables or disables API request logging for troubleshooting. Enables or disables API request logging for troubleshooting. When enabled (&#x60;apiRequestLogging&#x60; is set to true), REST API requests and responses for the user are added to a log. A log can have up to 50 requests/responses and the current number of log entries can be determined by getting the settings. Logging is automatically disabled when the log limit of 50 is reached. You can call [ML:GetRequestLog] or [ML:GetRequestLogs] to download the log files (individually or as a zip file). Call [ML:DeleteRequestLogs] to clear the log by deleting current entries. Private information, such as passwords and integrator key information, which is normally located in the call header is omitted from the request/response log. ###### Note: API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId isn&#39;t logged. Meaning that login_information, NewAccounts, or other distributor-credential calls are not logged. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters :request_logs (RequestLogs): Returns {:ok, %DocuSign.Model.RequestLogs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Resources.html","title":"DocuSign.Api.Resources","module":"DocuSign.Api.Resources","type":"module","doc":"API calls for all endpoints tagged Resources."},{"ref":"DocuSign.Api.Resources.html#service_information_get_resource_information/2","title":"DocuSign.Api.Resources.service_information_get_resource_information/2","module":"DocuSign.Api.Resources","type":"function","doc":"Lists resources for REST version specified Retrieves the base resources available for the DocuSign REST APIs. You do not need an integrator key to view the REST API versions and resources. Example: https://demo.docusign.net/restapi/v2 lists all of the base resources available in version 2 of the REST API on the DocuSign Demo system. To view descriptions and samples of the service operations for all versions, remove the version number and add /help to the URL. Example: https://demo.docusign.net/restapi/help lists the REST API operations on the DocuSign Demo system with XML and JSON request and response samples. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Resources{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Services.html","title":"DocuSign.Api.Services","module":"DocuSign.Api.Services","type":"module","doc":"API calls for all endpoints tagged Services."},{"ref":"DocuSign.Api.Services.html#service_information_get_service_information/2","title":"DocuSign.Api.Services.service_information_get_service_information/2","module":"DocuSign.Api.Services","type":"function","doc":"Retrieves the available REST API versions. Retrieves the available REST API versions. DocuSign Production system: https://www.docusign.net/restapi/service_information DocuSign Demo system: https://demo.docusign.net/restapi/service_information You do not need an integrator key to view the REST API versions and resources. Parameters connection (DocuSign.Connection): Connection to server opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Services{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroupUsers.html","title":"DocuSign.Api.SigningGroupUsers","module":"DocuSign.Api.SigningGroupUsers","type":"module","doc":"API calls for all endpoints tagged SigningGroupUsers."},{"ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_delete_signing_group_users/4","title":"DocuSign.Api.SigningGroupUsers.signing_groups_delete_signing_group_users/4","module":"DocuSign.Api.SigningGroupUsers","type":"function","doc":"Deletes one or more members from a signing group. Deletes one or more members from the specified signing group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signing_group_id (String.t): opts (KeywordList): [optional] Optional parameters :signing_group_users (SigningGroupUsers): Returns {:ok, %DocuSign.Model.SigningGroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_get_signing_group_users/4","title":"DocuSign.Api.SigningGroupUsers.signing_groups_get_signing_group_users/4","module":"DocuSign.Api.SigningGroupUsers","type":"function","doc":"Gets a list of members in a Signing Group. Retrieves the list of members in the specified Signing Group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signing_group_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.SigningGroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_put_signing_group_users/4","title":"DocuSign.Api.SigningGroupUsers.signing_groups_put_signing_group_users/4","module":"DocuSign.Api.SigningGroupUsers","type":"function","doc":"Adds members to a signing group. Adds one or more new members to a signing group. A signing group can have a maximum of 50 members. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signing_group_id (String.t): opts (KeywordList): [optional] Optional parameters :signing_group_users (SigningGroupUsers): Returns {:ok, %DocuSign.Model.SigningGroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroups.html","title":"DocuSign.Api.SigningGroups","module":"DocuSign.Api.SigningGroups","type":"module","doc":"API calls for all endpoints tagged SigningGroups."},{"ref":"DocuSign.Api.SigningGroups.html#signing_groups_delete_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_delete_signing_groups/3","module":"DocuSign.Api.SigningGroups","type":"function","doc":"Deletes one or more signing groups. Deletes one or more signing groups in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :signing_group_information (SigningGroupInformation): Returns {:ok, %DocuSign.Model.SigningGroupInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_group/4","title":"DocuSign.Api.SigningGroups.signing_groups_get_signing_group/4","module":"DocuSign.Api.SigningGroups","type":"function","doc":"Gets information about a signing group. Retrieves information, including group member information, for the specified signing group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signing_group_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.SigningGroups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_get_signing_groups/3","module":"DocuSign.Api.SigningGroups","type":"function","doc":"Gets a list of the Signing Groups in an account. Retrieves a list of all signing groups in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :group_type (String.t): :include_users (String.t): When set to true, the response includes the signing group members. Returns {:ok, %DocuSign.Model.SigningGroupInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroups.html#signing_groups_post_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_post_signing_groups/3","module":"DocuSign.Api.SigningGroups","type":"function","doc":"Creates a signing group. Creates one or more signing groups. Multiple signing groups can be created in one call. Only users with account administrator privileges can create signing groups. An account can have a maximum of 50 signing groups. Each signing group can have a maximum of 50 group members. Signing groups can be used by any account user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :signing_group_information (SigningGroupInformation): Returns {:ok, %DocuSign.Model.SigningGroupInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_group/4","title":"DocuSign.Api.SigningGroups.signing_groups_put_signing_group/4","module":"DocuSign.Api.SigningGroups","type":"function","doc":"Updates a signing group. Updates signing group name and member information. You can also add new members to the signing group. A signing group can have a maximum of 50 members. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signing_group_id (String.t): opts (KeywordList): [optional] Optional parameters :signing_groups (SigningGroups): Returns {:ok, %DocuSign.Model.SigningGroups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_put_signing_groups/3","module":"DocuSign.Api.SigningGroups","type":"function","doc":"Updates signing group names. Updates the name of one or more existing signing groups. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :signing_group_information (SigningGroupInformation): Returns {:ok, %DocuSign.Model.SigningGroupInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateBulkRecipients.html","title":"DocuSign.Api.TemplateBulkRecipients","module":"DocuSign.Api.TemplateBulkRecipients","type":"module","doc":"API calls for all endpoints tagged TemplateBulkRecipients."},{"ref":"DocuSign.Api.TemplateBulkRecipients.html#recipients_delete_template_bulk_recipients_file/5","title":"DocuSign.Api.TemplateBulkRecipients.recipients_delete_template_bulk_recipients_file/5","module":"DocuSign.Api.TemplateBulkRecipients","type":"function","doc":"Deletes the bulk recipient list on a template. Deletes the bulk recipient list on a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.BulkRecipientsUpdateResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateBulkRecipients.html#recipients_get_template_bulk_recipients/5","title":"DocuSign.Api.TemplateBulkRecipients.recipients_get_template_bulk_recipients/5","module":"DocuSign.Api.TemplateBulkRecipients","type":"function","doc":"Gets the bulk recipient file from a template. Retrieves the bulk recipient file information from a template that has a bulk recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :include_tabs (String.t): When set to true, the tab information associated with the recipient is included in the response. :start_position (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.TemplateBulkRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateBulkRecipients.html#recipients_put_template_bulk_recipients/5","title":"DocuSign.Api.TemplateBulkRecipients.recipients_put_template_bulk_recipients/5","module":"DocuSign.Api.TemplateBulkRecipients","type":"function","doc":"Adds or replaces the bulk recipients list in a template. Updates the bulk recipients in a template using a file upload. The Content-Type supported for uploading a bulk recipient file is CSV (text/csv). The REST API does not support modifying individual rows or values in the bulk recipients file. It only allows the entire file to be added or replaced with a new file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :bulk_recipients_request (BulkRecipientsRequest): Returns {:ok, %DocuSign.Model.BulkRecipientsSummaryResponse{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateCustomFields.html","title":"DocuSign.Api.TemplateCustomFields","module":"DocuSign.Api.TemplateCustomFields","type":"module","doc":"API calls for all endpoints tagged TemplateCustomFields."},{"ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_delete_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_delete_template_custom_fields/4","module":"DocuSign.Api.TemplateCustomFields","type":"function","doc":"Deletes envelope custom fields in a template. Deletes envelope custom fields in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_custom_fields (TemplateCustomFields): Returns {:ok, %DocuSign.Model.TemplateCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_get_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_get_template_custom_fields/4","module":"DocuSign.Api.TemplateCustomFields","type":"function","doc":"Gets the custom document fields from a template. Retrieves the custom document field information from an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.TemplateCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_post_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_post_template_custom_fields/4","module":"DocuSign.Api.TemplateCustomFields","type":"function","doc":"Creates custom document fields in an existing template document. Creates custom document fields in an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_custom_fields (TemplateCustomFields): Returns {:ok, %DocuSign.Model.TemplateCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_put_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_put_template_custom_fields/4","module":"DocuSign.Api.TemplateCustomFields","type":"function","doc":"Updates envelope custom fields in a template. Updates the custom fields in a template. Each custom field used in a template must have a unique name. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_custom_fields (TemplateCustomFields): Returns {:ok, %DocuSign.Model.TemplateCustomFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentFields.html","title":"DocuSign.Api.TemplateDocumentFields","module":"DocuSign.Api.TemplateDocumentFields","type":"module","doc":"API calls for all endpoints tagged TemplateDocumentFields."},{"ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_delete_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_delete_template_document_fields/5","module":"DocuSign.Api.TemplateDocumentFields","type":"function","doc":"Deletes custom document fields from an existing template document. Deletes custom document fields from an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_document_fields (TemplateDocumentFields): Returns {:ok, %DocuSign.Model.TemplateDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_get_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_get_template_document_fields/5","module":"DocuSign.Api.TemplateDocumentFields","type":"function","doc":"Gets the custom document fields for a an existing template document. Retrieves the custom document fields for an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.TemplateDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_post_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_post_template_document_fields/5","module":"DocuSign.Api.TemplateDocumentFields","type":"function","doc":"Creates custom document fields in an existing template document. Creates custom document fields in an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_document_fields (TemplateDocumentFields): Returns {:ok, %DocuSign.Model.TemplateDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_put_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_put_template_document_fields/5","module":"DocuSign.Api.TemplateDocumentFields","type":"function","doc":"Updates existing custom document fields in an existing template document. Updates existing custom document fields in an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_document_fields (TemplateDocumentFields): Returns {:ok, %DocuSign.Model.TemplateDocumentFields{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentTabs.html","title":"DocuSign.Api.TemplateDocumentTabs","module":"DocuSign.Api.TemplateDocumentTabs","type":"module","doc":"API calls for all endpoints tagged TemplateDocumentTabs."},{"ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_document_tabs/5","title":"DocuSign.Api.TemplateDocumentTabs.tabs_get_template_document_tabs/5","module":"DocuSign.Api.TemplateDocumentTabs","type":"function","doc":"Returns tabs on the document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :page_numbers (String.t): Returns {:ok, %DocuSign.Model.TemplateDocumentTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_page_tabs/6","title":"DocuSign.Api.TemplateDocumentTabs.tabs_get_template_page_tabs/6","module":"DocuSign.Api.TemplateDocumentTabs","type":"function","doc":"Returns tabs on the specified page. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.TemplateDocumentTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentVisibility.html","title":"DocuSign.Api.TemplateDocumentVisibility","module":"DocuSign.Api.TemplateDocumentVisibility","type":"module","doc":"API calls for all endpoints tagged TemplateDocumentVisibility."},{"ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_get_template_recipient_document_visibility/5","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_get_template_recipient_document_visibility/5","module":"DocuSign.Api.TemplateDocumentVisibility","type":"function","doc":"Returns document visibility for the recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopeDocumentVisibility{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipient_document_visibility/5","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipient_document_visibility/5","module":"DocuSign.Api.TemplateDocumentVisibility","type":"function","doc":"Updates document visibility for the recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_document_visibility (TemplateDocumentVisibility): Returns {:ok, %DocuSign.Model.TemplateDocumentVisibility{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipients_document_visibility/4","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipients_document_visibility/4","module":"DocuSign.Api.TemplateDocumentVisibility","type":"function","doc":"Updates document visibility for the recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_document_visibility (TemplateDocumentVisibility): Returns {:ok, %DocuSign.Model.TemplateDocumentVisibility{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocuments.html","title":"DocuSign.Api.TemplateDocuments","module":"DocuSign.Api.TemplateDocuments","type":"module","doc":"API calls for all endpoints tagged TemplateDocuments."},{"ref":"DocuSign.Api.TemplateDocuments.html#documents_delete_template_documents/4","title":"DocuSign.Api.TemplateDocuments.documents_delete_template_documents/4","module":"DocuSign.Api.TemplateDocuments","type":"function","doc":"Deletes documents from a template. Deletes one or more documents from an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :envelope_definition (EnvelopeDefinition): Returns {:ok, %DocuSign.Model.TemplateDocuments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_document/5","title":"DocuSign.Api.TemplateDocuments.documents_get_template_document/5","module":"DocuSign.Api.TemplateDocuments","type":"function","doc":"Gets PDF documents from a template. Retrieves one or more PDF documents from the specified template. You can specify the ID of the document to retrieve or can specify &#x60;combined&#x60; to retrieve all documents in the template as one pdf. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :encrypt (String.t): :show_changes (String.t): Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_documents/4","title":"DocuSign.Api.TemplateDocuments.documents_get_template_documents/4","module":"DocuSign.Api.TemplateDocuments","type":"function","doc":"Gets a list of documents associated with a template. Retrieves a list of documents associated with the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.TemplateDocuments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_document/5","title":"DocuSign.Api.TemplateDocuments.documents_put_template_document/5","module":"DocuSign.Api.TemplateDocuments","type":"function","doc":"Adds a document to a template document. Adds the specified document to an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :apply_document_fields (String.t): When true, document fields can be added or modified while adding or modifying envelope documents. :is_envelope_definition (String.t): :envelope_definition (EnvelopeDefinition): Returns {:ok, %DocuSign.Model.EnvelopeDocument{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_documents/4","title":"DocuSign.Api.TemplateDocuments.documents_put_template_documents/4","module":"DocuSign.Api.TemplateDocuments","type":"function","doc":"Adds documents to a template document. Adds one or more documents to an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :apply_document_fields (String.t): When true, document fields can be added or modified while adding or modifying envelope documents. :persist_tabs (String.t): :envelope_definition (EnvelopeDefinition): Returns {:ok, %DocuSign.Model.TemplateDocuments{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateLocks.html","title":"DocuSign.Api.TemplateLocks","module":"DocuSign.Api.TemplateLocks","type":"module","doc":"API calls for all endpoints tagged TemplateLocks."},{"ref":"DocuSign.Api.TemplateLocks.html#lock_delete_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_delete_template_lock/4","module":"DocuSign.Api.TemplateLocks","type":"function","doc":"Deletes a template lock. Deletes the lock from the specified template. The &#x60;X-DocuSign-Edit&#x60; header must be included in the request. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :lock_request (LockRequest): Returns {:ok, %DocuSign.Model.TemplateLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateLocks.html#lock_get_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_get_template_lock/4","module":"DocuSign.Api.TemplateLocks","type":"function","doc":"Gets template lock information. Retrieves general information about the template lock. If the call is made by the user who has the lock and the request has the same integrator key as original, then the &#x60;X-DocuSign-Edit&#x60; header field and additional lock information is included in the response. This allows users to recover a lost editing session token and the &#x60;X-DocuSign-Edit&#x60; header. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.TemplateLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateLocks.html#lock_post_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_post_template_lock/4","module":"DocuSign.Api.TemplateLocks","type":"function","doc":"Lock a template. Locks the specified template, and sets the time until the lock expires, to prevent other users or recipients from accessing and changing the template. ###### Note: Users must have envelope locking capability enabled to use this function (the userSetting property &#x60;canLockEnvelopes&#x60; must be set to true for the user). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :lock_request (LockRequest): Returns {:ok, %DocuSign.Model.TemplateLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateLocks.html#lock_put_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_put_template_lock/4","module":"DocuSign.Api.TemplateLocks","type":"function","doc":"Updates a template lock. Updates the lock duration time or update the &#x60;lockedByApp&#x60; property information for the specified template. The user and integrator key must match the user specified by the &#x60;lockByUser&#x60; property and integrator key information and the &#x60;X-DocuSign-Edit&#x60; header must be included or an error will be generated. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :lock_request (LockRequest): Returns {:ok, %DocuSign.Model.TemplateLocks{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipientTabs.html","title":"DocuSign.Api.TemplateRecipientTabs","module":"DocuSign.Api.TemplateRecipientTabs","type":"module","doc":"API calls for all endpoints tagged TemplateRecipientTabs."},{"ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_delete_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_delete_template_recipient_tabs/5","module":"DocuSign.Api.TemplateRecipientTabs","type":"function","doc":"Deletes the tabs associated with a recipient in a template. Deletes one or more tabs associated with a recipient in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_tabs (TemplateTabs): Returns {:ok, %DocuSign.Model.TemplateRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_get_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_get_template_recipient_tabs/5","module":"DocuSign.Api.TemplateRecipientTabs","type":"function","doc":"Gets the tabs information for a signer or sign-in-person recipient in a template. Gets the tabs information for a signer or sign-in-person recipient in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :include_anchor_tab_locations (String.t): When set to true, all tabs with anchor tab properties are included in the response. :include_metadata (String.t): Reserved for DocuSign. Returns {:ok, %DocuSign.Model.TemplateRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_post_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_post_template_recipient_tabs/5","module":"DocuSign.Api.TemplateRecipientTabs","type":"function","doc":"Adds tabs for a recipient. Adds one or more tabs for a recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_tabs (TemplateTabs): Returns {:ok, %DocuSign.Model.TemplateRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_put_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_put_template_recipient_tabs/5","module":"DocuSign.Api.TemplateRecipientTabs","type":"function","doc":"Updates the tabs for a recipient. Updates one or more tabs for a recipient in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_tabs (TemplateTabs): Returns {:ok, %DocuSign.Model.TemplateRecipientTabs{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipients.html","title":"DocuSign.Api.TemplateRecipients","module":"DocuSign.Api.TemplateRecipients","type":"module","doc":"API calls for all endpoints tagged TemplateRecipients."},{"ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipient/5","title":"DocuSign.Api.TemplateRecipients.recipients_delete_template_recipient/5","module":"DocuSign.Api.TemplateRecipients","type":"function","doc":"Deletes the specified recipient file from a template. Deletes the specified recipient file from the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. recipient_id (String.t): The &#x60;recipientId&#x60; used when the envelope or template was created. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_recipients (TemplateRecipients): Returns {:ok, %DocuSign.Model.TemplateRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_delete_template_recipients/4","module":"DocuSign.Api.TemplateRecipients","type":"function","doc":"Deletes recipients from a template. Deletes one or more recipients from a template. Recipients to be deleted are listed in the request, with the &#x60;recipientId&#x60; being used as the key for deleting recipients. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_recipients (TemplateRecipients): Returns {:ok, %DocuSign.Model.TemplateRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipients.html#recipients_get_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_get_template_recipients/4","module":"DocuSign.Api.TemplateRecipients","type":"function","doc":"Gets recipient information from a template. Retrieves the information for all recipients in the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :include_anchor_tab_locations (String.t): When set to true and &#x60;include_tabs&#x60; is set to true, all tabs with anchor tab properties are included in the response. :include_extended (String.t): When set to true, the extended properties are included in the response. :include_tabs (String.t): When set to true, the tab information associated with the recipient is included in the response. Returns {:ok, %DocuSign.Model.TemplateRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipients.html#recipients_post_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_post_template_recipients/4","module":"DocuSign.Api.TemplateRecipients","type":"function","doc":"Adds tabs for a recipient. Adds one or more recipients to a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :resend_envelope (String.t): When set to true, resends the envelope if the new recipient&#39;s routing order is before or the same as the envelope&#39;s next recipient. :template_recipients (TemplateRecipients): Returns {:ok, %DocuSign.Model.TemplateRecipients{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateRecipients.html#recipients_put_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_put_template_recipients/4","module":"DocuSign.Api.TemplateRecipients","type":"function","doc":"Updates recipients in a template. Updates recipients in a template. You can edit the following properties: &#x60;email&#x60;, &#x60;userName&#x60;, &#x60;routingOrder&#x60;, &#x60;faxNumber&#x60;, &#x60;deliveryMethod&#x60;, &#x60;accessCode&#x60;, and &#x60;requireIdLookup&#x60;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :resend_envelope (String.t): When set to true, resends the envelope if the new recipient&#39;s routing order is before or the same as the envelope&#39;s next recipient. :template_recipients (TemplateRecipients): Returns {:ok, %DocuSign.Model.RecipientsUpdateSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.TemplateViews.html","title":"DocuSign.Api.TemplateViews","module":"DocuSign.Api.TemplateViews","type":"module","doc":"API calls for all endpoints tagged TemplateViews."},{"ref":"DocuSign.Api.TemplateViews.html#views_post_template_edit_view/4","title":"DocuSign.Api.TemplateViews.views_post_template_edit_view/4","module":"DocuSign.Api.TemplateViews","type":"function","doc":"Provides a URL to start an edit view of the Template UI Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :return_url_request (ReturnUrlRequest): Returns {:ok, %DocuSign.Model.TemplateViews{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html","title":"DocuSign.Api.Templates","module":"DocuSign.Api.Templates","type":"module","doc":"API calls for all endpoints tagged Templates."},{"ref":"DocuSign.Api.Templates.html#notification_get_templates_template_id_notification/4","title":"DocuSign.Api.Templates.notification_get_templates_template_id_notification/4","module":"DocuSign.Api.Templates","type":"function","doc":"Gets template notification information. Retrieves the envelope notification, reminders and expirations, information for an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Notification{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#notification_put_templates_template_id_notification/4","title":"DocuSign.Api.Templates.notification_put_templates_template_id_notification/4","module":"DocuSign.Api.Templates","type":"function","doc":"Updates the notification structure for an existing template. Updates the notification structure for an existing template. Use this endpoint to set reminder and expiration notifications. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :template_notification_request (TemplateNotificationRequest): Returns {:ok, %DocuSign.Model.Notification{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#pages_delete_template_page/6","title":"DocuSign.Api.Templates.pages_delete_template_page/6","module":"DocuSign.Api.Templates","type":"function","doc":"Deletes a page from a document in an template. Deletes a page from a document in a template based on the page number. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :page_request (PageRequest): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#pages_get_template_page_image/6","title":"DocuSign.Api.Templates.pages_get_template_page_image/6","module":"DocuSign.Api.Templates","type":"function","doc":"Gets a page image from a template for display. Retrieves a page image for display from the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :dpi (String.t): Number of dots per inch for the resulting image. The default if not used is 94. The range is 1-310. :max_height (String.t): Sets the maximum height (in pixels) of the returned image. :max_width (String.t): Sets the maximum width (in pixels) of the returned image. :show_changes (String.t): Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#pages_get_template_page_images/5","title":"DocuSign.Api.Templates.pages_get_template_page_images/5","module":"DocuSign.Api.Templates","type":"function","doc":"Returns document page image(s) based on input. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :count (String.t): The maximum number of results to be returned by this request. :dpi (String.t): Number of dots per inch for the resulting image. The default if not used is 94. The range is 1-310. :max_height (String.t): Sets the maximum height (in pixels) of the returned image. :max_width (String.t): Sets the maximum width (in pixels) of the returned image. :nocache (String.t): :show_changes (String.t): :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, %DocuSign.Model.PageImages{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#pages_put_template_page_image/6","title":"DocuSign.Api.Templates.pages_put_template_page_image/6","module":"DocuSign.Api.Templates","type":"function","doc":"Rotates page image from a template for display. Rotates page image from a template for display. The page image can be rotated to the left or right. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :page_request (PageRequest): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#templates_delete_template_part/5","title":"DocuSign.Api.Templates.templates_delete_template_part/5","module":"DocuSign.Api.Templates","type":"function","doc":"Removes a member group&#39;s sharing permissions for a template. Removes a member group&#39;s sharing permissions for a specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. template_part (String.t): Currently, the only defined part is groups. opts (KeywordList): [optional] Optional parameters :groups (Groups): Returns {:ok, %DocuSign.Model.Groups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#templates_get_template/4","title":"DocuSign.Api.Templates.templates_get_template/4","module":"DocuSign.Api.Templates","type":"function","doc":"Gets a list of templates for a specified account. Retrieves the definition of the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: recipients, folders, documents, custom_fields, and notifications. Returns {:ok, %DocuSign.Model.Templates{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#templates_get_templates/3","title":"DocuSign.Api.Templates.templates_get_templates/3","module":"DocuSign.Api.Templates","type":"function","doc":"Gets the definition of a template. Retrieves the list of templates for the specified account. The request can be limited to a specific folder. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :count (String.t): Number of records to return in the cache. :folder (String.t): The query value can be a folder name or folder ID. The response will only return templates in the specified folder. :folder_ids (String.t): A comma separated list of folder ID GUIDs. :from_date (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created. :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: custom_fields documents folders notifications * recipients :modified_from_date (String.t): :modified_to_date (String.t): :order (String.t): Sets the direction order used to sort the list. Valid values are: -asc &#x3D; ascending sort order (a to z) -desc &#x3D; descending sort order (z to a) :order_by (String.t): Sets the file attribute used to sort the list. Valid values are: -name: template name -modified: date/time template was last modified. -used: date/time the template was last used. :search_text (String.t): The search text used to search the names of templates. :shared_by_me (String.t): If true, the response only includes templates shared by the user. If false, the response only returns template not shared by the user. If not specified, the response is not affected. :start_position (String.t): The starting index for the first template shown in the response. This must be greater than or equal to 0 (zero). :to_date (String.t): End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date. :used_from_date (String.t): Start of the search date range. Only returns templates used or edited on or after this date/time. If no value is specified, there is no limit on the earliest date used. :used_to_date (String.t): End of the search date range. Only returns templates used or edited up to this date/time. If no value is provided, this defaults to the current date. :user_filter (String.t): Sets if the templates shown in the response Valid values are: -owned_by_me: only shows templates the user owns. -shared_with_me: only shows templates that are shared with the user. -all: shows all templates owned or shared with the user. :user_id (String.t): Returns {:ok, %DocuSign.Model.EnvelopeTemplateResults{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#templates_post_templates/3","title":"DocuSign.Api.Templates.templates_post_templates/3","module":"DocuSign.Api.Templates","type":"function","doc":"Creates a template. Creates a template definition using a multipart request. ### Template Email Subject Merge Fields Call this endpoint to insert a recipient name and email address merge fields into the email subject line when creating or sending from a template. The merge fields, based on the recipient&#39;s role name, are added to the &#x60;emailSubject&#x60; property when the template is created or when the template is used to create an envelope. After a template sender adds the name and email information for the recipient and sends the envelope, the recipient information is automatically merged into the appropriate fields in the email subject line. Both the sender and the recipients will see the information in the email subject line for any emails associated with the template. This provides an easy way for senders to organize their envelope emails without having to open an envelope to check the recipient. ###### If merging the recipient information into the subject line causes the subject line to exceed 100 characters, then any characters over the 100 character limit are not included in the subject line. For cases where the recipient name or email is expected to be long, you should consider placing the merge field at the start of the email subject. To add a recipient&#39;s name in the subject line add the following text in the &#x60;emailSubject&#x60; property when creating the template or when sending an envelope from a template: &#x60;[[&lt;roleName&gt;_UserName]]&#x60; Example: &#x60;&quot;emailSubject&quot;:&quot;[[Signer 1_UserName]], Please sign this NDA&quot;,&#x60; To add a recipient&#39;s email address in the subject line add the following text in the &#x60;emailSubject&#x60; property when creating the template or when sending an envelope from a template: &#x60;[[&lt;roleName&gt;_Email]]&#x60; Example: &#x60;&quot;emailSubject&quot;:&quot;[[Signer 1_Email]], Please sign this NDA&quot;,&#x60; In both cases the &lt;roleName&gt; is the recipient&#39;s contents of the &#x60;roleName&#x60; property in the template. For cases where another recipient (such as an Agent, Editor, or Intermediary recipient) is entering the name and email information for the recipient included in the email subject, then &#x60;[[&lt;roleName&gt;_UserName]]&#x60; or &#x60;[[&lt;roleName&gt;_Email]]&#x60; is shown in the email subject. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :templates (Templates): Returns {:ok, %DocuSign.Model.TemplateSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#templates_put_template/4","title":"DocuSign.Api.Templates.templates_put_template/4","module":"DocuSign.Api.Templates","type":"function","doc":"Updates an existing template. Updates an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :templates (Templates): Returns {:ok, %DocuSign.Model.TemplateUpdateSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Templates.html#templates_put_template_part/5","title":"DocuSign.Api.Templates.templates_put_template_part/5","module":"DocuSign.Api.Templates","type":"function","doc":"Shares a template with a group Shares a template with the specified members group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. template_part (String.t): Currently, the only defined part is groups. opts (KeywordList): [optional] Optional parameters :groups (Groups): Returns {:ok, %DocuSign.Model.Groups{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html","title":"DocuSign.Api.Uncategorized","module":"DocuSign.Api.Uncategorized","type":"module","doc":"API calls for all endpoints tagged Uncategorized."},{"ref":"DocuSign.Api.Uncategorized.html#comments_get_comments_transcript/4","title":"DocuSign.Api.Uncategorized.comments_get_comments_transcript/4","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :encoding (String.t): Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#envelope_publish_get_envelope_publish_transaction_list/3","title":"DocuSign.Api.Uncategorized.envelope_publish_get_envelope_publish_transaction_list/3","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopePublishTransactionList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#envelope_publish_get_envelope_publish_transaction_meta_data/4","title":"DocuSign.Api.Uncategorized.envelope_publish_get_envelope_publish_transaction_meta_data/4","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. transaction_id (String.t): Specifies the Transaction ID from the AppStore. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.EnvelopePublishTransaction{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#envelope_publish_get_envelope_publish_transaction_results/4","title":"DocuSign.Api.Uncategorized.envelope_publish_get_envelope_publish_transaction_results/4","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. transaction_id (String.t): Specifies the Transaction ID from the AppStore. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#envelope_publish_post_envelope_publish_transaction/3","title":"DocuSign.Api.Uncategorized.envelope_publish_post_envelope_publish_transaction/3","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :envelope_publish_request (EnvelopePublishRequest): Returns {:ok, %DocuSign.Model.EnvelopePublishTransaction{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#organization_exports_get_account_settings_export/4","title":"DocuSign.Api.Uncategorized.organization_exports_get_account_settings_export/4","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server organization_id (String.t): result_id (String.t): opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#responsive_html_post_document_responsive_html_preview/5","title":"DocuSign.Api.Uncategorized.responsive_html_post_document_responsive_html_preview/5","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :document_html_definition (DocumentHtmlDefinition): Returns {:ok, %DocuSign.Model.DocumentHtmlDefinitions{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#responsive_html_post_responsive_html_preview/4","title":"DocuSign.Api.Uncategorized.responsive_html_post_responsive_html_preview/4","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. envelope_id (String.t): The envelope&#39;s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec opts (KeywordList): [optional] Optional parameters :document_html_definition (DocumentHtmlDefinition): Returns {:ok, %DocuSign.Model.DocumentHtmlDefinitions{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#responsive_html_post_template_document_responsive_html_preview/5","title":"DocuSign.Api.Uncategorized.responsive_html_post_template_document_responsive_html_preview/5","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. document_id (String.t): The ID of the document being accessed. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :document_html_definition (DocumentHtmlDefinition): Returns {:ok, %DocuSign.Model.DocumentHtmlDefinitions{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Uncategorized.html#responsive_html_post_template_responsive_html_preview/4","title":"DocuSign.Api.Uncategorized.responsive_html_post_template_responsive_html_preview/4","module":"DocuSign.Api.Uncategorized","type":"function","doc":"Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. template_id (String.t): The ID of the template being accessed. opts (KeywordList): [optional] Optional parameters :document_html_definition (DocumentHtmlDefinition): Returns {:ok, %DocuSign.Model.DocumentHtmlDefinitions{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserCustomSettings.html","title":"DocuSign.Api.UserCustomSettings","module":"DocuSign.Api.UserCustomSettings","type":"module","doc":"API calls for all endpoints tagged UserCustomSettings."},{"ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_delete_custom_settings/4","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_delete_custom_settings/4","module":"DocuSign.Api.UserCustomSettings","type":"function","doc":"Deletes custom user settings for a specified user. Deletes the specified custom user settings for a single user. ###Deleting Grouped Custom User Settings### If the custom user settings you want to delete are grouped, you must include the following information in the header, after Content-Type, in the request: &#x60;X-DocuSign-User-Settings-Key:group_name&#x60; Where the &#x60;group_name&#x60; is your designated name for the group of customer user settings. If the extra header information is not included, only the custom user settings that were added without a group are deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_custom_settings (UserCustomSettings): Returns {:ok, %DocuSign.Model.UserCustomSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_get_custom_settings/4","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_get_custom_settings/4","module":"DocuSign.Api.UserCustomSettings","type":"function","doc":"Retrieves the custom user settings for a specified user. Retrieves a list of custom user settings for a single user. Custom settings provide a flexible way to store and retrieve custom user information that can be used in your own system. ###### Note: Custom user settings are not the same as user account settings. ###Getting Grouped Custom User Settings### If the custom user settings you want to retrieve are grouped, you must include the following information in the header, after Content-Type, in the request: &#x60;X-DocuSign-User-Settings-Key:group_name&#x60; Where the &#x60;group_name&#x60; is your designated name for the group of customer user settings. If the extra header information is not included, only the custom user settings that were added without a group are retrieved. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserCustomSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_put_custom_settings/4","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_put_custom_settings/4","module":"DocuSign.Api.UserCustomSettings","type":"function","doc":"Adds or updates custom user settings for the specified user. Adds or updates custom user settings for the specified user. ###### Note: Custom user settings are not the same as user account settings. Custom settings provide a flexible way to store and retrieve custom user information that you can use in your own system. Important: There is a limit on the size for all the custom user settings for a single user. The limit is 4,000 characters, which includes the XML and JSON structure for the settings. ### Grouping Custom User Settings ### You can group custom user settings when adding them. Grouping allows you to retrieve settings that are in a specific group, instead of retrieving all the user custom settings. To group custom user settings, add the following information in the header, after Content-Type: &#x60;X-DocuSign-User-Settings-Key:group_name&#x60; Where the &#x60;group_name&#x60; is your designated name for the group of customer user settings. Grouping is shown in the Example Request Body below. When getting or deleting grouped custom user settings, you must include the extra header information. Grouping custom user settings is not required and if the extra header information is not included, the custom user settings are added normally and can be retrieved or deleted without including the additional header. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_custom_settings (UserCustomSettings): Returns {:ok, %DocuSign.Model.UserCustomSettings{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserProfiles.html","title":"DocuSign.Api.UserProfiles","module":"DocuSign.Api.UserProfiles","type":"module","doc":"API calls for all endpoints tagged UserProfiles."},{"ref":"DocuSign.Api.UserProfiles.html#user_profile_get_profile/4","title":"DocuSign.Api.UserProfiles.user_profile_get_profile/4","module":"DocuSign.Api.UserProfiles","type":"function","doc":"Retrieves the user profile for a specified user. Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user. The userId parameter specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserProfiles{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserProfiles.html#user_profile_put_profile/4","title":"DocuSign.Api.UserProfiles.user_profile_put_profile/4","module":"DocuSign.Api.UserProfiles","type":"function","doc":"Updates the user profile information for the specified user. Updates the user&#39;s detail information, profile information, privacy settings, and personal information in the user ID card. You can also change a user&#39;s name by changing the information in the &#x60;userDetails&#x60; property. When changing a user&#39;s name, you can either change the information in the &#x60;userName&#x60; property OR change the information in &#x60;firstName&#x60;, &#x60;middleName&#x60;, &#x60;lastName, suffixName&#x60;, and &#x60;title&#x60; properties. Changes to &#x60;firstName&#x60;, &#x60;middleName&#x60;, &#x60;lastName&#x60;, &#x60;suffixName&#x60;, and &#x60;title&#x60; properties take precedence over changes to the &#x60;userName&#x60; property. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_profiles (UserProfiles): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html","title":"DocuSign.Api.UserSignatures","module":"DocuSign.Api.UserSignatures","type":"module","doc":"API calls for all endpoints tagged UserSignatures."},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature/5","title":"DocuSign.Api.UserSignatures.user_signatures_delete_user_signature/5","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Removes removes signature information for the specified user. Removes the signature information for the user. The userId parameter specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signature_id (String.t): The ID of the signature being accessed. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature_image/6","title":"DocuSign.Api.UserSignatures.user_signatures_delete_user_signature_image/6","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Deletes the user initials image or the user signature image for the specified user. Deletes the specified initials image or signature image for the specified user. The function deletes one or the other of the image types, to delete both the initials image and signature image you must call the endpoint twice. The userId parameter specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. image_type (String.t): One of signature_image or initials_image. signature_id (String.t): The ID of the signature being accessed. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserSignatures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature/5","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signature/5","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Gets the user signature information for the specified user. Retrieves the structure of a single signature with a known signature name. The userId specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signature_id (String.t): The ID of the signature being accessed. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserSignatures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature_image/6","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signature_image/6","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Retrieves the user initials image or the user signature image for the specified user. Retrieves the specified initials image or signature image for the specified user. The image is returned in the same format as uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId property specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. ###### Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. image_type (String.t): One of signature_image or initials_image. signature_id (String.t): The ID of the signature being accessed. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :include_chrome (String.t): Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signatures/4","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signatures/4","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Retrieves a list of user signature definitions for a specified user. Retrieves the signature definitions for the specified user. The userId parameter specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :stamp_type (String.t): Returns {:ok, %DocuSign.Model.UserSignaturesInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_post_user_signatures/4","title":"DocuSign.Api.UserSignatures.user_signatures_post_user_signatures/4","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Adds user Signature and initials images to a Signature. Adds a user signature image and/or user initials image to the specified user. The userId property specified in the endpoint must match the authenticated user&#39;s userId and the user must be a member of the account. The rules and processes associated with this are: If Content-Type is set to application/json, then the default behavior for creating a default signature image, based on the name and a DocuSign font, is used. If Content-Type is set to multipart/form-data, then the request must contain a first part with the user signature information, followed by parts that contain the images. For each Image part, the Content-Disposition header has a &quot;filename&quot; value that is used to map to the &#x60;signatureName&#x60; and/or &#x60;signatureInitials&#x60; properties in the JSON to the image. For example: &#x60;Content-Disposition: file; filename&#x3D;&quot;Ron Test20121127083900&quot;&#x60; If no matching image (by filename value) is found, then the image is not set. One, both, or neither of the signature and initials images can be set with this call. The Content-Transfer-Encoding: base64 header, set in the header for the part containing the image, can be set to indicate that the images are formatted as base64 instead of as binary. If successful, 200-OK is returned, and a JSON structure containing the signature information is provided, note that the signatureId can change with each API POST, PUT, or DELETE since the changes to the signature structure cause the current signature to be closed, and a new signature record to be created. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_signatures_information (UserSignaturesInformation): Returns {:ok, %DocuSign.Model.UserSignaturesInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature/4","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature/4","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Adds/updates a user signature. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_signatures_information (UserSignaturesInformation): Returns {:ok, %DocuSign.Model.UserSignaturesInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_by_id/5","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature_by_id/5","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Updates the user signature for a specified user. Creates, or updates, the signature font and initials for the specified user. When creating a signature, you use this resource to create the signature name and then add the signature and initials images into the signature. ###### Note: This will also create a default signature for the user when one does not exist. The userId property specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. signature_id (String.t): The ID of the signature being accessed. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :close_existing_signature (String.t): When set to true, closes the current signature. :user_signature_definition (UserSignatureDefinition): Returns {:ok, %DocuSign.Model.UserSignatures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_image/6","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature_image/6","module":"DocuSign.Api.UserSignatures","type":"function","doc":"Updates the user signature image or user initials image for the specified user. Updates the user signature image or user initials image for the specified user. The supported image formats for this file are: gif, png, jpeg, and bmp. The file must be less than 200K. The userId property specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the account. The &#x60;signatureId&#x60; parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (&#x60;signatureId&#x60;), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. image_type (String.t): One of signature_image or initials_image. signature_id (String.t): The ID of the signature being accessed. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserSignatures{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSocialAccountLogins.html","title":"DocuSign.Api.UserSocialAccountLogins","module":"DocuSign.Api.UserSocialAccountLogins","type":"module","doc":"API calls for all endpoints tagged UserSocialAccountLogins."},{"ref":"DocuSign.Api.UserSocialAccountLogins.html#user_social_login_delete_user_social_login/4","title":"DocuSign.Api.UserSocialAccountLogins.user_social_login_delete_user_social_login/4","module":"DocuSign.Api.UserSocialAccountLogins","type":"function","doc":"Deletes user&#39;s social account. Deletes a social account from a use&#39;s account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_social_account_logins (UserSocialAccountLogins): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSocialAccountLogins.html#user_social_login_get_user_social_login/4","title":"DocuSign.Api.UserSocialAccountLogins.user_social_login_get_user_social_login/4","module":"DocuSign.Api.UserSocialAccountLogins","type":"function","doc":"Gets a list of a user&#39;s social accounts. Retrieves a list of social accounts linked to a user&#39;s account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserSocialIdResult{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.UserSocialAccountLogins.html#user_social_login_put_user_social_login/4","title":"DocuSign.Api.UserSocialAccountLogins.user_social_login_put_user_social_login/4","module":"DocuSign.Api.UserSocialAccountLogins","type":"function","doc":"Adds social account for a user. Adds a new social account to a user&#39;s account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_social_account_logins (UserSocialAccountLogins): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html","title":"DocuSign.Api.Users","module":"DocuSign.Api.Users","type":"module","doc":"API calls for all endpoints tagged Users."},{"ref":"DocuSign.Api.Users.html#user_get_user/4","title":"DocuSign.Api.Users.user_get_user/4","module":"DocuSign.Api.Users","type":"function","doc":"Gets the user information for a specified user. Retrieves the user information for the specified user. To return additional user information that details the last login date, login status, and the user&#39;s password expiration date, set the optional &#x60;additional_info&#x60; query string parameter to true. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :additional_info (String.t): When set to true, the full list of user information is returned for each user in the account. :email (String.t): Returns {:ok, %DocuSign.Model.Users{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#user_profile_image_delete_user_profile_image/4","title":"DocuSign.Api.Users.user_profile_image_delete_user_profile_image/4","module":"DocuSign.Api.Users","type":"function","doc":"Deletes the user profile image for the specified user. Deletes the user profile image from the specified user&#39;s profile. The userId parameter specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#user_profile_image_get_user_profile_image/4","title":"DocuSign.Api.Users.user_profile_image_get_user_profile_image/4","module":"DocuSign.Api.Users","type":"function","doc":"Retrieves the user profile image for the specified user. Retrieves the user profile picture for the specified user. The image is returned in the same format as uploaded. The userId parameter specified in the endpoint must match the authenticated user&#39;s user ID and the user must be a member of the specified account. If successful, the response returns a 200 - OK and the user profile image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :encoding (String.t): Returns {:ok, %DocuSign.Model.String.t{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#user_profile_image_put_user_profile_image/4","title":"DocuSign.Api.Users.user_profile_image_put_user_profile_image/4","module":"DocuSign.Api.Users","type":"function","doc":"Updates the user profile image for a specified user. Updates the user profile image by uploading an image to the user profile. The supported image formats are: gif, png, jpeg, and bmp. The file must be less than 200K. For best viewing results, DocuSign recommends that the image is no more than 79 pixels wide and high. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#user_put_user/4","title":"DocuSign.Api.Users.user_put_user/4","module":"DocuSign.Api.Users","type":"function","doc":"Updates the specified user information. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :users (Users): Returns {:ok, %DocuSign.Model.Users{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#user_settings_get_user_settings/4","title":"DocuSign.Api.Users.user_settings_get_user_settings/4","module":"DocuSign.Api.Users","type":"function","doc":"Gets the user account settings for a specified user. Retrieves a list of the account settings and email notification information for the specified user. The response returns the account setting name/value information and the email notification settings for the specified user. For more information about the different user settings, see the [ML:userSettings list]. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.UserSettingsInformation{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#user_settings_put_user_settings/4","title":"DocuSign.Api.Users.user_settings_put_user_settings/4","module":"DocuSign.Api.Users","type":"function","doc":"Updates the user account settings for a specified user. Updates the account settings list and email notification types for the specified user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. user_id (String.t): The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. opts (KeywordList): [optional] Optional parameters :user_settings_information (UserSettingsInformation): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#users_delete_users/3","title":"DocuSign.Api.Users.users_delete_users/3","module":"DocuSign.Api.Users","type":"function","doc":"Removes users account privileges. This closes one or more user records in the account. Users are never deleted from an account, but closing a user prevents them from using account functions. The response returns whether the API execution was successful (200 - OK) or if it failed. The response contains a user structure similar to the request and includes the user changes. If an error occurred during the DELETE operation for any of the users, the response for that user contains an &#x60;errorDetails&#x60; node with &#x60;errorCode&#x60; and &#x60;message&#x60; properties. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :delete (String.t): :user_info_list (UserInfoList): Returns {:ok, %DocuSign.Model.GroupUsers{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#users_get_users/3","title":"DocuSign.Api.Users.users_get_users/3","module":"DocuSign.Api.Users","type":"function","doc":"Retrieves the list of users for the specified account. Retrieves the list of users for the specified account. The response returns the list of users for the account along with the information about the result set. If the &#x60;additional_info&#x60; query was added to the endpoint and set to true, the full user information is returned for each user Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :additional_info (String.t): When set to true, the full list of user information is returned for each user in the account. :count (String.t): Number of records to return. The number must be greater than 0 and less than or equal to 100. :email (String.t): :email_substring (String.t): Filters the returned user records by the email address or a sub-string of email address. :group_id (String.t): Filters user records returned by one or more group Id&#39;s. :login_status (String.t): :not_group_id (String.t): :start_position (String.t): Starting value for the list. :status (String.t): Indicates the envelope status. Valid values are: completed - The envelope has been completed and all tags have been signed. created - The envelope is created as a draft. It can be modified and sent later. declined - The envelope has been declined by the recipients. delivered - The envelope has been delivered to the recipients. sent - The envelope is sent to the recipients. signed - The envelope has been signed by the recipients. * voided - The envelope is no longer valid and recipients cannot access or sign the envelope. :user_name_substring (String.t): Filters the user records returned by the user name or a sub-string of user name. Returns {:ok, %DocuSign.Model.UserInformationList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#users_post_users/3","title":"DocuSign.Api.Users.users_post_users/3","module":"DocuSign.Api.Users","type":"function","doc":"Adds news user to the specified account. Adds new users to an account. The body of this request is an array of [&#x60;Users&#x60;][usersobject] objects. For each new user, you must provide at least the &#x60;userName&#x60; and an &#x60;email&#x60;. The &#x60;userSettings&#x60; property is a [name/value][nameValue] list that specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the &#x60;locale&#x60; is set to &#x60;fr&#x60;. &#x60;&#x60;&#x60; POST /restapi/v2/accounts/{accountId}/users Content-Type: application/json &#x60;&#x60;&#x60; &#x60;&#x60;&#x60; { &quot;newUsers&quot;: [ { &quot;userName&quot;: &quot;Claire Horace&quot;, &quot;email&quot;: &quot;claire@example.com.com&quot; }, { &quot;userName&quot;: &quot;Tal Mason&quot;, &quot;email&quot;: &quot;tal@example.com.com&quot;, &quot;userSettings&quot;: [ { &quot;name&quot;: &quot;canSendEnvelope&quot;, &quot;value&quot;: &quot;true&quot; }, { &quot;name&quot;: &quot;locale&quot;, &quot;value&quot;: &quot;fr&quot; } ] } ] } &#x60;&#x60;&#x60; A successful response is a &#x60;newUsers&#x60; array with information about the newly created users. If there was problem creating a user, that entry will contain an &#x60;errorDetails&#x60; property that describes what went wrong. &#x60;&#x60;&#x60;json { &quot;newUsers&quot;: [ { &quot;userId&quot;: &quot;e064a4fc-c0da-c0c0-95fa-8bac87ede98a&quot;, &quot;uri&quot;: &quot;/users/e064a4fc-c0da-c0c0-95fa-8bac87ede98a&quot;, &quot;email&quot;: &quot;claire@example.com&quot;, &quot;userName&quot;: &quot;Claire Horace&quot;, &quot;createdDateTime&quot;: &quot;0001-01-01T08:00:00.0000000Z&quot;, &quot;errorDetails&quot;: { &quot;errorCode&quot;: &quot;USER_ALREADY_EXISTS_IN_ACCOUNT&quot;, &quot;message&quot;: &quot;Username and email combination already exists for this account.&quot; } }, { &quot;userId&quot;: &quot;a0e6c64b-feed-cafe-9af0-805ff3c8cffd&quot;, &quot;uri&quot;: &quot;/users/a0e6c64b-feed-cafe-9af0-805ff3c8cffd&quot;, &quot;email&quot;: &quot;tal@example.com&quot;, &quot;userName&quot;: &quot;Tal Mason&quot;, &quot;userStatus&quot;: &quot;ActivationSent&quot;, &quot;createdDateTime&quot;: &quot;2017-09-15T05:54:36.1265683Z&quot; } ] } &#x60;&#x60;&#x60; ### User Settings User settings specify the capabilities a newly created user will have. | Name | Value | Authorization Requried | Description | | :------------------------------- | :------ | :------------------------------------------------------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | allowBulkRecipients | Boolean | Admin | When true, this user can use the bulk send functionality. | | allowRecipientLanguageSelection | Boolean | Admin | When true, this user can set the language used in the standard email format for a recipient when creating an envelope. | | allowSendOnBehalfOf | Boolean | Admin | When true, this user can send envelopes &#39;on behalf of&#39; other users through the API. | | apiAccountWideAccess | Boolean | Admin | When true, this user can send and manage envelopes for the entire account using the DocuSign API. | | canEditSharedAddressBook | String | Admin | Sets the address book usage and management rights for the user. Possible values: &lt;ul&gt; &lt;li&gt;&lt;code&gt;none&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;use_only_shared&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;use_private_and_shared&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;share&lt;/code&gt;&lt;/li&gt; &lt;/ul&gt; | | canManageAccount | Boolean | Admin &amp;amp; not setting for self | When true, this user can manage account settings, manage user settings, add users, and remove users. | | canManageTemplates | String | Admin &amp;amp; not setting for self | Sets the template usage and management rights for the user. Possible values: &lt;ul&gt; &lt;li&gt;&lt;code&gt;none&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;use&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;create&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;share&lt;/code&gt;&lt;/li&gt; &lt;/ul&gt; | | canSendAPIRequests | Boolean | Admin &amp;amp; [account setting][accountsettings] &#x60;usesAPI&#x60; is set| Only needed if integrator key is not used. When true, this user can send and manage envelopes using the DocuSign API. | | canSendEnvelope | Boolean | Admin &amp;amp; not setting for self | When true, this user can send envelopes though the DocuSign Console. | | enableDSPro | Boolean | SysAdmin | When true, this user can send and manage envelopes from the DocuSign Desktop Client. | | enableSequentialSigningAPI | Boolean | SysAdmin | When true, this user can define the routing order of recipients for envelopes sent using the DocuSign API. | | enableSequentialSigningUI | Boolean | SysAdmin | When true, this user can define the routing order of recipients while sending documents for signature. | | enableSignerAttachments | Boolean | Admin | When true, this user can add requests for attachments from signers while sending documents. | | enableSignOnPaperOverride | Boolean | Admin | When true, this user can override the account setting that determines if signers may sign their documents on paper as an option to signing electronically. | | enableTransactionPoint | Boolean | SysAdmin | When true, this user can select an envelope from their member console and upload the envelope documents to TransactionPoint. | | enableVaulting | Boolean | Admin | When true, this user can use electronic vaulting for documents. | | locale | String | Admin | Sets the default language for the user. The supported languages are: &lt;ul&gt; &lt;li&gt;Chinese Simplified: &lt;code&gt;zh_CN&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Chinese Traditional: &lt;code&gt;zh_TW&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Dutch: &lt;code&gt;nl&lt;/code&gt;&lt;/li&gt; &lt;li&gt;English US: &lt;code&gt;en&lt;/code&gt;&lt;/li&gt; &lt;li&gt;French: &lt;code&gt;fr&lt;/code&gt;&lt;/li&gt; &lt;li&gt;German: &lt;code&gt;de&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Italian: &lt;code&gt;it&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Japanese: &lt;code&gt;ja&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Korean: &lt;code&gt;ko&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Portuguese: &lt;code&gt;pt&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Portuguese (Brazil): &lt;code&gt;pt_BR&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Russian: &lt;code&gt;ru&lt;/code&gt;&lt;/li&gt; &lt;li&gt;Spanish: &lt;code&gt;es&lt;/code&gt;&lt;/li&gt; &lt;/ul&gt; | | powerFormAdmin | Boolean | Admin | When true, this user can create, manage and download the PowerForms documents. | | powerFormUser | Boolean | Admin | When true, this user can view and download PowerForms documents. | | selfSignedRecipientEmailDocument | String | Admin | Sets how self-signed documents are presented to the email recipients. This can only be changed if the &lt;code&gt;selfSignedRecipientEmailDocumentUserOverride&lt;/code&gt; &lt;a href&#x3D;&quot;/esign/restapi/Accounts/Accounts/create/#account-settings&quot;&gt;account setting&lt;/a&gt; is &lt;strong&gt;true&lt;/strong&gt;. This setting overrides the account setting. Possibe values are: &lt;ul&gt; &lt;li&gt;&lt;code&gt;include_pdf&lt;/code&gt;: A PDF of the completed document is attached to the email.&lt;/li&gt; &lt;li&gt;&lt;code&gt;include_link&lt;/code&gt;: A secure link to the self-signed documents is included in the email.&lt;/li&gt; &lt;/ul&gt; | | vaultingMode | String | Admin | Sets the electronic vaulting mode for the user. Possible values: &lt;ul&gt; &lt;li&gt;&lt;code&gt;none&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;estored&lt;/code&gt;&lt;/li&gt; &lt;li&gt;&lt;code&gt;electronic_original&lt;/code&gt;&lt;/li&gt; &lt;/ul&gt; | [accountsettings]: /esign/restapi/Accounts/Accounts/create/#account-settings [nameValue]: #/definitions/nameValue [usersobject]: #/definitions/Users Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :new_users_definition (NewUsersDefinition): Returns {:ok, %DocuSign.Model.NewUsersSummary{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Users.html#users_put_users/3","title":"DocuSign.Api.Users.users_put_users/3","module":"DocuSign.Api.Users","type":"function","doc":"Change one or more user in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :user_information_list (UserInformationList): Returns {:ok, %DocuSign.Model.UserInformationList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.WorkspaceItems.html","title":"DocuSign.Api.WorkspaceItems","module":"DocuSign.Api.WorkspaceItems","type":"module","doc":"API calls for all endpoints tagged WorkspaceItems."},{"ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_get_workspace_file/6","title":"DocuSign.Api.WorkspaceItems.workspace_file_get_workspace_file/6","module":"DocuSign.Api.WorkspaceItems","type":"function","doc":"Get Workspace File Retrieves a workspace file (the binary). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. file_id (String.t): Specifies the room file ID GUID. folder_id (String.t): The ID of the folder being accessed. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters :is_download (String.t): When set to true, the Content-Disposition header is set in the response. The value of the header provides the filename of the file. Default is false. :pdf_version (String.t): When set to true the file returned as a PDF. Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_pages_get_workspace_file_pages/6","title":"DocuSign.Api.WorkspaceItems.workspace_file_pages_get_workspace_file_pages/6","module":"DocuSign.Api.WorkspaceItems","type":"function","doc":"List File Pages Retrieves a workspace file as rasterized pages. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. file_id (String.t): Specifies the room file ID GUID. folder_id (String.t): The ID of the folder being accessed. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters :count (String.t): The maximum number of results to be returned by this request. :dpi (String.t): Number of dots per inch for the resulting image. The default if not used is 94. The range is 1-310. :max_height (String.t): Sets the maximum height (in pixels) of the returned image. :max_width (String.t): Sets the maximum width (in pixels) of the returned image. :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, %DocuSign.Model.PageImages{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_post_workspace_files/5","title":"DocuSign.Api.WorkspaceItems.workspace_file_post_workspace_files/5","module":"DocuSign.Api.WorkspaceItems","type":"function","doc":"Creates a workspace file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. folder_id (String.t): The ID of the folder being accessed. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.WorkspaceItems{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_put_workspace_file/6","title":"DocuSign.Api.WorkspaceItems.workspace_file_put_workspace_file/6","module":"DocuSign.Api.WorkspaceItems","type":"function","doc":"Update Workspace File Metadata Updates workspace item metadata for one or more specific files/folders. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. file_id (String.t): Specifies the room file ID GUID. folder_id (String.t): The ID of the folder being accessed. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.WorkspaceItems{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_delete_workspace_items/5","title":"DocuSign.Api.WorkspaceItems.workspace_folder_delete_workspace_items/5","module":"DocuSign.Api.WorkspaceItems","type":"function","doc":"Deletes workspace one or more specific files/folders from the given folder or root. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. folder_id (String.t): The ID of the folder being accessed. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters :workspace_item_list (WorkspaceItemList): Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_get_workspace_folder/5","title":"DocuSign.Api.WorkspaceItems.workspace_folder_get_workspace_folder/5","module":"DocuSign.Api.WorkspaceItems","type":"function","doc":"List Workspace Folder Contents Retrieves workspace folder contents, which can include sub folders and files. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. folder_id (String.t): The ID of the folder being accessed. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters :count (String.t): The maximum number of results to be returned by this request. :include_files (String.t): When set to true, file information is returned in the response along with folder information. The default is false. :include_sub_folders (String.t): When set to true, information about the sub-folders of the current folder is returned. The default is false. :include_thumbnails (String.t): When set to true, thumbnails are returned as part of the response. The default is false. :include_user_detail (String.t): Set to true to return extended details about the user. The default is false. :start_position (String.t): The position within the total result set from which to start returning values. :workspace_user_id (String.t): If set, then the results are filtered to those associated with the specified userId. Returns {:ok, %DocuSign.Model.WorkspaceFolderContents{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Workspaces.html","title":"DocuSign.Api.Workspaces","module":"DocuSign.Api.Workspaces","type":"module","doc":"API calls for all endpoints tagged Workspaces."},{"ref":"DocuSign.Api.Workspaces.html#workspace_delete_workspace/4","title":"DocuSign.Api.Workspaces.workspace_delete_workspace/4","module":"DocuSign.Api.Workspaces","type":"function","doc":"Delete Workspace Deletes an existing workspace (logically). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Workspaces{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Workspaces.html#workspace_get_workspace/4","title":"DocuSign.Api.Workspaces.workspace_get_workspace/4","module":"DocuSign.Api.Workspaces","type":"function","doc":"Get Workspace Retrives properties about a workspace given a unique workspaceId. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.Workspaces{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Workspaces.html#workspace_get_workspaces/3","title":"DocuSign.Api.Workspaces.workspace_get_workspaces/3","module":"DocuSign.Api.Workspaces","type":"function","doc":"List Workspaces Gets information about the Workspaces that have been created. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters Returns {:ok, %DocuSign.Model.WorkspaceList{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Workspaces.html#workspace_post_workspace/3","title":"DocuSign.Api.Workspaces.workspace_post_workspace/3","module":"DocuSign.Api.Workspaces","type":"function","doc":"Create a Workspace Creates a new workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. opts (KeywordList): [optional] Optional parameters :workspaces (Workspaces): Returns {:ok, %DocuSign.Model.Workspaces{}} on success {:error, info} on failure"},{"ref":"DocuSign.Api.Workspaces.html#workspace_put_workspace/4","title":"DocuSign.Api.Workspaces.workspace_put_workspace/4","module":"DocuSign.Api.Workspaces","type":"function","doc":"Update Workspace Updates information about a specific workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID Guid. workspace_id (String.t): Specifies the workspace ID GUID. opts (KeywordList): [optional] Optional parameters :workspaces (Workspaces): Returns {:ok, %DocuSign.Model.Workspaces{}} on success {:error, info} on failure"},{"ref":"DocuSign.Connection.html","title":"DocuSign.Connection","module":"DocuSign.Connection","type":"module","doc":"The module is intended for to make and perform request to DocuSign API. Example iex&gt; conn = DocuSign.Connection.new {:ok, users} = DocuSign.Api.Users.users_get_users( conn, &quot;61ac4bd1-c83c-4aa6-8654-d3b44a252f42&quot;[account_id] )"},{"ref":"DocuSign.Connection.html#default_account/0","title":"DocuSign.Connection.default_account/0","module":"DocuSign.Connection","type":"function","doc":"Retrieves the default account of current user"},{"ref":"DocuSign.Connection.html#new/1","title":"DocuSign.Connection.new/1","module":"DocuSign.Connection","type":"function","doc":"Create new conn opts: client \\ APIClient.client() account \\ User.default_account"},{"ref":"DocuSign.Connection.html#request/2","title":"DocuSign.Connection.request/2","module":"DocuSign.Connection","type":"function","doc":"Makes a request."},{"ref":"DocuSign.Connection.html#t:t/0","title":"DocuSign.Connection.t/0","module":"DocuSign.Connection","type":"type","doc":""},{"ref":"DocuSign.Connection.Request.html","title":"DocuSign.Connection.Request","module":"DocuSign.Connection.Request","type":"module","doc":"Handle Tesla connections."},{"ref":"DocuSign.Connection.Request.html#delete/3","title":"DocuSign.Connection.Request.delete/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#delete!/3","title":"DocuSign.Connection.Request.delete!/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#get/3","title":"DocuSign.Connection.Request.get/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#get!/3","title":"DocuSign.Connection.Request.get!/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#head/3","title":"DocuSign.Connection.Request.head/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#head!/3","title":"DocuSign.Connection.Request.head!/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#new/1","title":"DocuSign.Connection.Request.new/1","module":"DocuSign.Connection.Request","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"DocuSign.Connection.Request.html#options/3","title":"DocuSign.Connection.Request.options/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#options!/3","title":"DocuSign.Connection.Request.options!/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#patch/4","title":"DocuSign.Connection.Request.patch/4","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#patch!/4","title":"DocuSign.Connection.Request.patch!/4","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#post/4","title":"DocuSign.Connection.Request.post/4","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#post!/4","title":"DocuSign.Connection.Request.post!/4","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#put/4","title":"DocuSign.Connection.Request.put/4","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#put!/4","title":"DocuSign.Connection.Request.put!/4","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#request/2","title":"DocuSign.Connection.Request.request/2","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"DocuSign.Connection.Request.html#request!/2","title":"DocuSign.Connection.Request.request!/2","module":"DocuSign.Connection.Request","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"DocuSign.Connection.Request.html#trace/3","title":"DocuSign.Connection.Request.trace/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#trace!/3","title":"DocuSign.Connection.Request.trace!/3","module":"DocuSign.Connection.Request","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"DocuSign.Connection.Request.html#t:option/0","title":"DocuSign.Connection.Request.option/0","module":"DocuSign.Connection.Request","type":"type","doc":""},{"ref":"DocuSign.Deserializer.html","title":"DocuSign.Deserializer","module":"DocuSign.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models"},{"ref":"DocuSign.Deserializer.html#deserialize/5","title":"DocuSign.Deserializer.deserialize/5","module":"DocuSign.Deserializer","type":"function","doc":"Update the provided model with a deserialization of a nested value"},{"ref":"DocuSign.Model.AccountAddress.html","title":"DocuSign.Model.AccountAddress","module":"DocuSign.Model.AccountAddress","type":"module","doc":"Contains information about an account address."},{"ref":"DocuSign.Model.AccountAddress.html#t:t/0","title":"DocuSign.Model.AccountAddress.t/0","module":"DocuSign.Model.AccountAddress","type":"type","doc":""},{"ref":"DocuSign.Model.AccountBillingPlan.html","title":"DocuSign.Model.AccountBillingPlan","module":"DocuSign.Model.AccountBillingPlan","type":"module","doc":"Contains information about an account billing plan."},{"ref":"DocuSign.Model.AccountBillingPlan.html#t:t/0","title":"DocuSign.Model.AccountBillingPlan.t/0","module":"DocuSign.Model.AccountBillingPlan","type":"type","doc":""},{"ref":"DocuSign.Model.AccountBrands.html","title":"DocuSign.Model.AccountBrands","module":"DocuSign.Model.AccountBrands","type":"module","doc":"Brand management for accounts"},{"ref":"DocuSign.Model.AccountBrands.html#t:t/0","title":"DocuSign.Model.AccountBrands.t/0","module":"DocuSign.Model.AccountBrands","type":"type","doc":""},{"ref":"DocuSign.Model.AccountConsumerDisclosures.html","title":"DocuSign.Model.AccountConsumerDisclosures","module":"DocuSign.Model.AccountConsumerDisclosures","type":"module","doc":"Account consumer disclosures"},{"ref":"DocuSign.Model.AccountConsumerDisclosures.html#t:t/0","title":"DocuSign.Model.AccountConsumerDisclosures.t/0","module":"DocuSign.Model.AccountConsumerDisclosures","type":"type","doc":""},{"ref":"DocuSign.Model.AccountCustomFields.html","title":"DocuSign.Model.AccountCustomFields","module":"DocuSign.Model.AccountCustomFields","type":"module","doc":"Custom Fields"},{"ref":"DocuSign.Model.AccountCustomFields.html#t:t/0","title":"DocuSign.Model.AccountCustomFields.t/0","module":"DocuSign.Model.AccountCustomFields","type":"type","doc":""},{"ref":"DocuSign.Model.AccountIdentityVerificationStep.html","title":"DocuSign.Model.AccountIdentityVerificationStep","module":"DocuSign.Model.AccountIdentityVerificationStep","type":"module","doc":""},{"ref":"DocuSign.Model.AccountIdentityVerificationStep.html#t:t/0","title":"DocuSign.Model.AccountIdentityVerificationStep.t/0","module":"DocuSign.Model.AccountIdentityVerificationStep","type":"type","doc":""},{"ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html","title":"DocuSign.Model.AccountIdentityVerificationWorkflow","module":"DocuSign.Model.AccountIdentityVerificationWorkflow","type":"module","doc":""},{"ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html#t:t/0","title":"DocuSign.Model.AccountIdentityVerificationWorkflow.t/0","module":"DocuSign.Model.AccountIdentityVerificationWorkflow","type":"type","doc":""},{"ref":"DocuSign.Model.AccountMinimumPasswordLength.html","title":"DocuSign.Model.AccountMinimumPasswordLength","module":"DocuSign.Model.AccountMinimumPasswordLength","type":"module","doc":""},{"ref":"DocuSign.Model.AccountMinimumPasswordLength.html#t:t/0","title":"DocuSign.Model.AccountMinimumPasswordLength.t/0","module":"DocuSign.Model.AccountMinimumPasswordLength","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html","title":"DocuSign.Model.AccountPasswordExpirePasswordDays","module":"DocuSign.Model.AccountPasswordExpirePasswordDays","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html#t:t/0","title":"DocuSign.Model.AccountPasswordExpirePasswordDays.t/0","module":"DocuSign.Model.AccountPasswordExpirePasswordDays","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes","module":"DocuSign.Model.AccountPasswordLockoutDurationMinutes","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html#t:t/0","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.t/0","module":"DocuSign.Model.AccountPasswordLockoutDurationMinutes","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html","title":"DocuSign.Model.AccountPasswordLockoutDurationType","module":"DocuSign.Model.AccountPasswordLockoutDurationType","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html#t:t/0","title":"DocuSign.Model.AccountPasswordLockoutDurationType.t/0","module":"DocuSign.Model.AccountPasswordLockoutDurationType","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays","module":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html#t:t/0","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.t/0","module":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html","title":"DocuSign.Model.AccountPasswordQuestionsRequired","module":"DocuSign.Model.AccountPasswordQuestionsRequired","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html#t:t/0","title":"DocuSign.Model.AccountPasswordQuestionsRequired.t/0","module":"DocuSign.Model.AccountPasswordQuestionsRequired","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordRules.html","title":"DocuSign.Model.AccountPasswordRules","module":"DocuSign.Model.AccountPasswordRules","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordRules.html#t:t/0","title":"DocuSign.Model.AccountPasswordRules.t/0","module":"DocuSign.Model.AccountPasswordRules","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordStrengthType.html","title":"DocuSign.Model.AccountPasswordStrengthType","module":"DocuSign.Model.AccountPasswordStrengthType","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordStrengthType.html#t:t/0","title":"DocuSign.Model.AccountPasswordStrengthType.t/0","module":"DocuSign.Model.AccountPasswordStrengthType","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html","title":"DocuSign.Model.AccountPasswordStrengthTypeOption","module":"DocuSign.Model.AccountPasswordStrengthTypeOption","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html#t:t/0","title":"DocuSign.Model.AccountPasswordStrengthTypeOption.t/0","module":"DocuSign.Model.AccountPasswordStrengthTypeOption","type":"type","doc":""},{"ref":"DocuSign.Model.AccountPermissionProfiles.html","title":"DocuSign.Model.AccountPermissionProfiles","module":"DocuSign.Model.AccountPermissionProfiles","type":"module","doc":""},{"ref":"DocuSign.Model.AccountPermissionProfiles.html#t:t/0","title":"DocuSign.Model.AccountPermissionProfiles.t/0","module":"DocuSign.Model.AccountPermissionProfiles","type":"type","doc":""},{"ref":"DocuSign.Model.AccountRoleSettings.html","title":"DocuSign.Model.AccountRoleSettings","module":"DocuSign.Model.AccountRoleSettings","type":"module","doc":""},{"ref":"DocuSign.Model.AccountRoleSettings.html#t:t/0","title":"DocuSign.Model.AccountRoleSettings.t/0","module":"DocuSign.Model.AccountRoleSettings","type":"type","doc":""},{"ref":"DocuSign.Model.AccountSealProviders.html","title":"DocuSign.Model.AccountSealProviders","module":"DocuSign.Model.AccountSealProviders","type":"module","doc":""},{"ref":"DocuSign.Model.AccountSealProviders.html#t:t/0","title":"DocuSign.Model.AccountSealProviders.t/0","module":"DocuSign.Model.AccountSealProviders","type":"type","doc":""},{"ref":"DocuSign.Model.AccountSettingsInformation.html","title":"DocuSign.Model.AccountSettingsInformation","module":"DocuSign.Model.AccountSettingsInformation","type":"module","doc":"Contains account settings information."},{"ref":"DocuSign.Model.AccountSettingsInformation.html#t:t/0","title":"DocuSign.Model.AccountSettingsInformation.t/0","module":"DocuSign.Model.AccountSettingsInformation","type":"type","doc":""},{"ref":"DocuSign.Model.AccountSharedAccess.html","title":"DocuSign.Model.AccountSharedAccess","module":"DocuSign.Model.AccountSharedAccess","type":"module","doc":"Contains shared access information."},{"ref":"DocuSign.Model.AccountSharedAccess.html#t:t/0","title":"DocuSign.Model.AccountSharedAccess.t/0","module":"DocuSign.Model.AccountSharedAccess","type":"type","doc":""},{"ref":"DocuSign.Model.AccountSignatureProvider.html","title":"DocuSign.Model.AccountSignatureProvider","module":"DocuSign.Model.AccountSignatureProvider","type":"module","doc":""},{"ref":"DocuSign.Model.AccountSignatureProvider.html#t:t/0","title":"DocuSign.Model.AccountSignatureProvider.t/0","module":"DocuSign.Model.AccountSignatureProvider","type":"type","doc":""},{"ref":"DocuSign.Model.AccountSignatureProviderOption.html","title":"DocuSign.Model.AccountSignatureProviderOption","module":"DocuSign.Model.AccountSignatureProviderOption","type":"module","doc":""},{"ref":"DocuSign.Model.AccountSignatureProviderOption.html#t:t/0","title":"DocuSign.Model.AccountSignatureProviderOption.t/0","module":"DocuSign.Model.AccountSignatureProviderOption","type":"type","doc":""},{"ref":"DocuSign.Model.AccountSignatureProviders.html","title":"DocuSign.Model.AccountSignatureProviders","module":"DocuSign.Model.AccountSignatureProviders","type":"module","doc":"Account SBS Signature Providers"},{"ref":"DocuSign.Model.AccountSignatureProviders.html#t:t/0","title":"DocuSign.Model.AccountSignatureProviders.t/0","module":"DocuSign.Model.AccountSignatureProviders","type":"type","doc":""},{"ref":"DocuSign.Model.AccountTabSettings.html","title":"DocuSign.Model.AccountTabSettings","module":"DocuSign.Model.AccountTabSettings","type":"module","doc":""},{"ref":"DocuSign.Model.AccountTabSettings.html#t:t/0","title":"DocuSign.Model.AccountTabSettings.t/0","module":"DocuSign.Model.AccountTabSettings","type":"type","doc":""},{"ref":"DocuSign.Model.AccountWatermarks.html","title":"DocuSign.Model.AccountWatermarks","module":"DocuSign.Model.AccountWatermarks","type":"module","doc":""},{"ref":"DocuSign.Model.AccountWatermarks.html#t:t/0","title":"DocuSign.Model.AccountWatermarks.t/0","module":"DocuSign.Model.AccountWatermarks","type":"type","doc":""},{"ref":"DocuSign.Model.Accounts.html","title":"DocuSign.Model.Accounts","module":"DocuSign.Model.Accounts","type":"module","doc":"Account management"},{"ref":"DocuSign.Model.Accounts.html#t:t/0","title":"DocuSign.Model.Accounts.t/0","module":"DocuSign.Model.Accounts","type":"type","doc":""},{"ref":"DocuSign.Model.AddOn.html","title":"DocuSign.Model.AddOn","module":"DocuSign.Model.AddOn","type":"module","doc":"Contains information about add ons."},{"ref":"DocuSign.Model.AddOn.html#t:t/0","title":"DocuSign.Model.AddOn.t/0","module":"DocuSign.Model.AddOn","type":"type","doc":""},{"ref":"DocuSign.Model.AddressInformation.html","title":"DocuSign.Model.AddressInformation","module":"DocuSign.Model.AddressInformation","type":"module","doc":"Contains address information."},{"ref":"DocuSign.Model.AddressInformation.html#t:t/0","title":"DocuSign.Model.AddressInformation.t/0","module":"DocuSign.Model.AddressInformation","type":"type","doc":""},{"ref":"DocuSign.Model.AddressInformationInput.html","title":"DocuSign.Model.AddressInformationInput","module":"DocuSign.Model.AddressInformationInput","type":"module","doc":"Contains address input information."},{"ref":"DocuSign.Model.AddressInformationInput.html#t:t/0","title":"DocuSign.Model.AddressInformationInput.t/0","module":"DocuSign.Model.AddressInformationInput","type":"type","doc":""},{"ref":"DocuSign.Model.AddressInformationV2.html","title":"DocuSign.Model.AddressInformationV2","module":"DocuSign.Model.AddressInformationV2","type":"module","doc":""},{"ref":"DocuSign.Model.AddressInformationV2.html#t:t/0","title":"DocuSign.Model.AddressInformationV2.t/0","module":"DocuSign.Model.AddressInformationV2","type":"type","doc":""},{"ref":"DocuSign.Model.Agent.html","title":"DocuSign.Model.Agent","module":"DocuSign.Model.Agent","type":"module","doc":"Contains information about agent recipients."},{"ref":"DocuSign.Model.Agent.html#t:t/0","title":"DocuSign.Model.Agent.t/0","module":"DocuSign.Model.Agent","type":"type","doc":""},{"ref":"DocuSign.Model.ApiRequestLog.html","title":"DocuSign.Model.ApiRequestLog","module":"DocuSign.Model.ApiRequestLog","type":"module","doc":"Contains API request log information."},{"ref":"DocuSign.Model.ApiRequestLog.html#t:t/0","title":"DocuSign.Model.ApiRequestLog.t/0","module":"DocuSign.Model.ApiRequestLog","type":"type","doc":""},{"ref":"DocuSign.Model.ApiRequestLogsResult.html","title":"DocuSign.Model.ApiRequestLogsResult","module":"DocuSign.Model.ApiRequestLogsResult","type":"module","doc":"Contains information about mutiple API request logs."},{"ref":"DocuSign.Model.ApiRequestLogsResult.html#t:t/0","title":"DocuSign.Model.ApiRequestLogsResult.t/0","module":"DocuSign.Model.ApiRequestLogsResult","type":"type","doc":""},{"ref":"DocuSign.Model.AppStoreProduct.html","title":"DocuSign.Model.AppStoreProduct","module":"DocuSign.Model.AppStoreProduct","type":"module","doc":"Contains information about an APP store product."},{"ref":"DocuSign.Model.AppStoreProduct.html#t:t/0","title":"DocuSign.Model.AppStoreProduct.t/0","module":"DocuSign.Model.AppStoreProduct","type":"type","doc":""},{"ref":"DocuSign.Model.AppStoreReceipt.html","title":"DocuSign.Model.AppStoreReceipt","module":"DocuSign.Model.AppStoreReceipt","type":"module","doc":"Contains information about an APP store receipt."},{"ref":"DocuSign.Model.AppStoreReceipt.html#t:t/0","title":"DocuSign.Model.AppStoreReceipt.t/0","module":"DocuSign.Model.AppStoreReceipt","type":"type","doc":""},{"ref":"DocuSign.Model.Approve.html","title":"DocuSign.Model.Approve","module":"DocuSign.Model.Approve","type":"module","doc":"A tab that allows the recipient to approve documents without placing a signature or initials on the document."},{"ref":"DocuSign.Model.Approve.html#t:t/0","title":"DocuSign.Model.Approve.t/0","module":"DocuSign.Model.Approve","type":"type","doc":""},{"ref":"DocuSign.Model.Attachment.html","title":"DocuSign.Model.Attachment","module":"DocuSign.Model.Attachment","type":"module","doc":"Contains information about an attachment."},{"ref":"DocuSign.Model.Attachment.html#t:t/0","title":"DocuSign.Model.Attachment.t/0","module":"DocuSign.Model.Attachment","type":"type","doc":""},{"ref":"DocuSign.Model.Authentication.html","title":"DocuSign.Model.Authentication","module":"DocuSign.Model.Authentication","type":"module","doc":"Authentication and login"},{"ref":"DocuSign.Model.Authentication.html#t:t/0","title":"DocuSign.Model.Authentication.t/0","module":"DocuSign.Model.Authentication","type":"type","doc":""},{"ref":"DocuSign.Model.AuthenticationMethod.html","title":"DocuSign.Model.AuthenticationMethod","module":"DocuSign.Model.AuthenticationMethod","type":"module","doc":"Contains information about the method used for authentication."},{"ref":"DocuSign.Model.AuthenticationMethod.html#t:t/0","title":"DocuSign.Model.AuthenticationMethod.t/0","module":"DocuSign.Model.AuthenticationMethod","type":"type","doc":""},{"ref":"DocuSign.Model.AuthenticationStatus.html","title":"DocuSign.Model.AuthenticationStatus","module":"DocuSign.Model.AuthenticationStatus","type":"module","doc":"Contains information about the authentication status."},{"ref":"DocuSign.Model.AuthenticationStatus.html#t:t/0","title":"DocuSign.Model.AuthenticationStatus.t/0","module":"DocuSign.Model.AuthenticationStatus","type":"type","doc":""},{"ref":"DocuSign.Model.BccEmailAddress.html","title":"DocuSign.Model.BccEmailAddress","module":"DocuSign.Model.BccEmailAddress","type":"module","doc":"Contains information about the BCC email address."},{"ref":"DocuSign.Model.BccEmailAddress.html#t:t/0","title":"DocuSign.Model.BccEmailAddress.t/0","module":"DocuSign.Model.BccEmailAddress","type":"type","doc":""},{"ref":"DocuSign.Model.BillingCharge.html","title":"DocuSign.Model.BillingCharge","module":"DocuSign.Model.BillingCharge","type":"module","doc":"Contains information about a billing charge."},{"ref":"DocuSign.Model.BillingCharge.html#t:t/0","title":"DocuSign.Model.BillingCharge.t/0","module":"DocuSign.Model.BillingCharge","type":"type","doc":""},{"ref":"DocuSign.Model.BillingChargeResponse.html","title":"DocuSign.Model.BillingChargeResponse","module":"DocuSign.Model.BillingChargeResponse","type":"module","doc":"Defines a billing charge response object."},{"ref":"DocuSign.Model.BillingChargeResponse.html#t:t/0","title":"DocuSign.Model.BillingChargeResponse.t/0","module":"DocuSign.Model.BillingChargeResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingDiscount.html","title":"DocuSign.Model.BillingDiscount","module":"DocuSign.Model.BillingDiscount","type":"module","doc":""},{"ref":"DocuSign.Model.BillingDiscount.html#t:t/0","title":"DocuSign.Model.BillingDiscount.t/0","module":"DocuSign.Model.BillingDiscount","type":"type","doc":""},{"ref":"DocuSign.Model.BillingInvoiceItem.html","title":"DocuSign.Model.BillingInvoiceItem","module":"DocuSign.Model.BillingInvoiceItem","type":"module","doc":"Contains information about an item on a billing invoice."},{"ref":"DocuSign.Model.BillingInvoiceItem.html#t:t/0","title":"DocuSign.Model.BillingInvoiceItem.t/0","module":"DocuSign.Model.BillingInvoiceItem","type":"type","doc":""},{"ref":"DocuSign.Model.BillingInvoicesResponse.html","title":"DocuSign.Model.BillingInvoicesResponse","module":"DocuSign.Model.BillingInvoicesResponse","type":"module","doc":"Defines a billing invoice response object."},{"ref":"DocuSign.Model.BillingInvoicesResponse.html#t:t/0","title":"DocuSign.Model.BillingInvoicesResponse.t/0","module":"DocuSign.Model.BillingInvoicesResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingInvoicesSummary.html","title":"DocuSign.Model.BillingInvoicesSummary","module":"DocuSign.Model.BillingInvoicesSummary","type":"module","doc":""},{"ref":"DocuSign.Model.BillingInvoicesSummary.html#t:t/0","title":"DocuSign.Model.BillingInvoicesSummary.t/0","module":"DocuSign.Model.BillingInvoicesSummary","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPayment.html","title":"DocuSign.Model.BillingPayment","module":"DocuSign.Model.BillingPayment","type":"module","doc":"Contains information on a billing plan."},{"ref":"DocuSign.Model.BillingPayment.html#t:t/0","title":"DocuSign.Model.BillingPayment.t/0","module":"DocuSign.Model.BillingPayment","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPaymentRequest.html","title":"DocuSign.Model.BillingPaymentRequest","module":"DocuSign.Model.BillingPaymentRequest","type":"module","doc":""},{"ref":"DocuSign.Model.BillingPaymentRequest.html#t:t/0","title":"DocuSign.Model.BillingPaymentRequest.t/0","module":"DocuSign.Model.BillingPaymentRequest","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPaymentResponse.html","title":"DocuSign.Model.BillingPaymentResponse","module":"DocuSign.Model.BillingPaymentResponse","type":"module","doc":"Defines an billing payment response object."},{"ref":"DocuSign.Model.BillingPaymentResponse.html#t:t/0","title":"DocuSign.Model.BillingPaymentResponse.t/0","module":"DocuSign.Model.BillingPaymentResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPaymentsResponse.html","title":"DocuSign.Model.BillingPaymentsResponse","module":"DocuSign.Model.BillingPaymentsResponse","type":"module","doc":"Defines a billing payments response object."},{"ref":"DocuSign.Model.BillingPaymentsResponse.html#t:t/0","title":"DocuSign.Model.BillingPaymentsResponse.t/0","module":"DocuSign.Model.BillingPaymentsResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlan.html","title":"DocuSign.Model.BillingPlan","module":"DocuSign.Model.BillingPlan","type":"module","doc":"Contains information about a billing plan."},{"ref":"DocuSign.Model.BillingPlan.html#t:t/0","title":"DocuSign.Model.BillingPlan.t/0","module":"DocuSign.Model.BillingPlan","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlanInformation.html","title":"DocuSign.Model.BillingPlanInformation","module":"DocuSign.Model.BillingPlanInformation","type":"module","doc":""},{"ref":"DocuSign.Model.BillingPlanInformation.html#t:t/0","title":"DocuSign.Model.BillingPlanInformation.t/0","module":"DocuSign.Model.BillingPlanInformation","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlanPreview.html","title":"DocuSign.Model.BillingPlanPreview","module":"DocuSign.Model.BillingPlanPreview","type":"module","doc":"Contains information about a preview billing plan."},{"ref":"DocuSign.Model.BillingPlanPreview.html#t:t/0","title":"DocuSign.Model.BillingPlanPreview.t/0","module":"DocuSign.Model.BillingPlanPreview","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlanResponse.html","title":"DocuSign.Model.BillingPlanResponse","module":"DocuSign.Model.BillingPlanResponse","type":"module","doc":"Defines a billing plan response object."},{"ref":"DocuSign.Model.BillingPlanResponse.html#t:t/0","title":"DocuSign.Model.BillingPlanResponse.t/0","module":"DocuSign.Model.BillingPlanResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlanUpdateResponse.html","title":"DocuSign.Model.BillingPlanUpdateResponse","module":"DocuSign.Model.BillingPlanUpdateResponse","type":"module","doc":"Defines a billing plan update response object."},{"ref":"DocuSign.Model.BillingPlanUpdateResponse.html#t:t/0","title":"DocuSign.Model.BillingPlanUpdateResponse.t/0","module":"DocuSign.Model.BillingPlanUpdateResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlans.html","title":"DocuSign.Model.BillingPlans","module":"DocuSign.Model.BillingPlans","type":"module","doc":"Billing plans"},{"ref":"DocuSign.Model.BillingPlans.html#t:t/0","title":"DocuSign.Model.BillingPlans.t/0","module":"DocuSign.Model.BillingPlans","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPlansResponse.html","title":"DocuSign.Model.BillingPlansResponse","module":"DocuSign.Model.BillingPlansResponse","type":"module","doc":"Defines a billing plans response object."},{"ref":"DocuSign.Model.BillingPlansResponse.html#t:t/0","title":"DocuSign.Model.BillingPlansResponse.t/0","module":"DocuSign.Model.BillingPlansResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BillingPrice.html","title":"DocuSign.Model.BillingPrice","module":"DocuSign.Model.BillingPrice","type":"module","doc":""},{"ref":"DocuSign.Model.BillingPrice.html#t:t/0","title":"DocuSign.Model.BillingPrice.t/0","module":"DocuSign.Model.BillingPrice","type":"type","doc":""},{"ref":"DocuSign.Model.Brand.html","title":"DocuSign.Model.Brand","module":"DocuSign.Model.Brand","type":"module","doc":""},{"ref":"DocuSign.Model.Brand.html#t:t/0","title":"DocuSign.Model.Brand.t/0","module":"DocuSign.Model.Brand","type":"type","doc":""},{"ref":"DocuSign.Model.BrandEmailContent.html","title":"DocuSign.Model.BrandEmailContent","module":"DocuSign.Model.BrandEmailContent","type":"module","doc":""},{"ref":"DocuSign.Model.BrandEmailContent.html#t:t/0","title":"DocuSign.Model.BrandEmailContent.t/0","module":"DocuSign.Model.BrandEmailContent","type":"type","doc":""},{"ref":"DocuSign.Model.BrandLink.html","title":"DocuSign.Model.BrandLink","module":"DocuSign.Model.BrandLink","type":"module","doc":""},{"ref":"DocuSign.Model.BrandLink.html#t:t/0","title":"DocuSign.Model.BrandLink.t/0","module":"DocuSign.Model.BrandLink","type":"type","doc":""},{"ref":"DocuSign.Model.BrandLogos.html","title":"DocuSign.Model.BrandLogos","module":"DocuSign.Model.BrandLogos","type":"module","doc":""},{"ref":"DocuSign.Model.BrandLogos.html#t:t/0","title":"DocuSign.Model.BrandLogos.t/0","module":"DocuSign.Model.BrandLogos","type":"type","doc":""},{"ref":"DocuSign.Model.BrandRequest.html","title":"DocuSign.Model.BrandRequest","module":"DocuSign.Model.BrandRequest","type":"module","doc":""},{"ref":"DocuSign.Model.BrandRequest.html#t:t/0","title":"DocuSign.Model.BrandRequest.t/0","module":"DocuSign.Model.BrandRequest","type":"type","doc":""},{"ref":"DocuSign.Model.BrandResourceUrls.html","title":"DocuSign.Model.BrandResourceUrls","module":"DocuSign.Model.BrandResourceUrls","type":"module","doc":""},{"ref":"DocuSign.Model.BrandResourceUrls.html#t:t/0","title":"DocuSign.Model.BrandResourceUrls.t/0","module":"DocuSign.Model.BrandResourceUrls","type":"type","doc":""},{"ref":"DocuSign.Model.BrandResources.html","title":"DocuSign.Model.BrandResources","module":"DocuSign.Model.BrandResources","type":"module","doc":""},{"ref":"DocuSign.Model.BrandResources.html#t:t/0","title":"DocuSign.Model.BrandResources.t/0","module":"DocuSign.Model.BrandResources","type":"type","doc":""},{"ref":"DocuSign.Model.BrandResourcesList.html","title":"DocuSign.Model.BrandResourcesList","module":"DocuSign.Model.BrandResourcesList","type":"module","doc":""},{"ref":"DocuSign.Model.BrandResourcesList.html#t:t/0","title":"DocuSign.Model.BrandResourcesList.t/0","module":"DocuSign.Model.BrandResourcesList","type":"type","doc":""},{"ref":"DocuSign.Model.BrandsRequest.html","title":"DocuSign.Model.BrandsRequest","module":"DocuSign.Model.BrandsRequest","type":"module","doc":""},{"ref":"DocuSign.Model.BrandsRequest.html#t:t/0","title":"DocuSign.Model.BrandsRequest.t/0","module":"DocuSign.Model.BrandsRequest","type":"type","doc":""},{"ref":"DocuSign.Model.BulkEnvelope.html","title":"DocuSign.Model.BulkEnvelope","module":"DocuSign.Model.BulkEnvelope","type":"module","doc":""},{"ref":"DocuSign.Model.BulkEnvelope.html#t:t/0","title":"DocuSign.Model.BulkEnvelope.t/0","module":"DocuSign.Model.BulkEnvelope","type":"type","doc":""},{"ref":"DocuSign.Model.BulkEnvelopeStatus.html","title":"DocuSign.Model.BulkEnvelopeStatus","module":"DocuSign.Model.BulkEnvelopeStatus","type":"module","doc":""},{"ref":"DocuSign.Model.BulkEnvelopeStatus.html#t:t/0","title":"DocuSign.Model.BulkEnvelopeStatus.t/0","module":"DocuSign.Model.BulkEnvelopeStatus","type":"type","doc":""},{"ref":"DocuSign.Model.BulkEnvelopes.html","title":"DocuSign.Model.BulkEnvelopes","module":"DocuSign.Model.BulkEnvelopes","type":"module","doc":"Bulk envelopes"},{"ref":"DocuSign.Model.BulkEnvelopes.html#t:t/0","title":"DocuSign.Model.BulkEnvelopes.t/0","module":"DocuSign.Model.BulkEnvelopes","type":"type","doc":""},{"ref":"DocuSign.Model.BulkRecipient.html","title":"DocuSign.Model.BulkRecipient","module":"DocuSign.Model.BulkRecipient","type":"module","doc":""},{"ref":"DocuSign.Model.BulkRecipient.html#t:t/0","title":"DocuSign.Model.BulkRecipient.t/0","module":"DocuSign.Model.BulkRecipient","type":"type","doc":""},{"ref":"DocuSign.Model.BulkRecipientSignatureProvider.html","title":"DocuSign.Model.BulkRecipientSignatureProvider","module":"DocuSign.Model.BulkRecipientSignatureProvider","type":"module","doc":""},{"ref":"DocuSign.Model.BulkRecipientSignatureProvider.html#t:t/0","title":"DocuSign.Model.BulkRecipientSignatureProvider.t/0","module":"DocuSign.Model.BulkRecipientSignatureProvider","type":"type","doc":""},{"ref":"DocuSign.Model.BulkRecipientTabLabel.html","title":"DocuSign.Model.BulkRecipientTabLabel","module":"DocuSign.Model.BulkRecipientTabLabel","type":"module","doc":""},{"ref":"DocuSign.Model.BulkRecipientTabLabel.html#t:t/0","title":"DocuSign.Model.BulkRecipientTabLabel.t/0","module":"DocuSign.Model.BulkRecipientTabLabel","type":"type","doc":""},{"ref":"DocuSign.Model.BulkRecipientsRequest.html","title":"DocuSign.Model.BulkRecipientsRequest","module":"DocuSign.Model.BulkRecipientsRequest","type":"module","doc":""},{"ref":"DocuSign.Model.BulkRecipientsRequest.html#t:t/0","title":"DocuSign.Model.BulkRecipientsRequest.t/0","module":"DocuSign.Model.BulkRecipientsRequest","type":"type","doc":""},{"ref":"DocuSign.Model.BulkRecipientsSummaryResponse.html","title":"DocuSign.Model.BulkRecipientsSummaryResponse","module":"DocuSign.Model.BulkRecipientsSummaryResponse","type":"module","doc":""},{"ref":"DocuSign.Model.BulkRecipientsSummaryResponse.html#t:t/0","title":"DocuSign.Model.BulkRecipientsSummaryResponse.t/0","module":"DocuSign.Model.BulkRecipientsSummaryResponse","type":"type","doc":""},{"ref":"DocuSign.Model.BulkRecipientsUpdateResponse.html","title":"DocuSign.Model.BulkRecipientsUpdateResponse","module":"DocuSign.Model.BulkRecipientsUpdateResponse","type":"module","doc":""},{"ref":"DocuSign.Model.BulkRecipientsUpdateResponse.html#t:t/0","title":"DocuSign.Model.BulkRecipientsUpdateResponse.t/0","module":"DocuSign.Model.BulkRecipientsUpdateResponse","type":"type","doc":""},{"ref":"DocuSign.Model.CaptiveRecipient.html","title":"DocuSign.Model.CaptiveRecipient","module":"DocuSign.Model.CaptiveRecipient","type":"module","doc":""},{"ref":"DocuSign.Model.CaptiveRecipient.html#t:t/0","title":"DocuSign.Model.CaptiveRecipient.t/0","module":"DocuSign.Model.CaptiveRecipient","type":"type","doc":""},{"ref":"DocuSign.Model.CaptiveRecipientInformation.html","title":"DocuSign.Model.CaptiveRecipientInformation","module":"DocuSign.Model.CaptiveRecipientInformation","type":"module","doc":""},{"ref":"DocuSign.Model.CaptiveRecipientInformation.html#t:t/0","title":"DocuSign.Model.CaptiveRecipientInformation.t/0","module":"DocuSign.Model.CaptiveRecipientInformation","type":"type","doc":""},{"ref":"DocuSign.Model.CarbonCopy.html","title":"DocuSign.Model.CarbonCopy","module":"DocuSign.Model.CarbonCopy","type":"module","doc":""},{"ref":"DocuSign.Model.CarbonCopy.html#t:t/0","title":"DocuSign.Model.CarbonCopy.t/0","module":"DocuSign.Model.CarbonCopy","type":"type","doc":""},{"ref":"DocuSign.Model.CertifiedDelivery.html","title":"DocuSign.Model.CertifiedDelivery","module":"DocuSign.Model.CertifiedDelivery","type":"module","doc":""},{"ref":"DocuSign.Model.CertifiedDelivery.html#t:t/0","title":"DocuSign.Model.CertifiedDelivery.t/0","module":"DocuSign.Model.CertifiedDelivery","type":"type","doc":""},{"ref":"DocuSign.Model.Checkbox.html","title":"DocuSign.Model.Checkbox","module":"DocuSign.Model.Checkbox","type":"module","doc":"A tab that allows the recipient to select a yes/no (on/off) option."},{"ref":"DocuSign.Model.Checkbox.html#t:t/0","title":"DocuSign.Model.Checkbox.t/0","module":"DocuSign.Model.Checkbox","type":"type","doc":""},{"ref":"DocuSign.Model.ChunkedUploadPart.html","title":"DocuSign.Model.ChunkedUploadPart","module":"DocuSign.Model.ChunkedUploadPart","type":"module","doc":""},{"ref":"DocuSign.Model.ChunkedUploadPart.html#t:t/0","title":"DocuSign.Model.ChunkedUploadPart.t/0","module":"DocuSign.Model.ChunkedUploadPart","type":"type","doc":""},{"ref":"DocuSign.Model.ChunkedUploadRequest.html","title":"DocuSign.Model.ChunkedUploadRequest","module":"DocuSign.Model.ChunkedUploadRequest","type":"module","doc":""},{"ref":"DocuSign.Model.ChunkedUploadRequest.html#t:t/0","title":"DocuSign.Model.ChunkedUploadRequest.t/0","module":"DocuSign.Model.ChunkedUploadRequest","type":"type","doc":""},{"ref":"DocuSign.Model.ChunkedUploads.html","title":"DocuSign.Model.ChunkedUploads","module":"DocuSign.Model.ChunkedUploads","type":"module","doc":"Chunked Uploads resource"},{"ref":"DocuSign.Model.ChunkedUploads.html#t:t/0","title":"DocuSign.Model.ChunkedUploads.t/0","module":"DocuSign.Model.ChunkedUploads","type":"type","doc":""},{"ref":"DocuSign.Model.CloudStorage.html","title":"DocuSign.Model.CloudStorage","module":"DocuSign.Model.CloudStorage","type":"module","doc":"Cloud storage"},{"ref":"DocuSign.Model.CloudStorage.html#t:t/0","title":"DocuSign.Model.CloudStorage.t/0","module":"DocuSign.Model.CloudStorage","type":"type","doc":""},{"ref":"DocuSign.Model.CloudStorageProvider.html","title":"DocuSign.Model.CloudStorageProvider","module":"DocuSign.Model.CloudStorageProvider","type":"module","doc":""},{"ref":"DocuSign.Model.CloudStorageProvider.html#t:t/0","title":"DocuSign.Model.CloudStorageProvider.t/0","module":"DocuSign.Model.CloudStorageProvider","type":"type","doc":""},{"ref":"DocuSign.Model.CloudStorageProviders.html","title":"DocuSign.Model.CloudStorageProviders","module":"DocuSign.Model.CloudStorageProviders","type":"module","doc":"Cloud storage providers"},{"ref":"DocuSign.Model.CloudStorageProviders.html#t:t/0","title":"DocuSign.Model.CloudStorageProviders.t/0","module":"DocuSign.Model.CloudStorageProviders","type":"type","doc":""},{"ref":"DocuSign.Model.Company.html","title":"DocuSign.Model.Company","module":"DocuSign.Model.Company","type":"module","doc":"A tab that displays the recipient&#39;s company name."},{"ref":"DocuSign.Model.Company.html#t:t/0","title":"DocuSign.Model.Company.t/0","module":"DocuSign.Model.Company","type":"type","doc":""},{"ref":"DocuSign.Model.CompositeTemplate.html","title":"DocuSign.Model.CompositeTemplate","module":"DocuSign.Model.CompositeTemplate","type":"module","doc":""},{"ref":"DocuSign.Model.CompositeTemplate.html#t:t/0","title":"DocuSign.Model.CompositeTemplate.t/0","module":"DocuSign.Model.CompositeTemplate","type":"type","doc":""},{"ref":"DocuSign.Model.ConciergeQueryRequest.html","title":"DocuSign.Model.ConciergeQueryRequest","module":"DocuSign.Model.ConciergeQueryRequest","type":"module","doc":""},{"ref":"DocuSign.Model.ConciergeQueryRequest.html#t:t/0","title":"DocuSign.Model.ConciergeQueryRequest.t/0","module":"DocuSign.Model.ConciergeQueryRequest","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectConfigResults.html","title":"DocuSign.Model.ConnectConfigResults","module":"DocuSign.Model.ConnectConfigResults","type":"module","doc":""},{"ref":"DocuSign.Model.ConnectConfigResults.html#t:t/0","title":"DocuSign.Model.ConnectConfigResults.t/0","module":"DocuSign.Model.ConnectConfigResults","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectConfigurations.html","title":"DocuSign.Model.ConnectConfigurations","module":"DocuSign.Model.ConnectConfigurations","type":"module","doc":"Connect configurations"},{"ref":"DocuSign.Model.ConnectConfigurations.html#t:t/0","title":"DocuSign.Model.ConnectConfigurations.t/0","module":"DocuSign.Model.ConnectConfigurations","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectDebugLog.html","title":"DocuSign.Model.ConnectDebugLog","module":"DocuSign.Model.ConnectDebugLog","type":"module","doc":""},{"ref":"DocuSign.Model.ConnectDebugLog.html#t:t/0","title":"DocuSign.Model.ConnectDebugLog.t/0","module":"DocuSign.Model.ConnectDebugLog","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectEvents.html","title":"DocuSign.Model.ConnectEvents","module":"DocuSign.Model.ConnectEvents","type":"module","doc":"Connect event logging"},{"ref":"DocuSign.Model.ConnectEvents.html#t:t/0","title":"DocuSign.Model.ConnectEvents.t/0","module":"DocuSign.Model.ConnectEvents","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectFailureFilter.html","title":"DocuSign.Model.ConnectFailureFilter","module":"DocuSign.Model.ConnectFailureFilter","type":"module","doc":""},{"ref":"DocuSign.Model.ConnectFailureFilter.html#t:t/0","title":"DocuSign.Model.ConnectFailureFilter.t/0","module":"DocuSign.Model.ConnectFailureFilter","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectFailureResult.html","title":"DocuSign.Model.ConnectFailureResult","module":"DocuSign.Model.ConnectFailureResult","type":"module","doc":""},{"ref":"DocuSign.Model.ConnectFailureResult.html#t:t/0","title":"DocuSign.Model.ConnectFailureResult.t/0","module":"DocuSign.Model.ConnectFailureResult","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectFailureResults.html","title":"DocuSign.Model.ConnectFailureResults","module":"DocuSign.Model.ConnectFailureResults","type":"module","doc":""},{"ref":"DocuSign.Model.ConnectFailureResults.html#t:t/0","title":"DocuSign.Model.ConnectFailureResults.t/0","module":"DocuSign.Model.ConnectFailureResults","type":"type","doc":""},{"ref":"DocuSign.Model.ConnectLog.html","title":"DocuSign.Model.ConnectLog","module":"DocuSign.Model.ConnectLog","type":"module","doc":""},{"ref":"DocuSign.Model.ConnectLog.html#t:t/0","title":"DocuSign.Model.ConnectLog.t/0","module":"DocuSign.Model.ConnectLog","type":"type","doc":""},{"ref":"DocuSign.Model.ConsoleViewRequest.html","title":"DocuSign.Model.ConsoleViewRequest","module":"DocuSign.Model.ConsoleViewRequest","type":"module","doc":""},{"ref":"DocuSign.Model.ConsoleViewRequest.html#t:t/0","title":"DocuSign.Model.ConsoleViewRequest.t/0","module":"DocuSign.Model.ConsoleViewRequest","type":"type","doc":""},{"ref":"DocuSign.Model.ContactGetResponse.html","title":"DocuSign.Model.ContactGetResponse","module":"DocuSign.Model.ContactGetResponse","type":"module","doc":""},{"ref":"DocuSign.Model.ContactGetResponse.html#t:t/0","title":"DocuSign.Model.ContactGetResponse.t/0","module":"DocuSign.Model.ContactGetResponse","type":"type","doc":""},{"ref":"DocuSign.Model.ContactModRequest.html","title":"DocuSign.Model.ContactModRequest","module":"DocuSign.Model.ContactModRequest","type":"module","doc":""},{"ref":"DocuSign.Model.ContactModRequest.html#t:t/0","title":"DocuSign.Model.ContactModRequest.t/0","module":"DocuSign.Model.ContactModRequest","type":"type","doc":""},{"ref":"DocuSign.Model.ContactPhoneNumber.html","title":"DocuSign.Model.ContactPhoneNumber","module":"DocuSign.Model.ContactPhoneNumber","type":"module","doc":""},{"ref":"DocuSign.Model.ContactPhoneNumber.html#t:t/0","title":"DocuSign.Model.ContactPhoneNumber.t/0","module":"DocuSign.Model.ContactPhoneNumber","type":"type","doc":""},{"ref":"DocuSign.Model.ContactUpdateResponse.html","title":"DocuSign.Model.ContactUpdateResponse","module":"DocuSign.Model.ContactUpdateResponse","type":"module","doc":""},{"ref":"DocuSign.Model.ContactUpdateResponse.html#t:t/0","title":"DocuSign.Model.ContactUpdateResponse.t/0","module":"DocuSign.Model.ContactUpdateResponse","type":"type","doc":""},{"ref":"DocuSign.Model.Contacts.html","title":"DocuSign.Model.Contacts","module":"DocuSign.Model.Contacts","type":"module","doc":""},{"ref":"DocuSign.Model.Contacts.html#t:t/0","title":"DocuSign.Model.Contacts.t/0","module":"DocuSign.Model.Contacts","type":"type","doc":""},{"ref":"DocuSign.Model.CorrectViewRequest.html","title":"DocuSign.Model.CorrectViewRequest","module":"DocuSign.Model.CorrectViewRequest","type":"module","doc":""},{"ref":"DocuSign.Model.CorrectViewRequest.html#t:t/0","title":"DocuSign.Model.CorrectViewRequest.t/0","module":"DocuSign.Model.CorrectViewRequest","type":"type","doc":""},{"ref":"DocuSign.Model.Country.html","title":"DocuSign.Model.Country","module":"DocuSign.Model.Country","type":"module","doc":""},{"ref":"DocuSign.Model.Country.html#t:t/0","title":"DocuSign.Model.Country.t/0","module":"DocuSign.Model.Country","type":"type","doc":""},{"ref":"DocuSign.Model.CreditCardInformation.html","title":"DocuSign.Model.CreditCardInformation","module":"DocuSign.Model.CreditCardInformation","type":"module","doc":""},{"ref":"DocuSign.Model.CreditCardInformation.html#t:t/0","title":"DocuSign.Model.CreditCardInformation.t/0","module":"DocuSign.Model.CreditCardInformation","type":"type","doc":""},{"ref":"DocuSign.Model.CreditCardTypes.html","title":"DocuSign.Model.CreditCardTypes","module":"DocuSign.Model.CreditCardTypes","type":"module","doc":""},{"ref":"DocuSign.Model.CreditCardTypes.html#t:t/0","title":"DocuSign.Model.CreditCardTypes.t/0","module":"DocuSign.Model.CreditCardTypes","type":"type","doc":""},{"ref":"DocuSign.Model.CurrencyFeatureSetPrice.html","title":"DocuSign.Model.CurrencyFeatureSetPrice","module":"DocuSign.Model.CurrencyFeatureSetPrice","type":"module","doc":""},{"ref":"DocuSign.Model.CurrencyFeatureSetPrice.html#t:t/0","title":"DocuSign.Model.CurrencyFeatureSetPrice.t/0","module":"DocuSign.Model.CurrencyFeatureSetPrice","type":"type","doc":""},{"ref":"DocuSign.Model.CurrencyPlanPrice.html","title":"DocuSign.Model.CurrencyPlanPrice","module":"DocuSign.Model.CurrencyPlanPrice","type":"module","doc":""},{"ref":"DocuSign.Model.CurrencyPlanPrice.html#t:t/0","title":"DocuSign.Model.CurrencyPlanPrice.t/0","module":"DocuSign.Model.CurrencyPlanPrice","type":"type","doc":""},{"ref":"DocuSign.Model.CustomField.html","title":"DocuSign.Model.CustomField","module":"DocuSign.Model.CustomField","type":"module","doc":""},{"ref":"DocuSign.Model.CustomField.html#t:t/0","title":"DocuSign.Model.CustomField.t/0","module":"DocuSign.Model.CustomField","type":"type","doc":""},{"ref":"DocuSign.Model.CustomFieldV2.html","title":"DocuSign.Model.CustomFieldV2","module":"DocuSign.Model.CustomFieldV2","type":"module","doc":""},{"ref":"DocuSign.Model.CustomFieldV2.html#t:t/0","title":"DocuSign.Model.CustomFieldV2.t/0","module":"DocuSign.Model.CustomFieldV2","type":"type","doc":""},{"ref":"DocuSign.Model.CustomFieldsEnvelope.html","title":"DocuSign.Model.CustomFieldsEnvelope","module":"DocuSign.Model.CustomFieldsEnvelope","type":"module","doc":""},{"ref":"DocuSign.Model.CustomFieldsEnvelope.html#t:t/0","title":"DocuSign.Model.CustomFieldsEnvelope.t/0","module":"DocuSign.Model.CustomFieldsEnvelope","type":"type","doc":""},{"ref":"DocuSign.Model.CustomTabs.html","title":"DocuSign.Model.CustomTabs","module":"DocuSign.Model.CustomTabs","type":"module","doc":"Custom tabs"},{"ref":"DocuSign.Model.CustomTabs.html#t:t/0","title":"DocuSign.Model.CustomTabs.t/0","module":"DocuSign.Model.CustomTabs","type":"type","doc":""},{"ref":"DocuSign.Model.Date.html","title":"DocuSign.Model.Date","module":"DocuSign.Model.Date","type":"module","doc":"A tab that allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, DocuSign recommends using a Text tab with a validation pattern and a validation message to enforce the format."},{"ref":"DocuSign.Model.Date.html#t:t/0","title":"DocuSign.Model.Date.t/0","module":"DocuSign.Model.Date","type":"type","doc":""},{"ref":"DocuSign.Model.DateSigned.html","title":"DocuSign.Model.DateSigned","module":"DocuSign.Model.DateSigned","type":"module","doc":"A tab that displays the date that the recipient signed the document."},{"ref":"DocuSign.Model.DateSigned.html#t:t/0","title":"DocuSign.Model.DateSigned.t/0","module":"DocuSign.Model.DateSigned","type":"type","doc":""},{"ref":"DocuSign.Model.DateStampProperties.html","title":"DocuSign.Model.DateStampProperties","module":"DocuSign.Model.DateStampProperties","type":"module","doc":""},{"ref":"DocuSign.Model.DateStampProperties.html#t:t/0","title":"DocuSign.Model.DateStampProperties.t/0","module":"DocuSign.Model.DateStampProperties","type":"type","doc":""},{"ref":"DocuSign.Model.Decline.html","title":"DocuSign.Model.Decline","module":"DocuSign.Model.Decline","type":"module","doc":"A tab that allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided."},{"ref":"DocuSign.Model.Decline.html#t:t/0","title":"DocuSign.Model.Decline.t/0","module":"DocuSign.Model.Decline","type":"type","doc":""},{"ref":"DocuSign.Model.DobInformationInput.html","title":"DocuSign.Model.DobInformationInput","module":"DocuSign.Model.DobInformationInput","type":"module","doc":"Complex type containing: dateOfBirth displayLevelCode * receiveInResponse"},{"ref":"DocuSign.Model.DobInformationInput.html#t:t/0","title":"DocuSign.Model.DobInformationInput.t/0","module":"DocuSign.Model.DobInformationInput","type":"type","doc":""},{"ref":"DocuSign.Model.Document.html","title":"DocuSign.Model.Document","module":"DocuSign.Model.Document","type":"module","doc":"A document object."},{"ref":"DocuSign.Model.Document.html#t:t/0","title":"DocuSign.Model.Document.t/0","module":"DocuSign.Model.Document","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings","module":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html#t:t/0","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.t/0","module":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDefinition.html","title":"DocuSign.Model.DocumentHtmlDefinition","module":"DocuSign.Model.DocumentHtmlDefinition","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDefinition.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDefinition.t/0","module":"DocuSign.Model.DocumentHtmlDefinition","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDefinitions.html","title":"DocuSign.Model.DocumentHtmlDefinitions","module":"DocuSign.Model.DocumentHtmlDefinitions","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDefinitions.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDefinitions.t/0","module":"DocuSign.Model.DocumentHtmlDefinitions","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html","title":"DocuSign.Model.DocumentHtmlDisplayAnchor","module":"DocuSign.Model.DocumentHtmlDisplayAnchor","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDisplayAnchor.t/0","module":"DocuSign.Model.DocumentHtmlDisplayAnchor","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html","title":"DocuSign.Model.DocumentHtmlDisplaySettings","module":"DocuSign.Model.DocumentHtmlDisplaySettings","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDisplaySettings.t/0","module":"DocuSign.Model.DocumentHtmlDisplaySettings","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentTemplate.html","title":"DocuSign.Model.DocumentTemplate","module":"DocuSign.Model.DocumentTemplate","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentTemplate.html#t:t/0","title":"DocuSign.Model.DocumentTemplate.t/0","module":"DocuSign.Model.DocumentTemplate","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentTemplateList.html","title":"DocuSign.Model.DocumentTemplateList","module":"DocuSign.Model.DocumentTemplateList","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentTemplateList.html#t:t/0","title":"DocuSign.Model.DocumentTemplateList.t/0","module":"DocuSign.Model.DocumentTemplateList","type":"type","doc":""},{"ref":"DocuSign.Model.DocumentVisibility.html","title":"DocuSign.Model.DocumentVisibility","module":"DocuSign.Model.DocumentVisibility","type":"module","doc":""},{"ref":"DocuSign.Model.DocumentVisibility.html#t:t/0","title":"DocuSign.Model.DocumentVisibility.t/0","module":"DocuSign.Model.DocumentVisibility","type":"type","doc":""},{"ref":"DocuSign.Model.ENoteConfigurations.html","title":"DocuSign.Model.ENoteConfigurations","module":"DocuSign.Model.ENoteConfigurations","type":"module","doc":""},{"ref":"DocuSign.Model.ENoteConfigurations.html#t:t/0","title":"DocuSign.Model.ENoteConfigurations.t/0","module":"DocuSign.Model.ENoteConfigurations","type":"type","doc":""},{"ref":"DocuSign.Model.Editor.html","title":"DocuSign.Model.Editor","module":"DocuSign.Model.Editor","type":"module","doc":""},{"ref":"DocuSign.Model.Editor.html#t:t/0","title":"DocuSign.Model.Editor.t/0","module":"DocuSign.Model.Editor","type":"type","doc":""},{"ref":"DocuSign.Model.Email.html","title":"DocuSign.Model.Email","module":"DocuSign.Model.Email","type":"module","doc":"A tab that allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information. When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response."},{"ref":"DocuSign.Model.Email.html#t:t/0","title":"DocuSign.Model.Email.t/0","module":"DocuSign.Model.Email","type":"type","doc":""},{"ref":"DocuSign.Model.EmailAddress.html","title":"DocuSign.Model.EmailAddress","module":"DocuSign.Model.EmailAddress","type":"module","doc":"A tab that displays the recipient&#39;s email as entered in the recipient information."},{"ref":"DocuSign.Model.EmailAddress.html#t:t/0","title":"DocuSign.Model.EmailAddress.t/0","module":"DocuSign.Model.EmailAddress","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeAttachments.html","title":"DocuSign.Model.EnvelopeAttachments","module":"DocuSign.Model.EnvelopeAttachments","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeAttachments.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachments.t/0","module":"DocuSign.Model.EnvelopeAttachments","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html","title":"DocuSign.Model.EnvelopeAttachmentsRequest","module":"DocuSign.Model.EnvelopeAttachmentsRequest","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachmentsRequest.t/0","module":"DocuSign.Model.EnvelopeAttachmentsRequest","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeAttachmentsResult.html","title":"DocuSign.Model.EnvelopeAttachmentsResult","module":"DocuSign.Model.EnvelopeAttachmentsResult","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeAttachmentsResult.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachmentsResult.t/0","module":"DocuSign.Model.EnvelopeAttachmentsResult","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeAuditEvent.html","title":"DocuSign.Model.EnvelopeAuditEvent","module":"DocuSign.Model.EnvelopeAuditEvent","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeAuditEvent.html#t:t/0","title":"DocuSign.Model.EnvelopeAuditEvent.t/0","module":"DocuSign.Model.EnvelopeAuditEvent","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeAuditEventResponse.html","title":"DocuSign.Model.EnvelopeAuditEventResponse","module":"DocuSign.Model.EnvelopeAuditEventResponse","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeAuditEventResponse.html#t:t/0","title":"DocuSign.Model.EnvelopeAuditEventResponse.t/0","module":"DocuSign.Model.EnvelopeAuditEventResponse","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeBulkRecipients.html","title":"DocuSign.Model.EnvelopeBulkRecipients","module":"DocuSign.Model.EnvelopeBulkRecipients","type":"module","doc":"Envelope bulk recipients"},{"ref":"DocuSign.Model.EnvelopeBulkRecipients.html#t:t/0","title":"DocuSign.Model.EnvelopeBulkRecipients.t/0","module":"DocuSign.Model.EnvelopeBulkRecipients","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html","title":"DocuSign.Model.EnvelopeConsumerDisclosures","module":"DocuSign.Model.EnvelopeConsumerDisclosures","type":"module","doc":"Envelope consumer disclosures"},{"ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html#t:t/0","title":"DocuSign.Model.EnvelopeConsumerDisclosures.t/0","module":"DocuSign.Model.EnvelopeConsumerDisclosures","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeCustomFields.html","title":"DocuSign.Model.EnvelopeCustomFields","module":"DocuSign.Model.EnvelopeCustomFields","type":"module","doc":"Envelope custom fields"},{"ref":"DocuSign.Model.EnvelopeCustomFields.html#t:t/0","title":"DocuSign.Model.EnvelopeCustomFields.t/0","module":"DocuSign.Model.EnvelopeCustomFields","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeDefinition.html","title":"DocuSign.Model.EnvelopeDefinition","module":"DocuSign.Model.EnvelopeDefinition","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeDefinition.html#t:t/0","title":"DocuSign.Model.EnvelopeDefinition.t/0","module":"DocuSign.Model.EnvelopeDefinition","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeDocument.html","title":"DocuSign.Model.EnvelopeDocument","module":"DocuSign.Model.EnvelopeDocument","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeDocument.html#t:t/0","title":"DocuSign.Model.EnvelopeDocument.t/0","module":"DocuSign.Model.EnvelopeDocument","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeDocumentFields.html","title":"DocuSign.Model.EnvelopeDocumentFields","module":"DocuSign.Model.EnvelopeDocumentFields","type":"module","doc":"Envelope document fields"},{"ref":"DocuSign.Model.EnvelopeDocumentFields.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentFields.t/0","module":"DocuSign.Model.EnvelopeDocumentFields","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeDocumentTabs.html","title":"DocuSign.Model.EnvelopeDocumentTabs","module":"DocuSign.Model.EnvelopeDocumentTabs","type":"module","doc":"Envelope Document Tabs resource"},{"ref":"DocuSign.Model.EnvelopeDocumentTabs.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentTabs.t/0","module":"DocuSign.Model.EnvelopeDocumentTabs","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeDocumentVisibility.html","title":"DocuSign.Model.EnvelopeDocumentVisibility","module":"DocuSign.Model.EnvelopeDocumentVisibility","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeDocumentVisibility.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentVisibility.t/0","module":"DocuSign.Model.EnvelopeDocumentVisibility","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeDocuments.html","title":"DocuSign.Model.EnvelopeDocuments","module":"DocuSign.Model.EnvelopeDocuments","type":"module","doc":"Envelope documents"},{"ref":"DocuSign.Model.EnvelopeDocuments.html#t:t/0","title":"DocuSign.Model.EnvelopeDocuments.t/0","module":"DocuSign.Model.EnvelopeDocuments","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeEmailSettings.html","title":"DocuSign.Model.EnvelopeEmailSettings","module":"DocuSign.Model.EnvelopeEmailSettings","type":"module","doc":"Envelope email settings"},{"ref":"DocuSign.Model.EnvelopeEmailSettings.html#t:t/0","title":"DocuSign.Model.EnvelopeEmailSettings.t/0","module":"DocuSign.Model.EnvelopeEmailSettings","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeEvent.html","title":"DocuSign.Model.EnvelopeEvent","module":"DocuSign.Model.EnvelopeEvent","type":"module","doc":"For which envelope events should your webhook be called?"},{"ref":"DocuSign.Model.EnvelopeEvent.html#t:t/0","title":"DocuSign.Model.EnvelopeEvent.t/0","module":"DocuSign.Model.EnvelopeEvent","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeFormData.html","title":"DocuSign.Model.EnvelopeFormData","module":"DocuSign.Model.EnvelopeFormData","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeFormData.html#t:t/0","title":"DocuSign.Model.EnvelopeFormData.t/0","module":"DocuSign.Model.EnvelopeFormData","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeId.html","title":"DocuSign.Model.EnvelopeId","module":"DocuSign.Model.EnvelopeId","type":"module","doc":"A tab that displays the envelope ID. Recipients cannot enter or change the information in this tab."},{"ref":"DocuSign.Model.EnvelopeId.html#t:t/0","title":"DocuSign.Model.EnvelopeId.t/0","module":"DocuSign.Model.EnvelopeId","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeIdsRequest.html","title":"DocuSign.Model.EnvelopeIdsRequest","module":"DocuSign.Model.EnvelopeIdsRequest","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeIdsRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeIdsRequest.t/0","module":"DocuSign.Model.EnvelopeIdsRequest","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeLocks.html","title":"DocuSign.Model.EnvelopeLocks","module":"DocuSign.Model.EnvelopeLocks","type":"module","doc":"Envelope locks"},{"ref":"DocuSign.Model.EnvelopeLocks.html#t:t/0","title":"DocuSign.Model.EnvelopeLocks.t/0","module":"DocuSign.Model.EnvelopeLocks","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeNotificationRequest.html","title":"DocuSign.Model.EnvelopeNotificationRequest","module":"DocuSign.Model.EnvelopeNotificationRequest","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeNotificationRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeNotificationRequest.t/0","module":"DocuSign.Model.EnvelopeNotificationRequest","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopePublishRequest.html","title":"DocuSign.Model.EnvelopePublishRequest","module":"DocuSign.Model.EnvelopePublishRequest","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopePublishRequest.html#t:t/0","title":"DocuSign.Model.EnvelopePublishRequest.t/0","module":"DocuSign.Model.EnvelopePublishRequest","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopePublishTransaction.html","title":"DocuSign.Model.EnvelopePublishTransaction","module":"DocuSign.Model.EnvelopePublishTransaction","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopePublishTransaction.html#t:t/0","title":"DocuSign.Model.EnvelopePublishTransaction.t/0","module":"DocuSign.Model.EnvelopePublishTransaction","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup","module":"DocuSign.Model.EnvelopePublishTransactionErrorRollup","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html#t:t/0","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.t/0","module":"DocuSign.Model.EnvelopePublishTransactionErrorRollup","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopePublishTransactionList.html","title":"DocuSign.Model.EnvelopePublishTransactionList","module":"DocuSign.Model.EnvelopePublishTransactionList","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopePublishTransactionList.html#t:t/0","title":"DocuSign.Model.EnvelopePublishTransactionList.t/0","module":"DocuSign.Model.EnvelopePublishTransactionList","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeRecipientTabs.html","title":"DocuSign.Model.EnvelopeRecipientTabs","module":"DocuSign.Model.EnvelopeRecipientTabs","type":"module","doc":"All of the tabs associated with a recipient. Each property is a list of a type of tab."},{"ref":"DocuSign.Model.EnvelopeRecipientTabs.html#t:t/0","title":"DocuSign.Model.EnvelopeRecipientTabs.t/0","module":"DocuSign.Model.EnvelopeRecipientTabs","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeRecipients.html","title":"DocuSign.Model.EnvelopeRecipients","module":"DocuSign.Model.EnvelopeRecipients","type":"module","doc":"Envelope recipients"},{"ref":"DocuSign.Model.EnvelopeRecipients.html#t:t/0","title":"DocuSign.Model.EnvelopeRecipients.t/0","module":"DocuSign.Model.EnvelopeRecipients","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeSummary.html","title":"DocuSign.Model.EnvelopeSummary","module":"DocuSign.Model.EnvelopeSummary","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeSummary.html#t:t/0","title":"DocuSign.Model.EnvelopeSummary.t/0","module":"DocuSign.Model.EnvelopeSummary","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeTemplateDefinition.html","title":"DocuSign.Model.EnvelopeTemplateDefinition","module":"DocuSign.Model.EnvelopeTemplateDefinition","type":"module","doc":"A complex element containing the following information: templateId: Unique identifier of the template. If this is not provided, DocuSign will generate a value. name: Name of the template. Maximum length: 100 characters. shared: When set to true, the template is shared with the Everyone group in the account. If false, the template is only shared with the Administrator group. password: Password, if the template is locked. description: Description of the template. Maximum Length: 500 characters. pageCount: Number of document pages in the template. folderName: The name of the folder the template is located in. folderId: The ID for the folder. owner: The userName, email, userId, userType, and userStatus for the template owner."},{"ref":"DocuSign.Model.EnvelopeTemplateDefinition.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplateDefinition.t/0","module":"DocuSign.Model.EnvelopeTemplateDefinition","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeTemplateResult.html","title":"DocuSign.Model.EnvelopeTemplateResult","module":"DocuSign.Model.EnvelopeTemplateResult","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeTemplateResult.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplateResult.t/0","module":"DocuSign.Model.EnvelopeTemplateResult","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeTemplateResults.html","title":"DocuSign.Model.EnvelopeTemplateResults","module":"DocuSign.Model.EnvelopeTemplateResults","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeTemplateResults.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplateResults.t/0","module":"DocuSign.Model.EnvelopeTemplateResults","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeTemplates.html","title":"DocuSign.Model.EnvelopeTemplates","module":"DocuSign.Model.EnvelopeTemplates","type":"module","doc":"Envelope templates"},{"ref":"DocuSign.Model.EnvelopeTemplates.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplates.t/0","module":"DocuSign.Model.EnvelopeTemplates","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeTransactionStatus.html","title":"DocuSign.Model.EnvelopeTransactionStatus","module":"DocuSign.Model.EnvelopeTransactionStatus","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeTransactionStatus.html#t:t/0","title":"DocuSign.Model.EnvelopeTransactionStatus.t/0","module":"DocuSign.Model.EnvelopeTransactionStatus","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeUpdateSummary.html","title":"DocuSign.Model.EnvelopeUpdateSummary","module":"DocuSign.Model.EnvelopeUpdateSummary","type":"module","doc":""},{"ref":"DocuSign.Model.EnvelopeUpdateSummary.html#t:t/0","title":"DocuSign.Model.EnvelopeUpdateSummary.t/0","module":"DocuSign.Model.EnvelopeUpdateSummary","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopeViews.html","title":"DocuSign.Model.EnvelopeViews","module":"DocuSign.Model.EnvelopeViews","type":"module","doc":"Embedding Envelope views"},{"ref":"DocuSign.Model.EnvelopeViews.html#t:t/0","title":"DocuSign.Model.EnvelopeViews.t/0","module":"DocuSign.Model.EnvelopeViews","type":"type","doc":""},{"ref":"DocuSign.Model.Envelopes.html","title":"DocuSign.Model.Envelopes","module":"DocuSign.Model.Envelopes","type":"module","doc":"Envelope creation, management"},{"ref":"DocuSign.Model.Envelopes.html#t:t/0","title":"DocuSign.Model.Envelopes.t/0","module":"DocuSign.Model.Envelopes","type":"type","doc":""},{"ref":"DocuSign.Model.EnvelopesInformation.html","title":"DocuSign.Model.EnvelopesInformation","module":"DocuSign.Model.EnvelopesInformation","type":"module","doc":"Result set for the Envelopes: listStatusChanges method"},{"ref":"DocuSign.Model.EnvelopesInformation.html#t:t/0","title":"DocuSign.Model.EnvelopesInformation.t/0","module":"DocuSign.Model.EnvelopesInformation","type":"type","doc":""},{"ref":"DocuSign.Model.ErrorDetails.html","title":"DocuSign.Model.ErrorDetails","module":"DocuSign.Model.ErrorDetails","type":"module","doc":"This object describes errors that occur. It is only valid for responses, and ignored in requests."},{"ref":"DocuSign.Model.ErrorDetails.html#t:t/0","title":"DocuSign.Model.ErrorDetails.t/0","module":"DocuSign.Model.ErrorDetails","type":"type","doc":""},{"ref":"DocuSign.Model.EventNotification.html","title":"DocuSign.Model.EventNotification","module":"DocuSign.Model.EventNotification","type":"module","doc":"Register a Connect webhook for a specific envelope"},{"ref":"DocuSign.Model.EventNotification.html#t:t/0","title":"DocuSign.Model.EventNotification.t/0","module":"DocuSign.Model.EventNotification","type":"type","doc":""},{"ref":"DocuSign.Model.EventResult.html","title":"DocuSign.Model.EventResult","module":"DocuSign.Model.EventResult","type":"module","doc":""},{"ref":"DocuSign.Model.EventResult.html#t:t/0","title":"DocuSign.Model.EventResult.t/0","module":"DocuSign.Model.EventResult","type":"type","doc":""},{"ref":"DocuSign.Model.Expirations.html","title":"DocuSign.Model.Expirations","module":"DocuSign.Model.Expirations","type":"module","doc":"A complex element that specifies the expiration settings for the envelope."},{"ref":"DocuSign.Model.Expirations.html#t:t/0","title":"DocuSign.Model.Expirations.t/0","module":"DocuSign.Model.Expirations","type":"type","doc":""},{"ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html","title":"DocuSign.Model.ExternalDocServiceErrorDetails","module":"DocuSign.Model.ExternalDocServiceErrorDetails","type":"module","doc":""},{"ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html#t:t/0","title":"DocuSign.Model.ExternalDocServiceErrorDetails.t/0","module":"DocuSign.Model.ExternalDocServiceErrorDetails","type":"type","doc":""},{"ref":"DocuSign.Model.ExternalFile.html","title":"DocuSign.Model.ExternalFile","module":"DocuSign.Model.ExternalFile","type":"module","doc":""},{"ref":"DocuSign.Model.ExternalFile.html#t:t/0","title":"DocuSign.Model.ExternalFile.t/0","module":"DocuSign.Model.ExternalFile","type":"type","doc":""},{"ref":"DocuSign.Model.FeatureSet.html","title":"DocuSign.Model.FeatureSet","module":"DocuSign.Model.FeatureSet","type":"module","doc":""},{"ref":"DocuSign.Model.FeatureSet.html#t:t/0","title":"DocuSign.Model.FeatureSet.t/0","module":"DocuSign.Model.FeatureSet","type":"type","doc":""},{"ref":"DocuSign.Model.FileType.html","title":"DocuSign.Model.FileType","module":"DocuSign.Model.FileType","type":"module","doc":""},{"ref":"DocuSign.Model.FileType.html#t:t/0","title":"DocuSign.Model.FileType.t/0","module":"DocuSign.Model.FileType","type":"type","doc":""},{"ref":"DocuSign.Model.FileTypeList.html","title":"DocuSign.Model.FileTypeList","module":"DocuSign.Model.FileTypeList","type":"module","doc":""},{"ref":"DocuSign.Model.FileTypeList.html#t:t/0","title":"DocuSign.Model.FileTypeList.t/0","module":"DocuSign.Model.FileTypeList","type":"type","doc":""},{"ref":"DocuSign.Model.Filter.html","title":"DocuSign.Model.Filter","module":"DocuSign.Model.Filter","type":"module","doc":""},{"ref":"DocuSign.Model.Filter.html#t:t/0","title":"DocuSign.Model.Filter.t/0","module":"DocuSign.Model.Filter","type":"type","doc":""},{"ref":"DocuSign.Model.FirstName.html","title":"DocuSign.Model.FirstName","module":"DocuSign.Model.FirstName","type":"module","doc":"A tab that displays the recipient&#39;s first name. This tab takes the recipient&#39;s name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name."},{"ref":"DocuSign.Model.FirstName.html#t:t/0","title":"DocuSign.Model.FirstName.t/0","module":"DocuSign.Model.FirstName","type":"type","doc":""},{"ref":"DocuSign.Model.Folder.html","title":"DocuSign.Model.Folder","module":"DocuSign.Model.Folder","type":"module","doc":""},{"ref":"DocuSign.Model.Folder.html#t:t/0","title":"DocuSign.Model.Folder.t/0","module":"DocuSign.Model.Folder","type":"type","doc":""},{"ref":"DocuSign.Model.FolderItem.html","title":"DocuSign.Model.FolderItem","module":"DocuSign.Model.FolderItem","type":"module","doc":""},{"ref":"DocuSign.Model.FolderItem.html#t:t/0","title":"DocuSign.Model.FolderItem.t/0","module":"DocuSign.Model.FolderItem","type":"type","doc":""},{"ref":"DocuSign.Model.FolderItemResponse.html","title":"DocuSign.Model.FolderItemResponse","module":"DocuSign.Model.FolderItemResponse","type":"module","doc":""},{"ref":"DocuSign.Model.FolderItemResponse.html#t:t/0","title":"DocuSign.Model.FolderItemResponse.t/0","module":"DocuSign.Model.FolderItemResponse","type":"type","doc":""},{"ref":"DocuSign.Model.FolderItemV2.html","title":"DocuSign.Model.FolderItemV2","module":"DocuSign.Model.FolderItemV2","type":"module","doc":""},{"ref":"DocuSign.Model.FolderItemV2.html#t:t/0","title":"DocuSign.Model.FolderItemV2.t/0","module":"DocuSign.Model.FolderItemV2","type":"type","doc":""},{"ref":"DocuSign.Model.FolderItemsResponse.html","title":"DocuSign.Model.FolderItemsResponse","module":"DocuSign.Model.FolderItemsResponse","type":"module","doc":""},{"ref":"DocuSign.Model.FolderItemsResponse.html#t:t/0","title":"DocuSign.Model.FolderItemsResponse.t/0","module":"DocuSign.Model.FolderItemsResponse","type":"type","doc":""},{"ref":"DocuSign.Model.Folders.html","title":"DocuSign.Model.Folders","module":"DocuSign.Model.Folders","type":"module","doc":"Folder management"},{"ref":"DocuSign.Model.Folders.html#t:t/0","title":"DocuSign.Model.Folders.t/0","module":"DocuSign.Model.Folders","type":"type","doc":""},{"ref":"DocuSign.Model.FoldersRequest.html","title":"DocuSign.Model.FoldersRequest","module":"DocuSign.Model.FoldersRequest","type":"module","doc":""},{"ref":"DocuSign.Model.FoldersRequest.html#t:t/0","title":"DocuSign.Model.FoldersRequest.t/0","module":"DocuSign.Model.FoldersRequest","type":"type","doc":""},{"ref":"DocuSign.Model.ForgottenPasswordInformation.html","title":"DocuSign.Model.ForgottenPasswordInformation","module":"DocuSign.Model.ForgottenPasswordInformation","type":"module","doc":"A complex element that has up to four Question/Answer pairs for forgotten password information."},{"ref":"DocuSign.Model.ForgottenPasswordInformation.html#t:t/0","title":"DocuSign.Model.ForgottenPasswordInformation.t/0","module":"DocuSign.Model.ForgottenPasswordInformation","type":"type","doc":""},{"ref":"DocuSign.Model.FormulaTab.html","title":"DocuSign.Model.FormulaTab","module":"DocuSign.Model.FormulaTab","type":"module","doc":"The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result. The &#x60;formula&#x60; property of the tab contains the references to the underlying tabs. See [Calculated Fields][calculatedfields] in the DocuSign Support Center to learn more about formulas. If a formula tab contains a &#x60;paymentDetails&#x60; property, the tab is considered a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [calculatedfields]: https://support.docusign.com/en/guides/ndse-user-guide-calculated-fields [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures"},{"ref":"DocuSign.Model.FormulaTab.html#t:t/0","title":"DocuSign.Model.FormulaTab.t/0","module":"DocuSign.Model.FormulaTab","type":"type","doc":""},{"ref":"DocuSign.Model.FullName.html","title":"DocuSign.Model.FullName","module":"DocuSign.Model.FullName","type":"module","doc":"A tab that displays the recipient&#39;s full name."},{"ref":"DocuSign.Model.FullName.html#t:t/0","title":"DocuSign.Model.FullName.t/0","module":"DocuSign.Model.FullName","type":"type","doc":""},{"ref":"DocuSign.Model.Group.html","title":"DocuSign.Model.Group","module":"DocuSign.Model.Group","type":"module","doc":""},{"ref":"DocuSign.Model.Group.html#t:t/0","title":"DocuSign.Model.Group.t/0","module":"DocuSign.Model.Group","type":"type","doc":""},{"ref":"DocuSign.Model.GroupBrands.html","title":"DocuSign.Model.GroupBrands","module":"DocuSign.Model.GroupBrands","type":"module","doc":"Brand management for groups"},{"ref":"DocuSign.Model.GroupBrands.html#t:t/0","title":"DocuSign.Model.GroupBrands.t/0","module":"DocuSign.Model.GroupBrands","type":"type","doc":""},{"ref":"DocuSign.Model.GroupUsers.html","title":"DocuSign.Model.GroupUsers","module":"DocuSign.Model.GroupUsers","type":"module","doc":"Groups&#39; users"},{"ref":"DocuSign.Model.GroupUsers.html#t:t/0","title":"DocuSign.Model.GroupUsers.t/0","module":"DocuSign.Model.GroupUsers","type":"type","doc":""},{"ref":"DocuSign.Model.Groups.html","title":"DocuSign.Model.Groups","module":"DocuSign.Model.Groups","type":"module","doc":"Group information"},{"ref":"DocuSign.Model.Groups.html#t:t/0","title":"DocuSign.Model.Groups.t/0","module":"DocuSign.Model.Groups","type":"type","doc":""},{"ref":"DocuSign.Model.IdCheckInformationInput.html","title":"DocuSign.Model.IdCheckInformationInput","module":"DocuSign.Model.IdCheckInformationInput","type":"module","doc":"A complex element that contains input information related to a recipient ID check. It can include the following information. addressInformationInput: Used to set recipient address information and consists of: addressInformation: consists of six elements, with stree2 and zipPlus4 being optional. The elements are: street1, street2, city, state, zip, zipPlus4. The maximum length of each element is: street1/street2 &#x3D; 150 characters, city &#x3D; 50 characters, state &#x3D; 2 characters, and zip/zipPlus4 &#x3D; 20 characters. displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. dobInformationInput: Used to set recipient date of birth information and consists of: dateOfBirth: Specifies the recipient&#39;s date, month and year of birth. displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn4InformationInput: Used to set the last four digits of the recipient&#39;s SSN information and consists of: ssn4: Specifies the last four digits of the recipient&#39;s SSN. displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn9InformationInput: Used to set the recipient&#39;s SSN information. Note that the ssn9 information can never be returned in the response. The ssn9 input consists of: ssn9: Specifies the recipient&#39;s SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay."},{"ref":"DocuSign.Model.IdCheckInformationInput.html#t:t/0","title":"DocuSign.Model.IdCheckInformationInput.t/0","module":"DocuSign.Model.IdCheckInformationInput","type":"type","doc":""},{"ref":"DocuSign.Model.IdentityVerifications.html","title":"DocuSign.Model.IdentityVerifications","module":"DocuSign.Model.IdentityVerifications","type":"module","doc":""},{"ref":"DocuSign.Model.IdentityVerifications.html#t:t/0","title":"DocuSign.Model.IdentityVerifications.t/0","module":"DocuSign.Model.IdentityVerifications","type":"type","doc":""},{"ref":"DocuSign.Model.InPersonSigner.html","title":"DocuSign.Model.InPersonSigner","module":"DocuSign.Model.InPersonSigner","type":"module","doc":"An in-person recipient is a DocuSign user, acting as a Signing Host, who is in the same physical location as the signer. To learn about fields used for eNotary feature, see the [EnvelopeRecipients resource][enveloperecipientsInPerson]. [enveloperecipientsInPerson]: /esign/restapi/Envelopes/EnvelopeRecipients/#in-person-signers-recipient"},{"ref":"DocuSign.Model.InPersonSigner.html#t:t/0","title":"DocuSign.Model.InPersonSigner.t/0","module":"DocuSign.Model.InPersonSigner","type":"type","doc":""},{"ref":"DocuSign.Model.InitialHere.html","title":"DocuSign.Model.InitialHere","module":"DocuSign.Model.InitialHere","type":"module","doc":"A tab that allows the recipient to initial the document. May be optional."},{"ref":"DocuSign.Model.InitialHere.html#t:t/0","title":"DocuSign.Model.InitialHere.t/0","module":"DocuSign.Model.InitialHere","type":"type","doc":""},{"ref":"DocuSign.Model.InlineTemplate.html","title":"DocuSign.Model.InlineTemplate","module":"DocuSign.Model.InlineTemplate","type":"module","doc":""},{"ref":"DocuSign.Model.InlineTemplate.html#t:t/0","title":"DocuSign.Model.InlineTemplate.t/0","module":"DocuSign.Model.InlineTemplate","type":"type","doc":""},{"ref":"DocuSign.Model.IntegratedUserInfoList.html","title":"DocuSign.Model.IntegratedUserInfoList","module":"DocuSign.Model.IntegratedUserInfoList","type":"module","doc":""},{"ref":"DocuSign.Model.IntegratedUserInfoList.html#t:t/0","title":"DocuSign.Model.IntegratedUserInfoList.t/0","module":"DocuSign.Model.IntegratedUserInfoList","type":"type","doc":""},{"ref":"DocuSign.Model.Intermediary.html","title":"DocuSign.Model.Intermediary","module":"DocuSign.Model.Intermediary","type":"module","doc":""},{"ref":"DocuSign.Model.Intermediary.html#t:t/0","title":"DocuSign.Model.Intermediary.t/0","module":"DocuSign.Model.Intermediary","type":"type","doc":""},{"ref":"DocuSign.Model.Invoices.html","title":"DocuSign.Model.Invoices","module":"DocuSign.Model.Invoices","type":"module","doc":"Invoices"},{"ref":"DocuSign.Model.Invoices.html#t:t/0","title":"DocuSign.Model.Invoices.t/0","module":"DocuSign.Model.Invoices","type":"type","doc":""},{"ref":"DocuSign.Model.Jurisdiction.html","title":"DocuSign.Model.Jurisdiction","module":"DocuSign.Model.Jurisdiction","type":"module","doc":""},{"ref":"DocuSign.Model.Jurisdiction.html#t:t/0","title":"DocuSign.Model.Jurisdiction.t/0","module":"DocuSign.Model.Jurisdiction","type":"type","doc":""},{"ref":"DocuSign.Model.LastName.html","title":"DocuSign.Model.LastName","module":"DocuSign.Model.LastName","type":"module","doc":"A tab that displays the recipient&#39;s last name. This tab takes the recipient&#39;s name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name."},{"ref":"DocuSign.Model.LastName.html#t:t/0","title":"DocuSign.Model.LastName.t/0","module":"DocuSign.Model.LastName","type":"type","doc":""},{"ref":"DocuSign.Model.List.html","title":"DocuSign.Model.List","module":"DocuSign.Model.List","type":"module","doc":"This tab offers a list of options to choose from. The &#x60;listItems&#x60; property contains a list of &#x60;listItem&#x60; objects to specify the selectable options."},{"ref":"DocuSign.Model.List.html#t:t/0","title":"DocuSign.Model.List.t/0","module":"DocuSign.Model.List","type":"type","doc":""},{"ref":"DocuSign.Model.ListCustomField.html","title":"DocuSign.Model.ListCustomField","module":"DocuSign.Model.ListCustomField","type":"module","doc":""},{"ref":"DocuSign.Model.ListCustomField.html#t:t/0","title":"DocuSign.Model.ListCustomField.t/0","module":"DocuSign.Model.ListCustomField","type":"type","doc":""},{"ref":"DocuSign.Model.ListItem.html","title":"DocuSign.Model.ListItem","module":"DocuSign.Model.ListItem","type":"module","doc":"One of the selectable items in the &#x60;listItems&#x60; property of a &#x60;list&#x60; tab."},{"ref":"DocuSign.Model.ListItem.html#t:t/0","title":"DocuSign.Model.ListItem.t/0","module":"DocuSign.Model.ListItem","type":"type","doc":""},{"ref":"DocuSign.Model.LockRequest.html","title":"DocuSign.Model.LockRequest","module":"DocuSign.Model.LockRequest","type":"module","doc":""},{"ref":"DocuSign.Model.LockRequest.html#t:t/0","title":"DocuSign.Model.LockRequest.t/0","module":"DocuSign.Model.LockRequest","type":"type","doc":""},{"ref":"DocuSign.Model.LoginAccount.html","title":"DocuSign.Model.LoginAccount","module":"DocuSign.Model.LoginAccount","type":"module","doc":""},{"ref":"DocuSign.Model.LoginAccount.html#t:t/0","title":"DocuSign.Model.LoginAccount.t/0","module":"DocuSign.Model.LoginAccount","type":"type","doc":""},{"ref":"DocuSign.Model.MatchBox.html","title":"DocuSign.Model.MatchBox","module":"DocuSign.Model.MatchBox","type":"module","doc":""},{"ref":"DocuSign.Model.MatchBox.html#t:t/0","title":"DocuSign.Model.MatchBox.t/0","module":"DocuSign.Model.MatchBox","type":"type","doc":""},{"ref":"DocuSign.Model.MemberGroupSharedItem.html","title":"DocuSign.Model.MemberGroupSharedItem","module":"DocuSign.Model.MemberGroupSharedItem","type":"module","doc":""},{"ref":"DocuSign.Model.MemberGroupSharedItem.html#t:t/0","title":"DocuSign.Model.MemberGroupSharedItem.t/0","module":"DocuSign.Model.MemberGroupSharedItem","type":"type","doc":""},{"ref":"DocuSign.Model.MemberSharedItems.html","title":"DocuSign.Model.MemberSharedItems","module":"DocuSign.Model.MemberSharedItems","type":"module","doc":""},{"ref":"DocuSign.Model.MemberSharedItems.html#t:t/0","title":"DocuSign.Model.MemberSharedItems.t/0","module":"DocuSign.Model.MemberSharedItems","type":"type","doc":""},{"ref":"DocuSign.Model.MergeField.html","title":"DocuSign.Model.MergeField","module":"DocuSign.Model.MergeField","type":"module","doc":"Contains information for transfering values between Salesforce data fields and DocuSign Tabs."},{"ref":"DocuSign.Model.MergeField.html#t:t/0","title":"DocuSign.Model.MergeField.t/0","module":"DocuSign.Model.MergeField","type":"type","doc":""},{"ref":"DocuSign.Model.MobileNotifierConfiguration.html","title":"DocuSign.Model.MobileNotifierConfiguration","module":"DocuSign.Model.MobileNotifierConfiguration","type":"module","doc":""},{"ref":"DocuSign.Model.MobileNotifierConfiguration.html#t:t/0","title":"DocuSign.Model.MobileNotifierConfiguration.t/0","module":"DocuSign.Model.MobileNotifierConfiguration","type":"type","doc":""},{"ref":"DocuSign.Model.Money.html","title":"DocuSign.Model.Money","module":"DocuSign.Model.Money","type":"module","doc":"Describes information about the &#x60;total&#x60; of a payment."},{"ref":"DocuSign.Model.Money.html#t:t/0","title":"DocuSign.Model.Money.t/0","module":"DocuSign.Model.Money","type":"type","doc":""},{"ref":"DocuSign.Model.NameValue.html","title":"DocuSign.Model.NameValue","module":"DocuSign.Model.NameValue","type":"module","doc":""},{"ref":"DocuSign.Model.NameValue.html#t:t/0","title":"DocuSign.Model.NameValue.t/0","module":"DocuSign.Model.NameValue","type":"type","doc":""},{"ref":"DocuSign.Model.NewAccountDefinition.html","title":"DocuSign.Model.NewAccountDefinition","module":"DocuSign.Model.NewAccountDefinition","type":"module","doc":""},{"ref":"DocuSign.Model.NewAccountDefinition.html#t:t/0","title":"DocuSign.Model.NewAccountDefinition.t/0","module":"DocuSign.Model.NewAccountDefinition","type":"type","doc":""},{"ref":"DocuSign.Model.NewAccountSummary.html","title":"DocuSign.Model.NewAccountSummary","module":"DocuSign.Model.NewAccountSummary","type":"module","doc":""},{"ref":"DocuSign.Model.NewAccountSummary.html#t:t/0","title":"DocuSign.Model.NewAccountSummary.t/0","module":"DocuSign.Model.NewAccountSummary","type":"type","doc":""},{"ref":"DocuSign.Model.NewUser.html","title":"DocuSign.Model.NewUser","module":"DocuSign.Model.NewUser","type":"module","doc":""},{"ref":"DocuSign.Model.NewUser.html#t:t/0","title":"DocuSign.Model.NewUser.t/0","module":"DocuSign.Model.NewUser","type":"type","doc":""},{"ref":"DocuSign.Model.NewUsersDefinition.html","title":"DocuSign.Model.NewUsersDefinition","module":"DocuSign.Model.NewUsersDefinition","type":"module","doc":""},{"ref":"DocuSign.Model.NewUsersDefinition.html#t:t/0","title":"DocuSign.Model.NewUsersDefinition.t/0","module":"DocuSign.Model.NewUsersDefinition","type":"type","doc":""},{"ref":"DocuSign.Model.NewUsersSummary.html","title":"DocuSign.Model.NewUsersSummary","module":"DocuSign.Model.NewUsersSummary","type":"module","doc":""},{"ref":"DocuSign.Model.NewUsersSummary.html#t:t/0","title":"DocuSign.Model.NewUsersSummary.t/0","module":"DocuSign.Model.NewUsersSummary","type":"type","doc":""},{"ref":"DocuSign.Model.Notarize.html","title":"DocuSign.Model.Notarize","module":"DocuSign.Model.Notarize","type":"module","doc":"A tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page."},{"ref":"DocuSign.Model.Notarize.html#t:t/0","title":"DocuSign.Model.Notarize.t/0","module":"DocuSign.Model.Notarize","type":"type","doc":""},{"ref":"DocuSign.Model.NotaryHost.html","title":"DocuSign.Model.NotaryHost","module":"DocuSign.Model.NotaryHost","type":"module","doc":"This object is used only when &#x60;inPersonSigningType&#x60; in the &#x60;inPersonSigner&#x60; object is &#x60;notary&#x60;. It describes information about the notary host. The following information is required when using the eNotary in-person signing flow: &#x60;name&#x60;: Specifies the notary&#39;s full legal name. &#x60;email&#x60;: Specifies the notary&#39;s email address. * &#x60;recipientId&#x60;: A unique ID number for the notary signing host."},{"ref":"DocuSign.Model.NotaryHost.html#t:t/0","title":"DocuSign.Model.NotaryHost.t/0","module":"DocuSign.Model.NotaryHost","type":"type","doc":""},{"ref":"DocuSign.Model.NotaryJournalCredibleWitness.html","title":"DocuSign.Model.NotaryJournalCredibleWitness","module":"DocuSign.Model.NotaryJournalCredibleWitness","type":"module","doc":""},{"ref":"DocuSign.Model.NotaryJournalCredibleWitness.html#t:t/0","title":"DocuSign.Model.NotaryJournalCredibleWitness.t/0","module":"DocuSign.Model.NotaryJournalCredibleWitness","type":"type","doc":""},{"ref":"DocuSign.Model.NotaryJournalList.html","title":"DocuSign.Model.NotaryJournalList","module":"DocuSign.Model.NotaryJournalList","type":"module","doc":""},{"ref":"DocuSign.Model.NotaryJournalList.html#t:t/0","title":"DocuSign.Model.NotaryJournalList.t/0","module":"DocuSign.Model.NotaryJournalList","type":"type","doc":""},{"ref":"DocuSign.Model.NotaryJournalMetaData.html","title":"DocuSign.Model.NotaryJournalMetaData","module":"DocuSign.Model.NotaryJournalMetaData","type":"module","doc":""},{"ref":"DocuSign.Model.NotaryJournalMetaData.html#t:t/0","title":"DocuSign.Model.NotaryJournalMetaData.t/0","module":"DocuSign.Model.NotaryJournalMetaData","type":"type","doc":""},{"ref":"DocuSign.Model.NotaryJournals.html","title":"DocuSign.Model.NotaryJournals","module":"DocuSign.Model.NotaryJournals","type":"module","doc":""},{"ref":"DocuSign.Model.NotaryJournals.html#t:t/0","title":"DocuSign.Model.NotaryJournals.t/0","module":"DocuSign.Model.NotaryJournals","type":"type","doc":""},{"ref":"DocuSign.Model.Note.html","title":"DocuSign.Model.Note","module":"DocuSign.Model.Note","type":"module","doc":"A tab that displays additional information, in the form of a note, for the recipient."},{"ref":"DocuSign.Model.Note.html#t:t/0","title":"DocuSign.Model.Note.t/0","module":"DocuSign.Model.Note","type":"type","doc":""},{"ref":"DocuSign.Model.Notification.html","title":"DocuSign.Model.Notification","module":"DocuSign.Model.Notification","type":"module","doc":"A complex element that specifies the notification options for the envelope. It consists of: useAccountDefaults - When set to true, the account default notification settings are used for the envelope. reminders - A complex element that specifies reminder settings for the envelope. It consists of: reminderEnabled - When set to true, a reminder message is sent to the recipient. reminderDelay - An interger that sets the number of days after the recipient receives the envelope that reminder emails are sent to the recipient. reminderFrequency - An interger that sets the interval, in days, between reminder emails. expirations - A complex element that specifies the expiration settings for the envelope. It consists of: expireEnabled - When set to true, the envelope expires (is no longer available for signing) in the set number of days. If false, the account default setting is used. If the account does not have an expiration setting, the DocuSign default value of 120 days is used. expireAfter - An integer that sets the number of days the envelope is active. * expireWarn - An integer that sets the number of days before envelope expiration that an expiration warning email is sent to the recipient. If set to 0 (zero), no warning email is sent."},{"ref":"DocuSign.Model.Notification.html#t:t/0","title":"DocuSign.Model.Notification.t/0","module":"DocuSign.Model.Notification","type":"type","doc":""},{"ref":"DocuSign.Model.Number.html","title":"DocuSign.Model.Number","module":"DocuSign.Model.Number","type":"module","doc":"A tab that allows the recipient to enter numbers and decimal (.) points."},{"ref":"DocuSign.Model.Number.html#t:t/0","title":"DocuSign.Model.Number.t/0","module":"DocuSign.Model.Number","type":"type","doc":""},{"ref":"DocuSign.Model.OauthAccess.html","title":"DocuSign.Model.OauthAccess","module":"DocuSign.Model.OauthAccess","type":"module","doc":""},{"ref":"DocuSign.Model.OauthAccess.html#t:t/0","title":"DocuSign.Model.OauthAccess.t/0","module":"DocuSign.Model.OauthAccess","type":"type","doc":""},{"ref":"DocuSign.Model.Page.html","title":"DocuSign.Model.Page","module":"DocuSign.Model.Page","type":"module","doc":"Description of a page of a document."},{"ref":"DocuSign.Model.Page.html#t:t/0","title":"DocuSign.Model.Page.t/0","module":"DocuSign.Model.Page","type":"type","doc":""},{"ref":"DocuSign.Model.PageImages.html","title":"DocuSign.Model.PageImages","module":"DocuSign.Model.PageImages","type":"module","doc":""},{"ref":"DocuSign.Model.PageImages.html#t:t/0","title":"DocuSign.Model.PageImages.t/0","module":"DocuSign.Model.PageImages","type":"type","doc":""},{"ref":"DocuSign.Model.PageRequest.html","title":"DocuSign.Model.PageRequest","module":"DocuSign.Model.PageRequest","type":"module","doc":""},{"ref":"DocuSign.Model.PageRequest.html#t:t/0","title":"DocuSign.Model.PageRequest.t/0","module":"DocuSign.Model.PageRequest","type":"type","doc":""},{"ref":"DocuSign.Model.PaymentDetails.html","title":"DocuSign.Model.PaymentDetails","module":"DocuSign.Model.PaymentDetails","type":"module","doc":"When a formula tab has a &#x60;paymentDetails&#x60; property, the formula tab is a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures"},{"ref":"DocuSign.Model.PaymentDetails.html#t:t/0","title":"DocuSign.Model.PaymentDetails.t/0","module":"DocuSign.Model.PaymentDetails","type":"type","doc":""},{"ref":"DocuSign.Model.PaymentGatewayAccounts.html","title":"DocuSign.Model.PaymentGatewayAccounts","module":"DocuSign.Model.PaymentGatewayAccounts","type":"module","doc":"Information about a connected payment gateway account."},{"ref":"DocuSign.Model.PaymentGatewayAccounts.html#t:t/0","title":"DocuSign.Model.PaymentGatewayAccounts.t/0","module":"DocuSign.Model.PaymentGatewayAccounts","type":"type","doc":""},{"ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html","title":"DocuSign.Model.PaymentGatewayAccountsInfo","module":"DocuSign.Model.PaymentGatewayAccountsInfo","type":"module","doc":"Holds information about connected payment accounts."},{"ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html#t:t/0","title":"DocuSign.Model.PaymentGatewayAccountsInfo.t/0","module":"DocuSign.Model.PaymentGatewayAccountsInfo","type":"type","doc":""},{"ref":"DocuSign.Model.PaymentLineItem.html","title":"DocuSign.Model.PaymentLineItem","module":"DocuSign.Model.PaymentLineItem","type":"module","doc":"A line item describes details about an individual line item in a payment request."},{"ref":"DocuSign.Model.PaymentLineItem.html#t:t/0","title":"DocuSign.Model.PaymentLineItem.t/0","module":"DocuSign.Model.PaymentLineItem","type":"type","doc":""},{"ref":"DocuSign.Model.PaymentProcessorInformation.html","title":"DocuSign.Model.PaymentProcessorInformation","module":"DocuSign.Model.PaymentProcessorInformation","type":"module","doc":""},{"ref":"DocuSign.Model.PaymentProcessorInformation.html#t:t/0","title":"DocuSign.Model.PaymentProcessorInformation.t/0","module":"DocuSign.Model.PaymentProcessorInformation","type":"type","doc":""},{"ref":"DocuSign.Model.Payments.html","title":"DocuSign.Model.Payments","module":"DocuSign.Model.Payments","type":"module","doc":"Payments"},{"ref":"DocuSign.Model.Payments.html#t:t/0","title":"DocuSign.Model.Payments.t/0","module":"DocuSign.Model.Payments","type":"type","doc":""},{"ref":"DocuSign.Model.PermissionProfileInformation.html","title":"DocuSign.Model.PermissionProfileInformation","module":"DocuSign.Model.PermissionProfileInformation","type":"module","doc":""},{"ref":"DocuSign.Model.PermissionProfileInformation.html#t:t/0","title":"DocuSign.Model.PermissionProfileInformation.t/0","module":"DocuSign.Model.PermissionProfileInformation","type":"type","doc":""},{"ref":"DocuSign.Model.PlanInformation.html","title":"DocuSign.Model.PlanInformation","module":"DocuSign.Model.PlanInformation","type":"module","doc":"An object used to identify the features and attributes of the account being created."},{"ref":"DocuSign.Model.PlanInformation.html#t:t/0","title":"DocuSign.Model.PlanInformation.t/0","module":"DocuSign.Model.PlanInformation","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormData.html","title":"DocuSign.Model.PowerFormData","module":"DocuSign.Model.PowerFormData","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormData.html#t:t/0","title":"DocuSign.Model.PowerFormData.t/0","module":"DocuSign.Model.PowerFormData","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormFormDataRecipient.html","title":"DocuSign.Model.PowerFormFormDataRecipient","module":"DocuSign.Model.PowerFormFormDataRecipient","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormFormDataRecipient.html#t:t/0","title":"DocuSign.Model.PowerFormFormDataRecipient.t/0","module":"DocuSign.Model.PowerFormFormDataRecipient","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormRecipient.html","title":"DocuSign.Model.PowerFormRecipient","module":"DocuSign.Model.PowerFormRecipient","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormRecipient.html#t:t/0","title":"DocuSign.Model.PowerFormRecipient.t/0","module":"DocuSign.Model.PowerFormRecipient","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormSendersResponse.html","title":"DocuSign.Model.PowerFormSendersResponse","module":"DocuSign.Model.PowerFormSendersResponse","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormSendersResponse.html#t:t/0","title":"DocuSign.Model.PowerFormSendersResponse.t/0","module":"DocuSign.Model.PowerFormSendersResponse","type":"type","doc":""},{"ref":"DocuSign.Model.PowerForms.html","title":"DocuSign.Model.PowerForms","module":"DocuSign.Model.PowerForms","type":"module","doc":""},{"ref":"DocuSign.Model.PowerForms.html#t:t/0","title":"DocuSign.Model.PowerForms.t/0","module":"DocuSign.Model.PowerForms","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormsFormDataResponse.html","title":"DocuSign.Model.PowerFormsFormDataResponse","module":"DocuSign.Model.PowerFormsFormDataResponse","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormsFormDataResponse.html#t:t/0","title":"DocuSign.Model.PowerFormsFormDataResponse.t/0","module":"DocuSign.Model.PowerFormsFormDataResponse","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormsRequest.html","title":"DocuSign.Model.PowerFormsRequest","module":"DocuSign.Model.PowerFormsRequest","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormsRequest.html#t:t/0","title":"DocuSign.Model.PowerFormsRequest.t/0","module":"DocuSign.Model.PowerFormsRequest","type":"type","doc":""},{"ref":"DocuSign.Model.PowerFormsResponse.html","title":"DocuSign.Model.PowerFormsResponse","module":"DocuSign.Model.PowerFormsResponse","type":"module","doc":""},{"ref":"DocuSign.Model.PowerFormsResponse.html#t:t/0","title":"DocuSign.Model.PowerFormsResponse.t/0","module":"DocuSign.Model.PowerFormsResponse","type":"type","doc":""},{"ref":"DocuSign.Model.PropertyMetadata.html","title":"DocuSign.Model.PropertyMetadata","module":"DocuSign.Model.PropertyMetadata","type":"module","doc":""},{"ref":"DocuSign.Model.PropertyMetadata.html#t:t/0","title":"DocuSign.Model.PropertyMetadata.t/0","module":"DocuSign.Model.PropertyMetadata","type":"type","doc":""},{"ref":"DocuSign.Model.Province.html","title":"DocuSign.Model.Province","module":"DocuSign.Model.Province","type":"module","doc":""},{"ref":"DocuSign.Model.Province.html#t:t/0","title":"DocuSign.Model.Province.t/0","module":"DocuSign.Model.Province","type":"type","doc":""},{"ref":"DocuSign.Model.ProvisioningInformation.html","title":"DocuSign.Model.ProvisioningInformation","module":"DocuSign.Model.ProvisioningInformation","type":"module","doc":""},{"ref":"DocuSign.Model.ProvisioningInformation.html#t:t/0","title":"DocuSign.Model.ProvisioningInformation.t/0","module":"DocuSign.Model.ProvisioningInformation","type":"type","doc":""},{"ref":"DocuSign.Model.PurchasedEnvelopesInformation.html","title":"DocuSign.Model.PurchasedEnvelopesInformation","module":"DocuSign.Model.PurchasedEnvelopesInformation","type":"module","doc":""},{"ref":"DocuSign.Model.PurchasedEnvelopesInformation.html#t:t/0","title":"DocuSign.Model.PurchasedEnvelopesInformation.t/0","module":"DocuSign.Model.PurchasedEnvelopesInformation","type":"type","doc":""},{"ref":"DocuSign.Model.Radio.html","title":"DocuSign.Model.Radio","module":"DocuSign.Model.Radio","type":"module","doc":"One of the selectable radio buttons in the &#x60;radios&#x60; property of a &#x60;radioGroup&#x60; tab."},{"ref":"DocuSign.Model.Radio.html#t:t/0","title":"DocuSign.Model.Radio.t/0","module":"DocuSign.Model.Radio","type":"type","doc":""},{"ref":"DocuSign.Model.RadioGroup.html","title":"DocuSign.Model.RadioGroup","module":"DocuSign.Model.RadioGroup","type":"module","doc":"This group tab is used to place radio buttons on a document. The &#x60;radios&#x60; property contains a list of &#x60;radio&#x60; objects associated with the group. Only one radio button can be selected in a group."},{"ref":"DocuSign.Model.RadioGroup.html#t:t/0","title":"DocuSign.Model.RadioGroup.t/0","module":"DocuSign.Model.RadioGroup","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientAttachment.html","title":"DocuSign.Model.RecipientAttachment","module":"DocuSign.Model.RecipientAttachment","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientAttachment.html#t:t/0","title":"DocuSign.Model.RecipientAttachment.t/0","module":"DocuSign.Model.RecipientAttachment","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientDomain.html","title":"DocuSign.Model.RecipientDomain","module":"DocuSign.Model.RecipientDomain","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientDomain.html#t:t/0","title":"DocuSign.Model.RecipientDomain.t/0","module":"DocuSign.Model.RecipientDomain","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientEmailNotification.html","title":"DocuSign.Model.RecipientEmailNotification","module":"DocuSign.Model.RecipientEmailNotification","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientEmailNotification.html#t:t/0","title":"DocuSign.Model.RecipientEmailNotification.t/0","module":"DocuSign.Model.RecipientEmailNotification","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientEvent.html","title":"DocuSign.Model.RecipientEvent","module":"DocuSign.Model.RecipientEvent","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientEvent.html#t:t/0","title":"DocuSign.Model.RecipientEvent.t/0","module":"DocuSign.Model.RecipientEvent","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientFormData.html","title":"DocuSign.Model.RecipientFormData","module":"DocuSign.Model.RecipientFormData","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientFormData.html#t:t/0","title":"DocuSign.Model.RecipientFormData.t/0","module":"DocuSign.Model.RecipientFormData","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientNamesResponse.html","title":"DocuSign.Model.RecipientNamesResponse","module":"DocuSign.Model.RecipientNamesResponse","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientNamesResponse.html#t:t/0","title":"DocuSign.Model.RecipientNamesResponse.t/0","module":"DocuSign.Model.RecipientNamesResponse","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientPhoneAuthentication.html","title":"DocuSign.Model.RecipientPhoneAuthentication","module":"DocuSign.Model.RecipientPhoneAuthentication","type":"module","doc":"A complex type that Contains the elements: recipMayProvideNumber - Boolean. When set to true, the recipient can use whatever phone number they choose. senderProvidedNumbers - ArrayOfString. A list of phone numbers the recipient can use. recordVoicePrint - Reserved. validateRecipProvidedNumber - Reserved."},{"ref":"DocuSign.Model.RecipientPhoneAuthentication.html#t:t/0","title":"DocuSign.Model.RecipientPhoneAuthentication.t/0","module":"DocuSign.Model.RecipientPhoneAuthentication","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientSamlAuthentication.html","title":"DocuSign.Model.RecipientSamlAuthentication","module":"DocuSign.Model.RecipientSamlAuthentication","type":"module","doc":"Contains the name/value pair information for the SAML assertion attributes: name - The name of the SAML assertion attribute. value - The value associated with the named SAML assertion attribute. Your account must be set up to use SSO to use this."},{"ref":"DocuSign.Model.RecipientSamlAuthentication.html#t:t/0","title":"DocuSign.Model.RecipientSamlAuthentication.t/0","module":"DocuSign.Model.RecipientSamlAuthentication","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientSignatureInformation.html","title":"DocuSign.Model.RecipientSignatureInformation","module":"DocuSign.Model.RecipientSignatureInformation","type":"module","doc":"Allows the sender to pre-specify the signature name, signature initials and signature font used in the signature stamp for the recipient. Used only with recipient types In Person Signers and Signers."},{"ref":"DocuSign.Model.RecipientSignatureInformation.html#t:t/0","title":"DocuSign.Model.RecipientSignatureInformation.t/0","module":"DocuSign.Model.RecipientSignatureInformation","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientSignatureProvider.html","title":"DocuSign.Model.RecipientSignatureProvider","module":"DocuSign.Model.RecipientSignatureProvider","type":"module","doc":"An Electronic or Standards Based Signature (digital signature) provider for the signer to use. More information."},{"ref":"DocuSign.Model.RecipientSignatureProvider.html#t:t/0","title":"DocuSign.Model.RecipientSignatureProvider.t/0","module":"DocuSign.Model.RecipientSignatureProvider","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientSignatureProviderOptions.html","title":"DocuSign.Model.RecipientSignatureProviderOptions","module":"DocuSign.Model.RecipientSignatureProviderOptions","type":"module","doc":"Option settings for the signature provider. Different providers require or use different options. The current provider list and the options they require."},{"ref":"DocuSign.Model.RecipientSignatureProviderOptions.html#t:t/0","title":"DocuSign.Model.RecipientSignatureProviderOptions.t/0","module":"DocuSign.Model.RecipientSignatureProviderOptions","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientSmsAuthentication.html","title":"DocuSign.Model.RecipientSmsAuthentication","module":"DocuSign.Model.RecipientSmsAuthentication","type":"module","doc":"Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication."},{"ref":"DocuSign.Model.RecipientSmsAuthentication.html#t:t/0","title":"DocuSign.Model.RecipientSmsAuthentication.t/0","module":"DocuSign.Model.RecipientSmsAuthentication","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientUpdateResponse.html","title":"DocuSign.Model.RecipientUpdateResponse","module":"DocuSign.Model.RecipientUpdateResponse","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientUpdateResponse.html#t:t/0","title":"DocuSign.Model.RecipientUpdateResponse.t/0","module":"DocuSign.Model.RecipientUpdateResponse","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientViewRequest.html","title":"DocuSign.Model.RecipientViewRequest","module":"DocuSign.Model.RecipientViewRequest","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientViewRequest.html#t:t/0","title":"DocuSign.Model.RecipientViewRequest.t/0","module":"DocuSign.Model.RecipientViewRequest","type":"type","doc":""},{"ref":"DocuSign.Model.RecipientsUpdateSummary.html","title":"DocuSign.Model.RecipientsUpdateSummary","module":"DocuSign.Model.RecipientsUpdateSummary","type":"module","doc":""},{"ref":"DocuSign.Model.RecipientsUpdateSummary.html#t:t/0","title":"DocuSign.Model.RecipientsUpdateSummary.t/0","module":"DocuSign.Model.RecipientsUpdateSummary","type":"type","doc":""},{"ref":"DocuSign.Model.ReferralInformation.html","title":"DocuSign.Model.ReferralInformation","module":"DocuSign.Model.ReferralInformation","type":"module","doc":"A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry ###### Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DoucSign use only."},{"ref":"DocuSign.Model.ReferralInformation.html#t:t/0","title":"DocuSign.Model.ReferralInformation.t/0","module":"DocuSign.Model.ReferralInformation","type":"type","doc":""},{"ref":"DocuSign.Model.Reminders.html","title":"DocuSign.Model.Reminders","module":"DocuSign.Model.Reminders","type":"module","doc":"A complex element that specifies reminder settings for the envelope"},{"ref":"DocuSign.Model.Reminders.html#t:t/0","title":"DocuSign.Model.Reminders.t/0","module":"DocuSign.Model.Reminders","type":"type","doc":""},{"ref":"DocuSign.Model.RequestLogs.html","title":"DocuSign.Model.RequestLogs","module":"DocuSign.Model.RequestLogs","type":"module","doc":"Request logs"},{"ref":"DocuSign.Model.RequestLogs.html#t:t/0","title":"DocuSign.Model.RequestLogs.t/0","module":"DocuSign.Model.RequestLogs","type":"type","doc":""},{"ref":"DocuSign.Model.Resources.html","title":"DocuSign.Model.Resources","module":"DocuSign.Model.Resources","type":"module","doc":"API resource information"},{"ref":"DocuSign.Model.Resources.html#t:t/0","title":"DocuSign.Model.Resources.t/0","module":"DocuSign.Model.Resources","type":"type","doc":""},{"ref":"DocuSign.Model.ReturnUrlRequest.html","title":"DocuSign.Model.ReturnUrlRequest","module":"DocuSign.Model.ReturnUrlRequest","type":"module","doc":"The request body for the EnvelopeViews: createSender method."},{"ref":"DocuSign.Model.ReturnUrlRequest.html#t:t/0","title":"DocuSign.Model.ReturnUrlRequest.t/0","module":"DocuSign.Model.ReturnUrlRequest","type":"type","doc":""},{"ref":"DocuSign.Model.SamlAssertionAttribute.html","title":"DocuSign.Model.SamlAssertionAttribute","module":"DocuSign.Model.SamlAssertionAttribute","type":"module","doc":""},{"ref":"DocuSign.Model.SamlAssertionAttribute.html#t:t/0","title":"DocuSign.Model.SamlAssertionAttribute.t/0","module":"DocuSign.Model.SamlAssertionAttribute","type":"type","doc":""},{"ref":"DocuSign.Model.Seal.html","title":"DocuSign.Model.Seal","module":"DocuSign.Model.Seal","type":"module","doc":""},{"ref":"DocuSign.Model.Seal.html#t:t/0","title":"DocuSign.Model.Seal.t/0","module":"DocuSign.Model.Seal","type":"type","doc":""},{"ref":"DocuSign.Model.SealIdentifier.html","title":"DocuSign.Model.SealIdentifier","module":"DocuSign.Model.SealIdentifier","type":"module","doc":""},{"ref":"DocuSign.Model.SealIdentifier.html#t:t/0","title":"DocuSign.Model.SealIdentifier.t/0","module":"DocuSign.Model.SealIdentifier","type":"type","doc":""},{"ref":"DocuSign.Model.SealSign.html","title":"DocuSign.Model.SealSign","module":"DocuSign.Model.SealSign","type":"module","doc":""},{"ref":"DocuSign.Model.SealSign.html#t:t/0","title":"DocuSign.Model.SealSign.t/0","module":"DocuSign.Model.SealSign","type":"type","doc":""},{"ref":"DocuSign.Model.SeatDiscount.html","title":"DocuSign.Model.SeatDiscount","module":"DocuSign.Model.SeatDiscount","type":"module","doc":""},{"ref":"DocuSign.Model.SeatDiscount.html#t:t/0","title":"DocuSign.Model.SeatDiscount.t/0","module":"DocuSign.Model.SeatDiscount","type":"type","doc":""},{"ref":"DocuSign.Model.SenderEmailNotifications.html","title":"DocuSign.Model.SenderEmailNotifications","module":"DocuSign.Model.SenderEmailNotifications","type":"module","doc":""},{"ref":"DocuSign.Model.SenderEmailNotifications.html#t:t/0","title":"DocuSign.Model.SenderEmailNotifications.t/0","module":"DocuSign.Model.SenderEmailNotifications","type":"type","doc":""},{"ref":"DocuSign.Model.ServerTemplate.html","title":"DocuSign.Model.ServerTemplate","module":"DocuSign.Model.ServerTemplate","type":"module","doc":""},{"ref":"DocuSign.Model.ServerTemplate.html#t:t/0","title":"DocuSign.Model.ServerTemplate.t/0","module":"DocuSign.Model.ServerTemplate","type":"type","doc":""},{"ref":"DocuSign.Model.ServiceVersion.html","title":"DocuSign.Model.ServiceVersion","module":"DocuSign.Model.ServiceVersion","type":"module","doc":""},{"ref":"DocuSign.Model.ServiceVersion.html#t:t/0","title":"DocuSign.Model.ServiceVersion.t/0","module":"DocuSign.Model.ServiceVersion","type":"type","doc":""},{"ref":"DocuSign.Model.Services.html","title":"DocuSign.Model.Services","module":"DocuSign.Model.Services","type":"module","doc":"API service information"},{"ref":"DocuSign.Model.Services.html#t:t/0","title":"DocuSign.Model.Services.t/0","module":"DocuSign.Model.Services","type":"type","doc":""},{"ref":"DocuSign.Model.SettingsMetadata.html","title":"DocuSign.Model.SettingsMetadata","module":"DocuSign.Model.SettingsMetadata","type":"module","doc":""},{"ref":"DocuSign.Model.SettingsMetadata.html#t:t/0","title":"DocuSign.Model.SettingsMetadata.t/0","module":"DocuSign.Model.SettingsMetadata","type":"type","doc":""},{"ref":"DocuSign.Model.SharedItem.html","title":"DocuSign.Model.SharedItem","module":"DocuSign.Model.SharedItem","type":"module","doc":""},{"ref":"DocuSign.Model.SharedItem.html#t:t/0","title":"DocuSign.Model.SharedItem.t/0","module":"DocuSign.Model.SharedItem","type":"type","doc":""},{"ref":"DocuSign.Model.SignHere.html","title":"DocuSign.Model.SignHere","module":"DocuSign.Model.SignHere","type":"module","doc":"A tab that allows the recipient to sign a document. May be optional."},{"ref":"DocuSign.Model.SignHere.html#t:t/0","title":"DocuSign.Model.SignHere.t/0","module":"DocuSign.Model.SignHere","type":"type","doc":""},{"ref":"DocuSign.Model.SignatureProviderRequiredOption.html","title":"DocuSign.Model.SignatureProviderRequiredOption","module":"DocuSign.Model.SignatureProviderRequiredOption","type":"module","doc":""},{"ref":"DocuSign.Model.SignatureProviderRequiredOption.html#t:t/0","title":"DocuSign.Model.SignatureProviderRequiredOption.t/0","module":"DocuSign.Model.SignatureProviderRequiredOption","type":"type","doc":""},{"ref":"DocuSign.Model.SignatureType.html","title":"DocuSign.Model.SignatureType","module":"DocuSign.Model.SignatureType","type":"module","doc":""},{"ref":"DocuSign.Model.SignatureType.html#t:t/0","title":"DocuSign.Model.SignatureType.t/0","module":"DocuSign.Model.SignatureType","type":"type","doc":""},{"ref":"DocuSign.Model.Signer.html","title":"DocuSign.Model.Signer","module":"DocuSign.Model.Signer","type":"module","doc":""},{"ref":"DocuSign.Model.Signer.html#t:t/0","title":"DocuSign.Model.Signer.t/0","module":"DocuSign.Model.Signer","type":"type","doc":""},{"ref":"DocuSign.Model.SignerAttachment.html","title":"DocuSign.Model.SignerAttachment","module":"DocuSign.Model.SignerAttachment","type":"module","doc":"A tab that allows the recipient to attach supporting documents to an envelope."},{"ref":"DocuSign.Model.SignerAttachment.html#t:t/0","title":"DocuSign.Model.SignerAttachment.t/0","module":"DocuSign.Model.SignerAttachment","type":"type","doc":""},{"ref":"DocuSign.Model.SignerEmailNotifications.html","title":"DocuSign.Model.SignerEmailNotifications","module":"DocuSign.Model.SignerEmailNotifications","type":"module","doc":"An array of email notifications that specifies the email the user receives when they are a sender. When the specific email notification is set to true, the user receives those types of email notifications from DocuSign. The user inherits the default account sender email notification settings when the user is created."},{"ref":"DocuSign.Model.SignerEmailNotifications.html#t:t/0","title":"DocuSign.Model.SignerEmailNotifications.t/0","module":"DocuSign.Model.SignerEmailNotifications","type":"type","doc":""},{"ref":"DocuSign.Model.SigningGroupInformation.html","title":"DocuSign.Model.SigningGroupInformation","module":"DocuSign.Model.SigningGroupInformation","type":"module","doc":""},{"ref":"DocuSign.Model.SigningGroupInformation.html#t:t/0","title":"DocuSign.Model.SigningGroupInformation.t/0","module":"DocuSign.Model.SigningGroupInformation","type":"type","doc":""},{"ref":"DocuSign.Model.SigningGroupUser.html","title":"DocuSign.Model.SigningGroupUser","module":"DocuSign.Model.SigningGroupUser","type":"module","doc":""},{"ref":"DocuSign.Model.SigningGroupUser.html#t:t/0","title":"DocuSign.Model.SigningGroupUser.t/0","module":"DocuSign.Model.SigningGroupUser","type":"type","doc":""},{"ref":"DocuSign.Model.SigningGroupUsers.html","title":"DocuSign.Model.SigningGroupUsers","module":"DocuSign.Model.SigningGroupUsers","type":"module","doc":"Signing groups&#39; users"},{"ref":"DocuSign.Model.SigningGroupUsers.html#t:t/0","title":"DocuSign.Model.SigningGroupUsers.t/0","module":"DocuSign.Model.SigningGroupUsers","type":"type","doc":""},{"ref":"DocuSign.Model.SigningGroups.html","title":"DocuSign.Model.SigningGroups","module":"DocuSign.Model.SigningGroups","type":"module","doc":"Signing groups"},{"ref":"DocuSign.Model.SigningGroups.html#t:t/0","title":"DocuSign.Model.SigningGroups.t/0","module":"DocuSign.Model.SigningGroups","type":"type","doc":""},{"ref":"DocuSign.Model.SocialAuthentication.html","title":"DocuSign.Model.SocialAuthentication","module":"DocuSign.Model.SocialAuthentication","type":"module","doc":""},{"ref":"DocuSign.Model.SocialAuthentication.html#t:t/0","title":"DocuSign.Model.SocialAuthentication.t/0","module":"DocuSign.Model.SocialAuthentication","type":"type","doc":""},{"ref":"DocuSign.Model.Ssn.html","title":"DocuSign.Model.Ssn","module":"DocuSign.Model.Ssn","type":"module","doc":"A one-line field that allows the recipient to enter a Social Security Number. The SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information."},{"ref":"DocuSign.Model.Ssn.html#t:t/0","title":"DocuSign.Model.Ssn.t/0","module":"DocuSign.Model.Ssn","type":"type","doc":""},{"ref":"DocuSign.Model.Ssn4InformationInput.html","title":"DocuSign.Model.Ssn4InformationInput","module":"DocuSign.Model.Ssn4InformationInput","type":"module","doc":""},{"ref":"DocuSign.Model.Ssn4InformationInput.html#t:t/0","title":"DocuSign.Model.Ssn4InformationInput.t/0","module":"DocuSign.Model.Ssn4InformationInput","type":"type","doc":""},{"ref":"DocuSign.Model.Ssn9InformationInput.html","title":"DocuSign.Model.Ssn9InformationInput","module":"DocuSign.Model.Ssn9InformationInput","type":"module","doc":""},{"ref":"DocuSign.Model.Ssn9InformationInput.html#t:t/0","title":"DocuSign.Model.Ssn9InformationInput.t/0","module":"DocuSign.Model.Ssn9InformationInput","type":"type","doc":""},{"ref":"DocuSign.Model.SupportedLanguages.html","title":"DocuSign.Model.SupportedLanguages","module":"DocuSign.Model.SupportedLanguages","type":"module","doc":""},{"ref":"DocuSign.Model.SupportedLanguages.html#t:t/0","title":"DocuSign.Model.SupportedLanguages.t/0","module":"DocuSign.Model.SupportedLanguages","type":"type","doc":""},{"ref":"DocuSign.Model.TabGroup.html","title":"DocuSign.Model.TabGroup","module":"DocuSign.Model.TabGroup","type":"module","doc":""},{"ref":"DocuSign.Model.TabGroup.html#t:t/0","title":"DocuSign.Model.TabGroup.t/0","module":"DocuSign.Model.TabGroup","type":"type","doc":""},{"ref":"DocuSign.Model.TabMetadataList.html","title":"DocuSign.Model.TabMetadataList","module":"DocuSign.Model.TabMetadataList","type":"module","doc":""},{"ref":"DocuSign.Model.TabMetadataList.html#t:t/0","title":"DocuSign.Model.TabMetadataList.t/0","module":"DocuSign.Model.TabMetadataList","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateBulkRecipients.html","title":"DocuSign.Model.TemplateBulkRecipients","module":"DocuSign.Model.TemplateBulkRecipients","type":"module","doc":"Template bulk recipients"},{"ref":"DocuSign.Model.TemplateBulkRecipients.html#t:t/0","title":"DocuSign.Model.TemplateBulkRecipients.t/0","module":"DocuSign.Model.TemplateBulkRecipients","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateCustomFields.html","title":"DocuSign.Model.TemplateCustomFields","module":"DocuSign.Model.TemplateCustomFields","type":"module","doc":"Template custom fields"},{"ref":"DocuSign.Model.TemplateCustomFields.html#t:t/0","title":"DocuSign.Model.TemplateCustomFields.t/0","module":"DocuSign.Model.TemplateCustomFields","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateDocumentFields.html","title":"DocuSign.Model.TemplateDocumentFields","module":"DocuSign.Model.TemplateDocumentFields","type":"module","doc":"Template document fields"},{"ref":"DocuSign.Model.TemplateDocumentFields.html#t:t/0","title":"DocuSign.Model.TemplateDocumentFields.t/0","module":"DocuSign.Model.TemplateDocumentFields","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateDocumentTabs.html","title":"DocuSign.Model.TemplateDocumentTabs","module":"DocuSign.Model.TemplateDocumentTabs","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateDocumentTabs.html#t:t/0","title":"DocuSign.Model.TemplateDocumentTabs.t/0","module":"DocuSign.Model.TemplateDocumentTabs","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateDocumentVisibility.html","title":"DocuSign.Model.TemplateDocumentVisibility","module":"DocuSign.Model.TemplateDocumentVisibility","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateDocumentVisibility.html#t:t/0","title":"DocuSign.Model.TemplateDocumentVisibility.t/0","module":"DocuSign.Model.TemplateDocumentVisibility","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateDocuments.html","title":"DocuSign.Model.TemplateDocuments","module":"DocuSign.Model.TemplateDocuments","type":"module","doc":"Template documents"},{"ref":"DocuSign.Model.TemplateDocuments.html#t:t/0","title":"DocuSign.Model.TemplateDocuments.t/0","module":"DocuSign.Model.TemplateDocuments","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateLocks.html","title":"DocuSign.Model.TemplateLocks","module":"DocuSign.Model.TemplateLocks","type":"module","doc":"Template locks"},{"ref":"DocuSign.Model.TemplateLocks.html#t:t/0","title":"DocuSign.Model.TemplateLocks.t/0","module":"DocuSign.Model.TemplateLocks","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateMatch.html","title":"DocuSign.Model.TemplateMatch","module":"DocuSign.Model.TemplateMatch","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateMatch.html#t:t/0","title":"DocuSign.Model.TemplateMatch.t/0","module":"DocuSign.Model.TemplateMatch","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateNotificationRequest.html","title":"DocuSign.Model.TemplateNotificationRequest","module":"DocuSign.Model.TemplateNotificationRequest","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateNotificationRequest.html#t:t/0","title":"DocuSign.Model.TemplateNotificationRequest.t/0","module":"DocuSign.Model.TemplateNotificationRequest","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateRecipientTabs.html","title":"DocuSign.Model.TemplateRecipientTabs","module":"DocuSign.Model.TemplateRecipientTabs","type":"module","doc":"Template tabs"},{"ref":"DocuSign.Model.TemplateRecipientTabs.html#t:t/0","title":"DocuSign.Model.TemplateRecipientTabs.t/0","module":"DocuSign.Model.TemplateRecipientTabs","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateRecipients.html","title":"DocuSign.Model.TemplateRecipients","module":"DocuSign.Model.TemplateRecipients","type":"module","doc":"Template recipients"},{"ref":"DocuSign.Model.TemplateRecipients.html#t:t/0","title":"DocuSign.Model.TemplateRecipients.t/0","module":"DocuSign.Model.TemplateRecipients","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateRole.html","title":"DocuSign.Model.TemplateRole","module":"DocuSign.Model.TemplateRole","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateRole.html#t:t/0","title":"DocuSign.Model.TemplateRole.t/0","module":"DocuSign.Model.TemplateRole","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateSharedItem.html","title":"DocuSign.Model.TemplateSharedItem","module":"DocuSign.Model.TemplateSharedItem","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateSharedItem.html#t:t/0","title":"DocuSign.Model.TemplateSharedItem.t/0","module":"DocuSign.Model.TemplateSharedItem","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateSummary.html","title":"DocuSign.Model.TemplateSummary","module":"DocuSign.Model.TemplateSummary","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateSummary.html#t:t/0","title":"DocuSign.Model.TemplateSummary.t/0","module":"DocuSign.Model.TemplateSummary","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateTabs.html","title":"DocuSign.Model.TemplateTabs","module":"DocuSign.Model.TemplateTabs","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateTabs.html#t:t/0","title":"DocuSign.Model.TemplateTabs.t/0","module":"DocuSign.Model.TemplateTabs","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateUpdateSummary.html","title":"DocuSign.Model.TemplateUpdateSummary","module":"DocuSign.Model.TemplateUpdateSummary","type":"module","doc":""},{"ref":"DocuSign.Model.TemplateUpdateSummary.html#t:t/0","title":"DocuSign.Model.TemplateUpdateSummary.t/0","module":"DocuSign.Model.TemplateUpdateSummary","type":"type","doc":""},{"ref":"DocuSign.Model.TemplateViews.html","title":"DocuSign.Model.TemplateViews","module":"DocuSign.Model.TemplateViews","type":"module","doc":"Embedding template views"},{"ref":"DocuSign.Model.TemplateViews.html#t:t/0","title":"DocuSign.Model.TemplateViews.t/0","module":"DocuSign.Model.TemplateViews","type":"type","doc":""},{"ref":"DocuSign.Model.Templates.html","title":"DocuSign.Model.Templates","module":"DocuSign.Model.Templates","type":"module","doc":"Template management"},{"ref":"DocuSign.Model.Templates.html#t:t/0","title":"DocuSign.Model.Templates.t/0","module":"DocuSign.Model.Templates","type":"type","doc":""},{"ref":"DocuSign.Model.Text.html","title":"DocuSign.Model.Text","module":"DocuSign.Model.Text","type":"module","doc":"A tab that allows the recipient to enter any type of text."},{"ref":"DocuSign.Model.Text.html#t:t/0","title":"DocuSign.Model.Text.t/0","module":"DocuSign.Model.Text","type":"type","doc":""},{"ref":"DocuSign.Model.TextCustomField.html","title":"DocuSign.Model.TextCustomField","module":"DocuSign.Model.TextCustomField","type":"module","doc":""},{"ref":"DocuSign.Model.TextCustomField.html#t:t/0","title":"DocuSign.Model.TextCustomField.t/0","module":"DocuSign.Model.TextCustomField","type":"type","doc":""},{"ref":"DocuSign.Model.Title.html","title":"DocuSign.Model.Title","module":"DocuSign.Model.Title","type":"module","doc":"A tab that displays the recipient&#39;s title."},{"ref":"DocuSign.Model.Title.html#t:t/0","title":"DocuSign.Model.Title.t/0","module":"DocuSign.Model.Title","type":"type","doc":""},{"ref":"DocuSign.Model.UsageHistory.html","title":"DocuSign.Model.UsageHistory","module":"DocuSign.Model.UsageHistory","type":"module","doc":"A complex element consisting of: lastSentDateTime - the date and time the user last sent an envelope. lastSignedDateTime - the date and time the user last signed an envelope. sentCount - the number of envelopes the user has sent. signedCount - the number of envelopes the user has signed."},{"ref":"DocuSign.Model.UsageHistory.html#t:t/0","title":"DocuSign.Model.UsageHistory.t/0","module":"DocuSign.Model.UsageHistory","type":"type","doc":""},{"ref":"DocuSign.Model.UserAccountManagementGranularInformation.html","title":"DocuSign.Model.UserAccountManagementGranularInformation","module":"DocuSign.Model.UserAccountManagementGranularInformation","type":"module","doc":"Describes which account management capabilities a user has."},{"ref":"DocuSign.Model.UserAccountManagementGranularInformation.html#t:t/0","title":"DocuSign.Model.UserAccountManagementGranularInformation.t/0","module":"DocuSign.Model.UserAccountManagementGranularInformation","type":"type","doc":""},{"ref":"DocuSign.Model.UserCustomSettings.html","title":"DocuSign.Model.UserCustomSettings","module":"DocuSign.Model.UserCustomSettings","type":"module","doc":"Users&#39; custom settings"},{"ref":"DocuSign.Model.UserCustomSettings.html#t:t/0","title":"DocuSign.Model.UserCustomSettings.t/0","module":"DocuSign.Model.UserCustomSettings","type":"type","doc":""},{"ref":"DocuSign.Model.UserInfo.html","title":"DocuSign.Model.UserInfo","module":"DocuSign.Model.UserInfo","type":"module","doc":""},{"ref":"DocuSign.Model.UserInfo.html#t:t/0","title":"DocuSign.Model.UserInfo.t/0","module":"DocuSign.Model.UserInfo","type":"type","doc":""},{"ref":"DocuSign.Model.UserInfoList.html","title":"DocuSign.Model.UserInfoList","module":"DocuSign.Model.UserInfoList","type":"module","doc":""},{"ref":"DocuSign.Model.UserInfoList.html#t:t/0","title":"DocuSign.Model.UserInfoList.t/0","module":"DocuSign.Model.UserInfoList","type":"type","doc":""},{"ref":"DocuSign.Model.UserInformationList.html","title":"DocuSign.Model.UserInformationList","module":"DocuSign.Model.UserInformationList","type":"module","doc":""},{"ref":"DocuSign.Model.UserInformationList.html#t:t/0","title":"DocuSign.Model.UserInformationList.t/0","module":"DocuSign.Model.UserInformationList","type":"type","doc":""},{"ref":"DocuSign.Model.UserPasswordInformation.html","title":"DocuSign.Model.UserPasswordInformation","module":"DocuSign.Model.UserPasswordInformation","type":"module","doc":""},{"ref":"DocuSign.Model.UserPasswordInformation.html#t:t/0","title":"DocuSign.Model.UserPasswordInformation.t/0","module":"DocuSign.Model.UserPasswordInformation","type":"type","doc":""},{"ref":"DocuSign.Model.UserPasswordRules.html","title":"DocuSign.Model.UserPasswordRules","module":"DocuSign.Model.UserPasswordRules","type":"module","doc":""},{"ref":"DocuSign.Model.UserPasswordRules.html#t:t/0","title":"DocuSign.Model.UserPasswordRules.t/0","module":"DocuSign.Model.UserPasswordRules","type":"type","doc":""},{"ref":"DocuSign.Model.UserProfiles.html","title":"DocuSign.Model.UserProfiles","module":"DocuSign.Model.UserProfiles","type":"module","doc":"Users&#39; profiles"},{"ref":"DocuSign.Model.UserProfiles.html#t:t/0","title":"DocuSign.Model.UserProfiles.t/0","module":"DocuSign.Model.UserProfiles","type":"type","doc":""},{"ref":"DocuSign.Model.UserSettingsInformation.html","title":"DocuSign.Model.UserSettingsInformation","module":"DocuSign.Model.UserSettingsInformation","type":"module","doc":""},{"ref":"DocuSign.Model.UserSettingsInformation.html#t:t/0","title":"DocuSign.Model.UserSettingsInformation.t/0","module":"DocuSign.Model.UserSettingsInformation","type":"type","doc":""},{"ref":"DocuSign.Model.UserSharedItem.html","title":"DocuSign.Model.UserSharedItem","module":"DocuSign.Model.UserSharedItem","type":"module","doc":""},{"ref":"DocuSign.Model.UserSharedItem.html#t:t/0","title":"DocuSign.Model.UserSharedItem.t/0","module":"DocuSign.Model.UserSharedItem","type":"type","doc":""},{"ref":"DocuSign.Model.UserSignatureDefinition.html","title":"DocuSign.Model.UserSignatureDefinition","module":"DocuSign.Model.UserSignatureDefinition","type":"module","doc":""},{"ref":"DocuSign.Model.UserSignatureDefinition.html#t:t/0","title":"DocuSign.Model.UserSignatureDefinition.t/0","module":"DocuSign.Model.UserSignatureDefinition","type":"type","doc":""},{"ref":"DocuSign.Model.UserSignatures.html","title":"DocuSign.Model.UserSignatures","module":"DocuSign.Model.UserSignatures","type":"module","doc":"Users&#39; signatures"},{"ref":"DocuSign.Model.UserSignatures.html#t:t/0","title":"DocuSign.Model.UserSignatures.t/0","module":"DocuSign.Model.UserSignatures","type":"type","doc":""},{"ref":"DocuSign.Model.UserSignaturesInformation.html","title":"DocuSign.Model.UserSignaturesInformation","module":"DocuSign.Model.UserSignaturesInformation","type":"module","doc":""},{"ref":"DocuSign.Model.UserSignaturesInformation.html#t:t/0","title":"DocuSign.Model.UserSignaturesInformation.t/0","module":"DocuSign.Model.UserSignaturesInformation","type":"type","doc":""},{"ref":"DocuSign.Model.UserSocialAccountLogins.html","title":"DocuSign.Model.UserSocialAccountLogins","module":"DocuSign.Model.UserSocialAccountLogins","type":"module","doc":"Users&#39; social account logins"},{"ref":"DocuSign.Model.UserSocialAccountLogins.html#t:t/0","title":"DocuSign.Model.UserSocialAccountLogins.t/0","module":"DocuSign.Model.UserSocialAccountLogins","type":"type","doc":""},{"ref":"DocuSign.Model.UserSocialIdResult.html","title":"DocuSign.Model.UserSocialIdResult","module":"DocuSign.Model.UserSocialIdResult","type":"module","doc":""},{"ref":"DocuSign.Model.UserSocialIdResult.html#t:t/0","title":"DocuSign.Model.UserSocialIdResult.t/0","module":"DocuSign.Model.UserSocialIdResult","type":"type","doc":""},{"ref":"DocuSign.Model.Users.html","title":"DocuSign.Model.Users","module":"DocuSign.Model.Users","type":"module","doc":"User management"},{"ref":"DocuSign.Model.Users.html#t:t/0","title":"DocuSign.Model.Users.t/0","module":"DocuSign.Model.Users","type":"type","doc":""},{"ref":"DocuSign.Model.View.html","title":"DocuSign.Model.View","module":"DocuSign.Model.View","type":"module","doc":"This tab is used with the Approve tab to handle [supplemental documents][supdocs]. [supdocs]: /esign/guide/appendix/glossary.html#supplemental-documents"},{"ref":"DocuSign.Model.View.html#t:t/0","title":"DocuSign.Model.View.t/0","module":"DocuSign.Model.View","type":"type","doc":""},{"ref":"DocuSign.Model.ViewLinkRequest.html","title":"DocuSign.Model.ViewLinkRequest","module":"DocuSign.Model.ViewLinkRequest","type":"module","doc":""},{"ref":"DocuSign.Model.ViewLinkRequest.html#t:t/0","title":"DocuSign.Model.ViewLinkRequest.t/0","module":"DocuSign.Model.ViewLinkRequest","type":"type","doc":""},{"ref":"DocuSign.Model.WorkspaceFolderContents.html","title":"DocuSign.Model.WorkspaceFolderContents","module":"DocuSign.Model.WorkspaceFolderContents","type":"module","doc":"Provides properties that describe the contents of a workspace folder."},{"ref":"DocuSign.Model.WorkspaceFolderContents.html#t:t/0","title":"DocuSign.Model.WorkspaceFolderContents.t/0","module":"DocuSign.Model.WorkspaceFolderContents","type":"type","doc":""},{"ref":"DocuSign.Model.WorkspaceItemList.html","title":"DocuSign.Model.WorkspaceItemList","module":"DocuSign.Model.WorkspaceItemList","type":"module","doc":"Provides properties that describe the items contained in a workspace."},{"ref":"DocuSign.Model.WorkspaceItemList.html#t:t/0","title":"DocuSign.Model.WorkspaceItemList.t/0","module":"DocuSign.Model.WorkspaceItemList","type":"type","doc":""},{"ref":"DocuSign.Model.WorkspaceItems.html","title":"DocuSign.Model.WorkspaceItems","module":"DocuSign.Model.WorkspaceItems","type":"module","doc":""},{"ref":"DocuSign.Model.WorkspaceItems.html#t:t/0","title":"DocuSign.Model.WorkspaceItems.t/0","module":"DocuSign.Model.WorkspaceItems","type":"type","doc":""},{"ref":"DocuSign.Model.WorkspaceList.html","title":"DocuSign.Model.WorkspaceList","module":"DocuSign.Model.WorkspaceList","type":"module","doc":"Provides properties that describe the workspaces avaialble."},{"ref":"DocuSign.Model.WorkspaceList.html#t:t/0","title":"DocuSign.Model.WorkspaceList.t/0","module":"DocuSign.Model.WorkspaceList","type":"type","doc":""},{"ref":"DocuSign.Model.WorkspaceUser.html","title":"DocuSign.Model.WorkspaceUser","module":"DocuSign.Model.WorkspaceUser","type":"module","doc":"A workspaceUser representing the user. This property is only returned in response to user specific GET call."},{"ref":"DocuSign.Model.WorkspaceUser.html#t:t/0","title":"DocuSign.Model.WorkspaceUser.t/0","module":"DocuSign.Model.WorkspaceUser","type":"type","doc":""},{"ref":"DocuSign.Model.WorkspaceUserAuthorization.html","title":"DocuSign.Model.WorkspaceUserAuthorization","module":"DocuSign.Model.WorkspaceUserAuthorization","type":"module","doc":"Provides properties that describe user authorization to a workspace."},{"ref":"DocuSign.Model.WorkspaceUserAuthorization.html#t:t/0","title":"DocuSign.Model.WorkspaceUserAuthorization.t/0","module":"DocuSign.Model.WorkspaceUserAuthorization","type":"type","doc":""},{"ref":"DocuSign.Model.Workspaces.html","title":"DocuSign.Model.Workspaces","module":"DocuSign.Model.Workspaces","type":"module","doc":""},{"ref":"DocuSign.Model.Workspaces.html#t:t/0","title":"DocuSign.Model.Workspaces.t/0","module":"DocuSign.Model.Workspaces","type":"type","doc":""},{"ref":"DocuSign.Model.Zip.html","title":"DocuSign.Model.Zip","module":"DocuSign.Model.Zip","type":"module","doc":"A tab that allows the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits in the ZIP+4 format. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information."},{"ref":"DocuSign.Model.Zip.html#t:t/0","title":"DocuSign.Model.Zip.t/0","module":"DocuSign.Model.Zip","type":"type","doc":""},{"ref":"DocuSign.OAuth.html","title":"DocuSign.OAuth","module":"DocuSign.OAuth","type":"module","doc":"This module implements an oauth2 strategy for DocuSign. Examples client = DocuSign.OAuth2Strategy.get_token! {:ok, user_info } = OAuth2.Client.get(client, &quot;/oauth/userinfo&quot;)"},{"ref":"DocuSign.OAuth.html#assertion/0","title":"DocuSign.OAuth.assertion/0","module":"DocuSign.OAuth","type":"function","doc":""},{"ref":"DocuSign.OAuth.html#authorize_url/2","title":"DocuSign.OAuth.authorize_url/2","module":"DocuSign.OAuth","type":"function","doc":"Builds the URL to the authorization endpoint. Example def authorize_url(client, params) do client |&gt; put_param(:response_type, &quot;code&quot;) |&gt; put_param(:client_id, client.client_id) |&gt; put_param(:redirect_uri, client.redirect_uri) |&gt; merge_params(params) end Callback implementation for OAuth2.Strategy.authorize_url/2."},{"ref":"DocuSign.OAuth.html#client/1","title":"DocuSign.OAuth.client/1","module":"DocuSign.OAuth","type":"function","doc":"Create new API client"},{"ref":"DocuSign.OAuth.html#get_token/3","title":"DocuSign.OAuth.get_token/3","module":"DocuSign.OAuth","type":"function","doc":"Builds the URL to token endpoint. Example def get_token(client, params, headers) do client |&gt; put_param(:code, params[:code]) |&gt; put_param(:grant_type, &quot;authorization_code&quot;) |&gt; put_param(:client_id, client.client_id) |&gt; put_param(:client_secret, client.client_secret) |&gt; put_param(:redirect_uri, client.redirect_uri) |&gt; merge_params(params) |&gt; put_headers(headers) end Callback implementation for OAuth2.Strategy.get_token/3."},{"ref":"DocuSign.OAuth.html#get_token!/4","title":"DocuSign.OAuth.get_token!/4","module":"DocuSign.OAuth","type":"function","doc":"Retrieve access token and return a client"},{"ref":"DocuSign.OAuth.html#interval_refresh_token/1","title":"DocuSign.OAuth.interval_refresh_token/1","module":"DocuSign.OAuth","type":"function","doc":"Retrieve a new time to auto refresh token."},{"ref":"DocuSign.OAuth.html#refresh_token!/2","title":"DocuSign.OAuth.refresh_token!/2","module":"DocuSign.OAuth","type":"function","doc":"Refresh token"},{"ref":"DocuSign.OAuth.html#token_expired?/1","title":"DocuSign.OAuth.token_expired?/1","module":"DocuSign.OAuth","type":"function","doc":"Check expiration of token return true if token is expired"},{"ref":"DocuSign.OAuth.html#t:headers/0","title":"DocuSign.OAuth.headers/0","module":"DocuSign.OAuth","type":"type","doc":""},{"ref":"DocuSign.OAuth.html#t:param/0","title":"DocuSign.OAuth.param/0","module":"DocuSign.OAuth","type":"type","doc":""},{"ref":"DocuSign.OAuth.html#t:params/0","title":"DocuSign.OAuth.params/0","module":"DocuSign.OAuth","type":"type","doc":""},{"ref":"DocuSign.RequestBuilder.html","title":"DocuSign.RequestBuilder","module":"DocuSign.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests"},{"ref":"DocuSign.RequestBuilder.html#add_optional_params/3","title":"DocuSign.RequestBuilder.add_optional_params/3","module":"DocuSign.RequestBuilder","type":"function","doc":"Add optional parameters to the request Parameters request (Map) - Collected request options definitions (Map) - Map of parameter name to parameter location. options (KeywordList) - The provided optional parameters Returns Map"},{"ref":"DocuSign.RequestBuilder.html#add_param/4","title":"DocuSign.RequestBuilder.add_param/4","module":"DocuSign.RequestBuilder","type":"function","doc":"Add optional parameters to the request Parameters request (Map) - Collected request options location (atom) - Where to put the parameter key (atom) - The name of the parameter value (any) - The value of the parameter Returns Map"},{"ref":"DocuSign.RequestBuilder.html#decode/1","title":"DocuSign.RequestBuilder.decode/1","module":"DocuSign.RequestBuilder","type":"function","doc":"Handle the response for a Tesla request Parameters arg1 (Tesla.Env.t | term) - The response object arg2 (:false | struct | [struct]) - The shape of the struct to deserialize into Returns {:ok, struct} on success {:error, term} on failure"},{"ref":"DocuSign.RequestBuilder.html#decode/2","title":"DocuSign.RequestBuilder.decode/2","module":"DocuSign.RequestBuilder","type":"function","doc":""},{"ref":"DocuSign.RequestBuilder.html#method/2","title":"DocuSign.RequestBuilder.method/2","module":"DocuSign.RequestBuilder","type":"function","doc":"Specify the request method when building a request Parameters request (Map) - Collected request options m (atom) - Request method Returns Map"},{"ref":"DocuSign.RequestBuilder.html#url/2","title":"DocuSign.RequestBuilder.url/2","module":"DocuSign.RequestBuilder","type":"function","doc":"Specify the request method when building a request Parameters request (Map) - Collected request options u (String) - Request URL Returns Map"},{"ref":"DocuSign.User.html","title":"DocuSign.User","module":"DocuSign.User","type":"module","doc":"This module contains the User struct and functions for working with it. Examples client = DocuSign.Client.get_token! user_info = DocuSign.User.info(client) or user_info = DocuSign.User.info()"},{"ref":"DocuSign.User.html#default_account/1","title":"DocuSign.User.default_account/1","module":"DocuSign.User","type":"function","doc":"Retrieve default account is exist"},{"ref":"DocuSign.User.html#info/1","title":"DocuSign.User.info/1","module":"DocuSign.User","type":"function","doc":"Retrieve the user info"},{"ref":"DocuSign.User.AppAccount.html","title":"DocuSign.User.AppAccount","module":"DocuSign.User.AppAccount","type":"module","doc":""},{"ref":"DocuSign.User.AppAccount.html#t:t/0","title":"DocuSign.User.AppAccount.t/0","module":"DocuSign.User.AppAccount","type":"type","doc":""}]